(function() {
	Function.prototype.after = function(fn) {
		var that = this;
		return function() {
			var result = that.apply(this, arguments);
			fn();
			return result;
		}
	}
/*	Number.prototype.toFixed = function () {
		var oldFunc = Number.prototype.toFixed;
		return function (n) {
			var v = parseInt(this * Math.pow(10, n)) / Math.pow(10, n);
			return oldFunc.call(v, n);
		}
	}();*/
	String.prototype.startsWith = function(str) {
		return this.indexOf(str) == 0;
	}
	requirejs.config({
	});
	requirejs.config({
		urlArgs: "upd=" + new Date().getTime(),
		waitSeconds: 60,
		//baseUrl:"../js/",
		paths: {
			flot : "global/jquery.flot.min",
			doT: "global/doT",
			JSON: "global/JSON",
			Backbone: "global/backbone",
			jquery: "global/jquery-2.2.2.min",
			touch: "global/jquerymobile.touchevents.1.4.5",
			ui: "global/hundsun.mobile.ui.min-2.0",
			global: "global/hundsun.mobile.global-2.0",
			chartjs: "global/Chart",
			//swiper: "global/swiper.jquery.min",
			swiper: "global/idangerous.swiper",
			iscroll5: "global/iscroll5-min",
			wx: "global/jweixin-1.0.0",
			jsencrypt:"global/jsencrypt",
			loadSwiper:"global/swiper.min",
			weixinshare:"global/weixinshare",
			qselect: "global/q-select.min",
			zdlegal: "global/zdlegal"

		},
		config: {},
		shim: {
			'swiper': {
				deps: ["jquery"],
				exports: ["Swiper"]
			},
			'touch': {
				deps: ['jquery']
			},
			'ui': {
				deps: ['touch']
			},
			'global': {
				deps: ['ui']
			},
			'loadSwiper': {
				deps: ["jquery"]
			}
		}
	});
	
	require(['global'], function(global) {
		var dir = location.href.split('/');
		var module = dir[dir.length - 2] + "/" + dir[dir.length - 1].split('.')[0];
		try {
			require([$.hsf.platform()], function(platform) {
				var moduleapi = $.hsf.getModuleAPI(platform);
				$.extend({platform: $.extend(moduleapi, platform.baseapi)});
				if ($("script[load-m='false']").length == 1) {
					global.initComplete();
				} else {
					require([module], function(m) {
						var readyDevice_main = function() {
								if (m) {
									global.initComplete();
									m.init();
								}
						};
						setTimeout(readyDevice_main, 10);
					});
				}
			});
		} catch (e) {
			$.UIPopup(e);
		}
	});
})()
