$(function(){
	var action = {
		init : function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("account/querytradeaccolist", "", "querytradeaccolistcallback", function(jsonResult) {
				if (jsonResult.successful == "true") {
					var list = jsonResult.results.tradeaccolist.list;
					var $cardlist = $("#cardlist");
					$.each(list, function(i,item) {
						var $cardHtml = $(action.cardHtml);
						$cardHtml.find(".bankname").html(item.bankname);
						$cardHtml.find(".bankacco").html(item.bankacco);
						$cardHtml.find(".capitalmode").html(item.capitalmode);
						$cardHtml.addClass("bank-card"+ (parseInt(Math.random()*6)+1));
						$cardlist.append($cardHtml).append(action.splitHtml);
						$.hsf.stopLoading();
					})
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
			
		},
		cardHtml : "<div class=\"bank-card\">"+
						"<div m-role=\"cell\" m-padding=\"1 1 1 1\">"+
							"<div m-role=\"cell\" m-mode=\"y\" m-margin=\"0 0 0 1\" m-padding=\"1 0 1 1\" m-layout=\"fit\" m-valign=\"middle\">"+
								"<div m-margin=\"0 0 1 0\" class=\"m-font-big bankname\"></div>"+
								"<div class=\"bankacco\"></div>"+
							"</div>"+
						"</div>"+
						"<div m-role=\"cell\" class=\"m-color-6 bank-card-tips\" m-align=\"center\" id=\"xesm\">&nbsp;</div>"+
						"<div m-role=\"cell\" m-align=\"right\" m-padding=\"1 1 1 0\">"+
							"<div class=\"capitalmode\">&nbsp;</div>"+
						"</div>"+
					"</div>",
		splitHtml :	"<div m-role=\"split\"></div>"
	};
	action.init();
});
