define([$.hsf.platform()], function(platform){
  var openAccoForm = openAccoForm();
  var platformApi = $.hsf.getModuleAPI(platform, "account-openAcco-tl-validate");
  window.action = {
    constant : {
      capital: null,
      accoreqserial : null,
      otherserial : null,
      counter:0,


      capitalmode:"",//M为通联  3为银联
      repeatSeconds: 60,
      //银联参数移交
      oppenaccoTag : $.hsf.hsTools.getParam("oppenaccoTag"),
      applyserial : $.hsf.hsTools.getParam("merOrdId"),
      telephone :  $.hsf.hsTools.getParam("mobile"),
      loginphone : "",
      merorderid : null,

      mData:null,//通联用户信息
      //bankMap : {
      //	"002" : {
      //		name : "工商银行",
      //		serial : "002",
      //		logo : "bank-icbc"
      //	},
      //	"003" : {
      //		name : "农业银行",
      //		serial : "003",
      //		logo : "bank-abc"
      //	},
      //	"004" : {
      //		name : "中国银行",
      //		serial : "004",
      //		logo : "bank-boc"
      //	},
      //	"005" : {
      //		name : "建设银行",
      //		serial : "005",
      //		logo : "bank-ccb"
      //	},
      //	"015" : {
      //		name : "中信银行",
      //		serial : "015",
      //		logo : "bank-ecitic"
      //	},
      //	"009" : {
      //		name : "光大银行",
      //		serial : "009",
      //		logo : "bank-ceb"
      //	},
      //	"014" : {
      //		name : "民生银行",
      //		serial : "014",
      //		logo : "bank-cmbc"
      //	},
      //	"007" : {
      //		name : "招商银行",
      //		serial : "007",
      //		logo : "bank-cmb"
      //	},
      //	"011" : {
      //		name : "兴业银行",
      //		serial : "011",
      //		logo : "bank-xy"
      //	},
      //	"016" : {
      //		name : "广发银行",
      //		serial : "016",
      //		logo : "bank-cgbc"
      //	},
      //	"920" : {
      //		name : "平安银行",
      //		serial : "920",
      //		logo : "bank-pingan"
      //	},
      //	"934" : {
      //		name : "邮储银行",
      //		serial : "934",
      //		logo : "bank-youchu"
      //	}
      //}

    },
    init:function(){
      //if(action.constant.oppenaccoTag && action.constant.oppenaccoTag == "true"){
      //	$("#first").hide();
      //	$("#second").hide();
      //	$("#third").show();
      //}else if(action.constant.oppenaccoTag && action.constant.oppenaccoTag == "false"){
      //	$.platform.succBack(action.constant.telephone);
      //}else{
      //	$("#first").show();
      //}
      if($.hsf.hsTools.getParam("back")==0)
        $("#BackBtn").hide();
      if($.hsf.hsTools.getParam("data") != null && $.hsf.hsTools.getParam("data") != ""){
        var dataStr = decodeURIComponent($.hsf.hsTools.getParam("data").replace(new RegExp("\\$","gm"),"&").replace(new RegExp("\\^","gm"),"="))+"&merOrdId="+$.hsf.hsTools.getParam("merOrdId")
        var data = new $.hsf.hsTools.parseUrlToObj(dataStr);
        if (data) {
          action.constant.data = data;
          action.setPwdNext();
        }
        //action.keyboard = action.passwordKeyboard(".keyboard", openAccoForm.merOpenAcco);
      }else if($.hsf.hsTools.getParam("merOrdId") != null && $.hsf.hsTools.getParam("merOrdId") != "" && $.hsf.hsTools.getParam("data") == null){
        $.UIAlert("开户失信息认证失败！");
        return false;
      }else{
        //action.keyboard = action.passwordKeyboard(".keyboard", action.merOpenAcco);
        action.addChinapaySuccListener();
        action.packForm();
        action.events();
      }

    },
    setPwdNext : function() {
      $("#first").hide();
      $("#second").hide();
      $("#third").show();
      openAccoForm.init(action.constant.data);
    },
    packForm : function() {
      var ddHtml = "<dd m-type=\"mark\" m-marked=\"\" m-id=\"\" m-selectionstyle=\"yes\"> <div m-role=\"cell\" m-mode=\"x\" m-layout=\"fit\" m-padding=\"1 1 1 1\"> <div m-role=\"cell\" m-padding=\"0 1 0 0\" m-valign=\"middle\"> <div class=\"bank-logo\"></div> </div> <div m-role=\"cell\" m-mode=\"y\" m-margin=\"0 0 0 1\" m-valign=\"middle\" m-padding=\"1 0 1 1\"> <div class=\"m-font-big bankname\" m-margin=\"0 0 1 0\"></div> </div> </div> </dd>";
      $.hsf.startLoading();
      $.hsf.ajax.app("account/openacco/bankForm", "", "bankForm", function(jsonResult) {
        $.hsf.stopLoading();
        if (jsonResult.successful) {
          action.constant.result = jsonResult;
          var $bankList = $("#bankList");
          var $dl = $bankList.find("dl");
          for (var index in jsonResult.bankcards) {
            var $ddHtml = $(ddHtml);
            $ddHtml.attr("m-id", index);
            $ddHtml.find(".bankname").html(jsonResult.bankcards[index].bankname);
            $ddHtml.find(".bank-logo").addClass("bank-"+jsonResult.bankcards[index].alias);
            //if(jsonResult.bankcards[index].bankserial == "007"){
            //	continue;
            //}
            $dl.append($ddHtml);
          }
          $bankList.UITableView("refresh");
          action.selectBankProcess(0);

          action.initCardType();


        }

      });
    },

    initCardType:function(){
      action.constant.cardType=action.constant.result.idTypeDict;

      var cardTypeSelect = document.getElementById("cardTypeSelect");
      cardTypeSelect.options.length = 0;
      for(var i=0;i<action.constant.cardType.length;i++){
        cardTypeSelect[i] = new Option(action.constant.cardType[i].value, action.constant.cardType[i].key);
      }
    },
    getSelectBankcard : function() {
      return action.constant.result.bankcards[action.constant.selectBank];
    },
    events: function() {
      $(document).ready(function() {
        $('input[type=radio][name=foreigners]').change(function() {
          if (this.value == 0) {
            $.UIAlert("根据相关法规要求，请您前往我公司直销柜台办理相关业务，敬请理解！");
          }
        });
      });
      $("#bankcardSelect").bind("tap", function() {
        $("#first, #bankSelect").toggle();
        return false;
      });
      $("#bankSelectBackBtn").bind("tap", function() {
        $("#first, #bankSelect").toggle();
        return false;
      });
      $("#BackBtn").bind("tap", function() {
        platformApi.hsBack();
        return false;
      });
      $("#smscodebtn").bind("tap", function() {


        action.sendBankAuthcode();
        return false;
      });
      $("#submitBtn").on("tap", function() {
        if("3"==action.constant.capitalmode){
            action.doSubmit();//银联开户
            return false;
        }else{
            action.next(); //开户
            return false;
        }
      });
      $("#bankList").UITableView("mark", function(result) {
        action.selectBankProcess(result);
        $("#first, #bankSelect").toggle();
        return false;
      });
    },
    selectBankProcess : function(result) {
      $(".selectedBankName").html(action.constant.result.bankcards[result].bankname);
      //if(action.constant.result.bankcards[result].bankname == "通联支付_华夏银行"){
      //	$(".m-protocl").show();
      //}else{
      //	$(".m-protocl").hide();
      //}
      $(".selectedBankcardIcon").removeAttr("class").addClass("selectedBankcardIcon bank-logo bank-"+action.constant.result.bankcards[result].alias);
      action.constant.capitalmode = action.constant.result.bankcards[result].capitalmode;
      //if("r" == action.constant.capitalmode){
      //	$("#sendcode").hide();
      //}else {
      //	$("#sendcode").show();
      //}
      // action.constant.capitalmode="3";

      if("3"==action.constant.capitalmode){
        $("#sendcode").hide();
      }else{
        $("#sendcode").show();
      }
      action.constant.bankserial = action.constant.result.bankcards[result].bankserial;
    },
    //银行特殊处理获取验证码
    sendBankAuthcode:function(){
      if (this.sandclock.readyStart()) {
        var mobile = $("#mobile").UITextField("value").trim();
        var identitytype = $("#selectCardType").UISelectField("value").trim();
        var identityno = $("#identityno").UITextField("value").trim();
        var bankacco=$("#bankacco").UITextField("value").trim();
        var customername=$("#custname").UITextField("value").trim();
        var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
        var handsetReg = /^1(2|3|4|5|6|7|8|9)[0-9]{9}$/;
        var numReg = /^\d+$/;
        if(""==customername){
          $.UIAlert("请输入您的真实姓名！");
          return false;
        }
        if(""==identityno) {
          $.UIAlert("请输入您的证件号码！");
          return false;
        }
        var validForm = $.validForm();
        if("0" == identitytype){
          validForm.add("cerfiticate",identityno);
          if(!(validForm.valid())){
            return false;
          }
        }
        if(identitytype=="0"){
          if(!action.isAdult(identityno.substring(6,14))){
            $.UIAlert("未成年暂时不能开户！");
            return false;
          }
        }
        if(""==bankacco){
          $.UIAlert("请输入银行卡号！");
          return false;
        }
        if(!numReg.test(bankacco)){
          $.UIAlert("银行卡号必须为数字！");
          return false;
        }

        if(""==mobile){
          $.UIAlert("请输入手机号码！");
          return false;
        }
        if(!handsetReg.test(mobile)){
          $.UIAlert("手机号码格式不正确！");
          return false;
        }
        var data = "mobile="+mobile
            +"&sendintent=openacco"
            + "&capitalmode="+action.constant.capitalmode
            + "&bankacco="+bankacco
            + "&customername="+customername
            + "&bankserial="+action.constant.bankserial
            + "&identitytype="+identitytype
            + "&identityno="+identityno;
        $.hsf.startLoading();//$.hsf.startLoading("正在获取...");
        $.hsf.ajax.app("account/mobile/fastSendCode", data, "sendbankauthcodeCallback", function(jsonResult) {
          $.hsf.stopLoading();
          if(jsonResult.successful){
            $("#authcode_show").remove();
            $("#authcode").show();
            action.constant.accoreqserial=jsonResult.accoreqserial;
            action.constant.otherserial="";
            $.UIAlert("手机验证码已发送！请注意查收短信！");
            action.sandclock.start();
          } else {
            $.hsf.callFailProcess(jsonResult);
          }
        });
      }
    },
    isAdult : function(custbirthday){//判断是否成年

      var d = new Date();
      var year=d.getFullYear();
      var month=d.getMonth()+1;
      var strDate = d.getDate();
      if (month >= 1 && month <= 9) {
        month = "0" + month;
      }
      if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
      }
      var str = year+""+month+""+strDate;

      if(parseInt(str)-parseInt(custbirthday)>=180000){
        return true;
      }else{
        return false;
      }

    },
    next:function(){
      if(!action.validate()){
        return false;
      }
      //var bankacco = $.trim($("#bankacco").UITextField("value"));
      var custname = $("#custname").UITextField("value");
      var identitytype = $("#selectCardType").UISelectField("value").trim();
      var identityno = $("#identityno").UITextField("value");
      var bankacco = $("#bankacco").UITextField("value").trim();
      var data ="mobileauthcode=" +$("#authcode").UITextField("value").trim()
          +"&interfacetype=1"
          +"&detailcapitalmode=01"
          +"&capitalmode="+action.constant.capitalmode
          +"&custname="+custname
          +"&customername="+custname
          +"&bankacco="+bankacco
          +"&bankserial="+action.constant.bankserial
          +"&mobile="+$("#mobile").UITextField("value").trim()
          +"&identitytype="+identitytype
          +"&way=0"
          +"&sendintent=openacco"
          +"&accoreqserial="+action.constant.accoreqserial
          +"&originalorderid="+action.constant.accoreqserial
          +"&identityno="+identityno;

      if(action.constant.capitalmode=="4"){
        data += "&busintype=OPENACCO";
      }
      $.hsf.startLoading();//$.hsf.startLoading("正在验证...");//首先验证手机验证码
      $.hsf.ajax.app("account/bank/fastAuthor", data, "validateCodeCallback", function(jsonResult) {
        if(jsonResult.successful){
          $.hsf.stopLoading();
          var capitalmode = action.constant.capitalmode;
          var bankserial = action.constant.bankserial;
          var identityno = $("#identityno").UITextField("value").trim();
          var identitytype = $("#selectCardType").UISelectField("value").trim();
          var custname = $("#custname").UITextField("value");
          var bankname = action.constant.bankname;//有其他银行则取select框
          var bankacco = $("#bankacco").UITextField("value").trim();
          //var detailcapitalmode = "01";
          var mobile = $("#mobile").UITextField("value").trim();

          action.constant.mData = 	"bankacco="+bankacco
              +	"&bankserial="+bankserial
              +"&interfacetype=1"
              +"&detailcapitalmode=03"
              +	"&customerappellation="+custname
              +	"&capitalmode="+capitalmode
              +	"&identityno="+identityno
              +	"&identitytype="+identitytype
              +	"&handset="+mobile
              +"&yinliancdcard="+jsonResult.yinliancdcard
              +  "&accoreqserial="+action.constant.accoreqserial;

//					data += "&yinliancdcard="+jsonResult.yinliancdcard;
          action.constant.identityno=identityno;
          action.constant.identitytype=identitytype;
          identitytype=
              $("#first").hide();
          $("#second").hide();
          $("#third").show();
          openAccoForm.events();
          //$.hsf.hsOpen("account-openAcco-form.html?"+data);

        } else {
          $.hsf.callFailProcess(jsonResult);
        }
      });
    },

    merOpenAcco : function(tradepassword) {//通联开户
      //var identitytype = $("#identitytype").UISelectField("value").trim();
      //var identityno = $("#identityno").UITextField("value");
      //var bankacco = $("#bankacco").UITextField("value").trim();
      //var customername = $("#custname").UITextField("value").trim();
      //var sex = "1" || $("#sexSel_div").UISelectField("value");//性别
      //var birthday = ""//生日
      //birthday = birthday.replace(/\-/g,"");
      //var workcode = "08";
      //var zipcode = "000000"; //邮编
      //var encrypt = new JSEncrypt()
      //encrypt.setPublicKey($.hsf.publicKey);
      var data = action.constant.mData
          //            	+	"&bankname="+action.constant.bankname
          //            	+	"&bankserial="+action.constant.bankserial//银行编号
          //                +	"&capitalmode=r"//资金方式
          //                +	"&handset="+action.constant.telephone//手机号码
          //                +	"&customerappellation="+customername//姓名
          //                +	"&bankacco="+bankacco//银行账号
          //                +	"&identityno=" +identityno//证件号码
          //                +	"&identitytype=" +identitytype//证件类型
          +	"&tradepassword="+tradepassword;//交易密码
//                +	"&sex="+sex//性别
//                +	"&birthday="+birthday//生日
//                +	"&workcode="+workcode//职业代码
//                +	"&zipcode="+zipcode//邮编
//                +	"&detailcapitalmode=01"//明细资金方式
//                +	"&reckoningsendtype=1"//对账单寄送方式
//                +	"&reckoningmailtype=2"//对账单寄送途径
//                +	"&invalidate=99991231"//默认永久有效
//                +	"&nationality2=156"//国籍默认中国
//                +	"&riskability=2";//风险承受能力,默认保守型
//			console.log(data);
      $.hsf.startLoading("正在提交...");
      $.hsf.ajax.app("account/openacco/openacco",decodeURI(data), "openaccocallback", function(jsonResult){
        $.hsf.stopLoading();
        if(jsonResult && jsonResult.successful) {
          $.hsf.startLoading();


          action.merOpenCallback(jsonResult,tradepassword);


          ////action.sendMessageToHJS();
          //$("#third").hide();
          //$("#four").show();
        } else{
          $.UIAlert(jsonResult.message,function() {
            //$.platform.removeCache("clientid");
            //$.platform.closeHSpage();
            $.hsf.hsOpen("index.html");
          });
          return false;
        }
      });
    },
//通联开户成功后开户
    merOpenCallback:function(jsonResult,tradepassword){
      if(jsonResult && jsonResult.successful){
        var account = action.constant.identityno,
            pw = tradepassword,
            accountType = action.constant.identitytype,
            platformApi = $.hsf.getModuleAPI(platform, "login-view"),
            logindata = "certificatetype=" + accountType + "&lognumber=" + account + "&password=" + pw + "&channel=weixin";
        $.hsf.ajax.app(platformApi.loginUrl, logindata, "checkLoginCode", function(jsonResult) {
          $.hsf.stopLoading();
          if (jsonResult.successful) {
            var question = "accoreqserial=ISNULL&qnoandanswer={\"00001\":\"001\",\"00002\":\"001\",\"00003\":\"001\",\"00004\":\"001\",\"00005\":\"001\",\"00006\":\"001\",\"00007\":\"001\",\"00008\":\"001\",\"00009\":\"001\",\"00010\":\"001\"}";
            $.hsf.ajax.app("account/risk/modifyRisk", question, "checkLoginCode", function(jsonResult) {
              $("#third").hide();
              $("#four").show();
            });
          } else {
            $("#third").hide();
            $("#four").show();
          }
        });
        $("#third").hide();
        $("#four").show();
      } else{
        $.hsf.stopLoading();
        $.hsf.callFailProcess(jsonResult);
      }
    },
    sandclock :  {
      run : function() {
        if (action.constant.counter == 0) {
          $("#smscodebtn").attr("m-state","");
          $("#smscodebtn").html("获取");
        } else {
          $("#smscodebtn").html((action.constant.counter--)+"秒");
          setTimeout("action.sandclock.run()", 1000);
        }
      },
      start : function() {
        action.constant.counter = action.constant.repeatSeconds;
        $("#smscodebtn").attr("m-state","disabled");
        $("#smscodebtn").html((action.constant.counter--)+"秒");
        setTimeout("action.sandclock.run()", 1000);
      },
      readyStart : function() {
        if (action.constant.counter == 0) {
          return true;
        } else {
          false;
        }
      }
    },
    validate:function(){//通联表单验证
      var identitytype = $("#selectCardType").UISelectField("value").trim();
      var bankacco = $("#bankacco").UITextField("value").trim();
      var mobile = $("#mobile").UITextField("value").trim();
      var mobileSecurityCode = $("#authcode").UITextField("value").trim();
      var custname = $("#custname").UITextField("value");
      var identityno = $("#identityno").UITextField("value").trim();
      var numReg = /^\d+$/;
      var mobileReg = /^1(2|3|4|5|6|7|8|9)[0-9]{9}$/;

      if(""==custname){
        $.UIAlert("请输入您的真实姓名！");
        return false;
      }
      if(""==identityno){
        $.UIAlert("请输入证件号码！");
        return false;
      }
      var validForm = $.validForm();
      if("0" == identitytype){
        validForm.add("cerfiticate",identityno);
        if(!(validForm.valid())){
          return false;
        }
      }
      if(identitytype=="0"){
        if(!action.isAdult(identityno.substring(6,14))){
          $.UIAlert("未成年暂时不能开户！");
          return false;
        }

      }
      if(""==bankacco){
        $.UIAlert("请输入银行卡号！");
        return false;
      }
      if(""==mobile){
        $.UIAlert("请输入手机号码！");
        return false;
      }
      if(!numReg.test(bankacco)){
        $.UIAlert("银行卡号必须为数字！");
        return false;
      }
      if(!numReg.test(mobile)){
        $.UIAlert("手机号码必须为数字！");
        return false;
      }
      if(!mobileReg.test(mobile)){
        $.UIAlert("手机号码格式不正确！");
        return false;
      }
      // if(null == action.constant.accoreqserial){
      //   $.UIAlert("请点击获取验证码！");
      //   return false;
      // }
      if(""==mobileSecurityCode){
        $.UIAlert("请输入手机验证码！");
        return false;
      }
      var foreigners = $('input[name="foreigners"]:checked ').val();
      if(foreigners==undefined){
        $.UIAlert("请选择是否为居民！");
        return false;
      }else if(foreigners==0){
        $.UIAlert("根据相关法规要求，请您前往我公司直销柜台办理相关业务，敬请理解！");
        return false;
      }
      return true;
    },
    validateForm : function() {

      var identitytype = $("#selectCardType").UISelectField("value").trim();
      var identityno = $("#identityno").UITextField("value");
      var capitalmode = action.constant.capitalmode;
      var custname = $("#custname").UITextField("value");
      var bankacco = $("#bankacco").UITextField("value").trim();
      var customername = $("#custname").UITextField("value").trim();
      var sex = "1"; //性别
      if(parseInt(identityno.substr(16, 1)) % 2 != 1){
        sex = "0";
      }
      var communicationaddr;
      //var broker = $("#broker1").UITextField("value").trim();
      var isvalidopenacco = "0"; //不为1 检查用户是否开过户
      var busintype = "OPENACCO";
      var reg = /^(\d{15}|\d{18}|\d{17}[a-zA-Z]{1})$/;
      var handsetReg = /^[0-9]{11}$/;
      var numReg = /^\d+$/;
      var mobileReg = /^1(2|3|4|5|6|7|8|9)[0-9]{9}$/;
      var mobile = $("#mobile").UITextField("value").trim();
      if ("" == customername) {
        $.UIAlert("请输入您的真实姓名！");
        return false;
      }
      if ("" == identityno) {
        $.UIAlert("请输入证件号码！");
        return false;
      }


      /*if ("0" == identitytype && !reg.test(identityno)) {
        $.UIAlert("请输入正确的身份证号码！");
        return false;
      }*/
      var validForm = $.validForm();
      if("0" == identitytype){
        validForm.add("cerfiticate",identityno);
        if(!(validForm.valid())){
          return false;
        }
      }

      if(identitytype=="0"){
        if(!action.isAdult(identityno.substring(6,14))){
          $.UIAlert("未成年暂时不能开户！");
          return false;
        }

      }
      if ("" == bankacco) {
        $.UIAlert("请输入银行卡号！");
        return false;
      }
      if(""==mobile){
        $.UIAlert("请输入手机号码！");
        return false;
      }
      if (!numReg.test(bankacco)) {
        $.UIAlert("银行卡号必须为数字！");
        return false;
      }
      if(!numReg.test(mobile)){
        $.UIAlert("手机号码必须为数字！");
        return false;
      }
      if(!mobileReg.test(mobile)){
        $.UIAlert("手机号码格式不正确！");
        return false;
      }
      var foreigners = $('input[name="foreigners"]:checked ').val();
      if(foreigners==undefined){
        $.UIAlert("请选择是否为外国纳税人！");
        return false;
      }else if(foreigners==0){
        $.UIAlert("根据相关法规要求，请您前往我公司直销柜台办理相关业务，敬请理解！");
        return false;
      }
      if (communicationaddr == "") {
        communicationaddr = customername;
      }
      action.constant.datastr = "customername="+customername+"&identitytype="+identitytype+"&identityno="+identityno;
      var data ="mobile="+mobile+ "&capitalmode="+capitalmode+"&bankacco=" + bankacco + "&customerappellation=" + customername + "&identitytype=" + identitytype + "&identityno=" + identityno + "&bankserial=" + action.constant.bankserial + "&sex=" + sex + "&isvalidopenacco=" + isvalidopenacco + "&busintype=" + busintype;
      return data;
    },

    doSubmit: function() {
      var data = action.validateForm();
      if (data) {
        $.hsf.startLoading();
        $.hsf.ajax.app("capital/chinapay/openaccoOrder", data, "doChinapayOpenaccoOrderCallback", function(jsonResult) {
          if (jsonResult && jsonResult.successful) {
            var charactercode = jsonResult.orderResult.charactercode; //特征码
            var merid = jsonResult.orderResult.merid; //商户号
            var merorderid = action.constant.accoreqserial = jsonResult.orderResult.merorderid; //商户订单号
            var merordertime = jsonResult.orderResult.merordertime; //下单时间
            var sign = jsonResult.orderResult.sign; //签名
            if ($.hsf.platform() == "platform/weixinapi" || $.hsf.platform() == "platform/pcapi") {
              var url = $.hsf.chanpayURL
                  + "sign="+sign
                  + "&merchantId=" + merid
                  + "&merchantOrderId=" + merorderid
                  + "&merchantOrderTime="+ merordertime
                  + "&orderKey=" + charactercode
                  + "&pgRetUrl=" + $.hsf.appBaseUrl+"capital/chinapay/chinapayCallBack?pageId=openacco"
                  +encodeURIComponent("&data="+action.constant.datastr.replace(new RegExp("&","gm"),"$").replace(new RegExp("=","gm"),"^"))
                  + "&a=" + Date.parse(new Date());
              window.location.href = url;
              return;
            }else{
              var url = $.hsf.chanpayURL
                  + "sign="+sign
                  + "&merchantId=" + merid
                  + "&merchantOrderId=" + merorderid
                  + "&merchantOrderTime="+ merordertime
                  + "&orderKey=" + charactercode
                  + "&pgRetUrl=" + $.hsf.appBaseUrl+"capital/chinapay/chinapayHtmlCallBack"
                  + "&a=" + Date.parse(new Date());
              action.loadChinapay(url);
            }
            $.hsf.stopLoading();
          } else {
            $.hsf.stopLoading();
            if(jsonResult.code=="ETS-5BB0261"){
              jsonResult.message="您已经开户，可以直接网上直销或移动端账户密码登录";
            }
            $.hsf.callFailProcess(jsonResult);
          }
        });
      }
    },
    addChinapaySuccListener : function() {
      $.hsf.Event.addListener("chinapaySucc", function(obj) {
        action.constant.applyserial = obj;
        $("#first").hide();
        $("#second").hide();
        $("#third").show();
      });
    },


  };

  function openAccoForm() {
    var action = {

      constant : {
        orderid : null,
        identityno:null,
        tradepassword:null,
        identitytype:null,
        initEvent : false

      },
      init:function(data) {
        action.constant.data = data;
        action.constant.accoreqserial = data.merOrdId;
        action.constant.orderid = data.merOrdId;
        action.constant.identitytype = data.identitytype;
        action.constant.identityno = data.identityno;
        action.constant.customername = data.customername;
        action.constant.checkTimes = 0;
        action.checkChinapay();
        if (action.constant.initEvent == false) {
          action.events();
          action.constant.initEvent = true;
        }
      },
      checkChinapay : function() {
        if (action.constant.checkTimes++ > 10) {
          $.hsf.stopLoading();
          $.UIAlert("验证超时,请重新验证", function() {
            $("#first").show();
            $("#second").hide();
            $("#third").hide();
            window.action.addChinapaySuccListener();
            window.action.packForm();
            window.action.events();
          });
          return;
        }
        $.hsf.startLoading();
        var accoreqserial = action.constant.orderid;
        var orderid = action.constant.orderid;
        var identitytypebank = action.constant.identitytype;
        var identitynobank = action.constant.identityno;
        var custname = action.constant.customername;
        var params = "accoreqserial="+accoreqserial+"&orderid="+orderid
            +"&identitytypebank="+identitytypebank+"&identitynobank="
            +identitynobank+"&busitype=OPENACCO"+"&custname="+custname;
        $.hsf.ajax.app("capital/chinapay/openaccoRsQuery", params, "doCPOpenaccoValidRsQueryCallback", function(jsonResult) {
          if(jsonResult && jsonResult.successful && "ETS-5BP00000"==jsonResult.code) {
            $.hsf.stopLoading();
            var result = jsonResult.result;
            if(result){
              action.constant.bankname = result.bankname|| "";
              action.constant.bankserial = result.bankserial|| "";
              action.constant.mobile = result.telephone|| "";
              action.constant.customerappellation = result.customerappellation|| "";
              action.constant.bankacco = result.bankacco|| "";
            }
          }else if(jsonResult.code = "ETS-5BA00015") {
            setTimeout(action.checkChinapay, 1000);
          }else{
            if (jsonResult.code == "ETS-5AP9999") {
              $.UIAlert("银联验证失败，请重新验证", function() {
                $.platform.succBack();
              });
            } else {
              $.hsf.callFailProcess(jsonResult);
            }
          }
        });
      },
      events: function() {
        $("#back2").bind("tap", function() {
          $("#open2").hide();
          $("#open1").show();
          return false;
        });
        $("#submitBtn5").on("tap",function(){
          var result = action.validate();
          if(""==result){
            return;
          }else{
            window.action.merOpenAcco(result);//通联开户
          }
        });
        $("#pwMaxLength").html($.hsf.pwLength);
      },



      //从身份中获取生日
      getBirthdayFromCard:function (identityno){
        var year=2000;
        var month=12;
        var day=31;
        if(identityno.length==15){
          year = "19"+identityno.substr(6,2);
          month = identityno.substr(8,2);
          day= identityno.substr(10,2);
        }else if(identityno.length==18){
          year = identityno.substr(6,4);
          month = identityno.substr(10,2);
          day= identityno.substr(12,2);
        }
        return year+"-"+month+"-"+day;
      },
      //从身份中获取性别
      getSexFromCard:function(identityno){
        var sex=0;
        if(identityno.length==15){
          sex = identityno.substr(13,1);
        }else if(identityno.length==18){
          sex = identityno.substr(16,1);
        }
        return sex%2;
      },
      validate:function(){
        //var communicationaddr = $("#communicationaddr").UITextField("value");
        //var email = $("#email").UITextField("value");
        //var zipcode = $("#zipcode").UITextField("value");
        var tradepassword = $("#tradepassword").UITextField("value").trim();
        var tradepassword2 = $("#tradepassword2").UITextField("value").trim();

        //var zipcodeReg = /^[0-9]{6}$/;
        //var emailReg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;

        //if(!""==email && !emailReg.test(email)){
        //	$.UIAlert("请输入正确的email地址！");
        //	return false;
        //}
        //
        //if(!""==zipcode && !zipcodeReg.test(zipcode)){
        //	$.UIAlert("请输入正确的邮编！");
        //	return false;
        //}
        if(""==tradepassword){
          $.UIAlert("请输入交易密码！");
          return "";
        }
        //if (!(/^[0-9a-zA-Z]*$/.test(tradepassword) && tradepassword.length >= 6 && tradepassword.length<=8)) {

        var pwdLenReg = /^.{8,16}$/;
        if(!pwdLenReg.test(tradepassword)){
          $.UIAlert("密码由8-16位数字和字母组成！");
          return "";
        }
        var pwdReg = /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{8,16}$/ ;
        if(!pwdReg.test(tradepassword)){
          $.UIAlert("密码由8-16位数字和字母组成！");
          return "";
        }
        if(""==tradepassword2){
          $.UIAlert("请输入确认密码！");
          return "";
        }
        if(tradepassword!=tradepassword2){
          $.UIAlert("两次密码输入不一致！");
          return "";
        }
        return tradepassword2;
      }
    };
    return action;
  }
  return action;
});
