/**
 * Created by apple on 15/6/9.
 */
define([], function() {
	var action = {
		constant: {

		},
		init: function() {
            $.platform.initPage && $.platform.initPage(action);
			action.events();
		},
		events: function() {
            $("#loginButton").bind("tap", function() {
                action.openetrading();
            });
            $(".accback").bind("tap",function(){
                $.platform.loginrefresh();
                $.hsf.hsBack();
            });
		},
        openetrading : function() {
            var pw = $("#pw").UITextField("value").trim(),
                data = "tradepassword=" + pw;
            var regPw = /^\d{6}$/;
            if (pw.length === 0) {
                $.UIPopup("请输入6位柜台的交易密码");
                return false;
            }
            if(!regPw.test(pw)){
                $.UIPopup("请输入格式正确的柜台交易密码");
                return false;
            }
            $.hsf.startLoading();
            $.hsf.ajax.app("/atomicquery/account/openetrading", data, "openetrading", this.openetradingCallback);
        },
        openetradingCallback : function(jsonResult) {
            $.hsf.stopLoading();
            if (jsonResult && jsonResult.successful) {
                $.UIAlert("开通网上委托成功", function() {
                    //清除缓存
                    $.platform.removeCache("loginInfo");
                    if($.hsf.matchNative()){
                        $.platform.hsOpenAndCloseSelf("index.html#home");
                    }else{
                        $.platform.hsOpen("index.html#home");
                    }
                })
            } else {
                $.hsf.callFailProcess(jsonResult);
            }
        }
	};
	return action;

});