/**
 * Created by apple on 15/5/29.
 */

define(function(require) {
	var action = {
		init: function() {
			$.platform.initPage && $.platform.initPage(action);
			action.getBankcard();
			action.event();
		},
		event: function() {
		},
		getBankcard: function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("account/tradeacco/myCardList", "showrenewsigncard=true&queryallbanks=true", "bankcardCallback", function(jsonResult) {
				if (jsonResult.successful) {
					var bankcards = {},_bankcards=[];
					for(var i=0;i<jsonResult.bankcards.length;i++){
						var bankcard = jsonResult.bankcards[i];
						var key = bankcard.capitalmode+bankcard.bankserial+bankcard.bankacco;
						if(!bankcards[key]){//去重
							bankcard.bankacco = $.hsf.hsTools.maskCardCenter(bankcard.bankacco);
							if (bankcard.onceMaxValue && bankcard.dayMaxValue) {
								bankcard.limit = "支付 单笔限额" + bankcard.onceMaxValue + "万元 日累计" + bankcard.dayMaxValue + "万元";
							}
							_bankcards.push(bankcard);
							bankcards[key] = true;
						}
					}
					// 将返回的数据里面的工行快捷
					_bankcards = _bankcards.map(function (p) {
						if (p.capitalmode == "4" && p.renewsignflag == "0") {
							p.bankname = "工商银行_快捷";
						}
						return p;
					});
					$.doTemplate("bankcard-template", _bankcards);
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		}
	};
	return action;
});
