define([], function() {
	var action = {
		constant : {
			tradeacco : $.hsf.hsTools.getParam("tradeacco"),
			fundcode : $.hsf.hsTools.getParam("fundcode"),
			sharetype : $.hsf.hsTools.getParam("sharetype"),
			melonmethod : $.hsf.hsTools.getParam("melonmethod")
		},
		init : function() {
			$.doTemplate("modifyView-template", action.constant.melonmethod);
			$("#modifyView").UITableView("refresh");
			action.events();
		},
		events : function() {
			$("#nextBtn").bind("tap", function() {
				var form = $.formGenerate();
				var melonmethod = $("#modifyView").UITableView("marked");
				if (melonmethod != action.constant.melonmethod) {
					form.add("tradeacco", action.constant.tradeacco).add("fundcode", action.constant.fundcode).add("sharetype", action.constant.sharetype).add("melonmethod", melonmethod);
					$.hsf.startLoading();
					$.hsf.ajax.app("trade/bonus/modifyBonus", form.generate(), "modifyBonusCallback", function(jsonResult) {
						if (jsonResult.successful) {
							$.hsf.stopLoading();
							$.UIAlert("您的申请已提交，请在两个工作日后查看。", function() {
								$.hsf.hsBack();
							});
						} else {
							$.hsf.callFailProcess(jsonResult);
						}
					})
				} else {
					$.hsf.hsBack();
				}
			})
		}
	};
	return action;
});