define([],function(){
   var action = {
       init : function(){
           action.packForm();
       },
       packForm:function(){
           $.platform.getCache("openId", function(openIdResult) {
               if (openIdResult) {
                   $.hsf.startLoading();
                   $.hsf.ajax.app("wxzt/m", "functionCode=1046&pageSize=100&openid="+openIdResult, "noeList", function(jsonResult) {
                       if (jsonResult.code=="ETS-5BP0000" && jsonResult.message) {
                           var obj = JSON.parse(jsonResult.message);
                           if(obj && obj.errorCode=="success"){
                               var msglist = $.map(obj.result,function (value) {
                                   if(value.msgType == "news") {
                                       return {
                                           msgType:"news",
                                           url:encodeURIComponent(value.content.news.articles[0].url || ""),
                                           title:value.content.news.articles[0].title || "",
                                           //title2:encodeURIComponent(value.content.news.articles[0].title2 || ""),
                                           title2:value.content.news.articles[0].title || "",
                                           timestamp:value.timestamp && value.timestamp.length>=9?value.timestamp.substr(0,10).replace(/-/g,"/"):""
                                       }
                                   }else if(value.msgType == "text"){
                                       return {
                                           msgType:"text",
                                           title:value.content.text.title,
                                           content:value.content.text.content,
                                           timestamp:value.timestamp && value.timestamp.length>=10?value.timestamp.substr(0,10).replace(/-/g,"/"):""
                                       }
                                   }
                               });
                               if(msglist.length>0){
                                   $.doTemplate('messageList', msglist,"refresh");
                               }else{
                                   $("#yesNews").hide();
                                   $("#noNews").show();
                               }
                           }else{
                               $("#yesNews").hide();
                               $("#noNews").show();
                           }
                           $.hsf.stopLoading();
                       } else {
                           $("#yesNews").hide();
                           $("#noNews").show();
                           $.hsf.callFailProcess(jsonResult);
                       }
                   });
               }else{
                   $("#yesNews").hide();
                   $("#noNews").show();
               }
           });

       }
   };
    return action;
});