define([],function(){
    var action = {
        constant:{
			question : null
        },
        init : function(){
            action.initForm(action.events);
        },
        initForm : function(func){
            $.hsf.startLoading();
            $.hsf.ajax.app("account/risk/getModifyRiskForm","","riskCallBack", function (jsonResult){
                if(jsonResult.successful){
                	action.constant.question = jsonResult.questionList;
                    $.doTemplate("risk-form",jsonResult, "keepid")
                    $("[m-role='UITableView']").UITableView();
                    func();
                    $.hsf.stopLoading();
                }else{
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        events : function(){
			$("#risk-submit").bind('tap', function(){
                var ddMarked = $("dd[m-marked='yes']");
                if(ddMarked.length < action.constant.question.length) {
                	var $riskform = $("#risk-form");
                	$riskform.find("dl").each(function(i,n) {
                		var $dl = $(n);
					    if ($dl.find("dd[m-marked='yes']").length == 0) {
					    	$dl.parent().focus();
					    }
					})
					$.UIPopup("您有题目未做，请做完风险测评再提交");
                    return false;
                }
                var qnoandanswer = "";
                ddMarked.each(function(){
                    var _self=$(this);
                    var qno = _self.parent().parent().attr("qno");
                    var qanswer = _self.attr("qitemvalue");
                    qnoandanswer += "\""+qno+"\""+":"+"\""+qanswer+"\""+",";
                });
                qnoandanswer = "{"+qnoandanswer.substr(0,qnoandanswer.length-1)+"}";
                var data = "qnoandanswer="+qnoandanswer;
                $.hsf.startLoading();
                $.hsf.ajax.app("account/risk/modifyRisk", data, "risktestCallback", function(jsonResult) {
                    if (jsonResult.successful) {
                        var riskablityStr = jsonResult.riskablilityStr;
                        $("#risktype").html(riskablityStr);
                        $("#risk-first").hide();
                        $("body").addClass('m-bg-white');
                        $("#risk-second").show();
                        $.platform.changeRisk && $.platform.changeRisk(riskablityStr);
                        $.hsf.stopLoading();
                    } else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
                return false;
            });
        }
    };
    return action;
});
