﻿define(function(require) {
	var action = {
		constant: {
			day: ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"],
			weeks: {
				"2": "周一",
				"3": "周二",
				"4": "周三",
				"5": "周四",
				"6": "周五"
			},
			result: null,
			limit:null,
//			fundcode: $.hsf.hsTools.getParam("fundcode"),
			xyh : $.hsf.hsTools.getParam("xyh"),
			fundcode:""
		},
		init: function() {

			this.packForm();
			this.event();
		},

		packForm: function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("valuavgr/fixdeclare/fixDeclareChangeForm", "xyh="+action.constant.xyh+"&antiMoneyBusinestype=988", "protocolList", function(jsonResult) {
				if (jsonResult.successful) {
					action.constant.result = jsonResult;
//					if (!jsonResult.limitResult.limits[0]) {
//						action.constant.limit = 100;
//					} else {
//						action.constant.limit = action.constant.result.limitResult.limits[0].minValue;
//					}
					action.constant.fundcode = jsonResult.fundcode;

					action.packFirstPage(jsonResult);

					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},

		/**初始化**/
		packFirstPage: function(jsonResult) {

					
			$("#fundNameSingle").html(jsonResult.fundname);
			$(".fundname").html(jsonResult.fundname);
			$(".fundcode").html(jsonResult.fundcode);
//			$("#tip").html(jsonResult.riskmatchResult.riskmsg).UITip("show");
			//默认选中原来的定投日期
			if(jsonResult.cycleunit=="0"){
				$("#jyrq_0").UISelectField("value",parseInt(jsonResult.jyrq).toString());
				// $("#nextworkdate").html(jsonResult.nextworkdate);
				action.queryDate();
			}else{
				$("#jyrq_0").hide();
				$("#jyrq_1").show();
				$("#selectCycle").UISelectField("value",jsonResult.jyzq);
				$("#jyrq_1").UISelectField("value",parseInt(jsonResult.jyrq).toString());
				// $("#nextworkdate").html(action.getNextWorkDate(jsonResult.jyrq-1,jsonResult.jyzq));
				action.queryDate();
			}
//			var buyConfirmDate = jsonResult.buyConfirmDate;
//			$("#predictConfirmDate").html($.hsf.hsTools.mm_dd(buyConfirmDate) + "(" + $.hsf.hsTools.dayOfWeek(buyConfirmDate) + ")");
			if(jsonResult.limitResult && jsonResult.limitResult.limits && jsonResult.limitResult.limits.length>0){
				action.constant.limit = jsonResult.limitResult.limits[0].minValue;
				$("#minValue").html(jsonResult.limitResult.limits[0].minValue);
			}

		$("#applysum").find("input").attr("placeholder", "请输入定投金额  0.00");
			for (var index in jsonResult.sharetypes) {
				$("#share"+jsonResult.sharetypes[index].key).show();
			}

		},

	

		event: function() {
			action.selectBank();
			action.selectCycle();
			action.selectDate();
			$("#applysum input").bind("input", function() {
				var _self=$(this),
					val=_self.val(),
					exp=/^[-]?([1-9]{1}[0-9]{0,}(\.[0-9]{0,2})?|0(\.[0-9]{0,2})?|\.[0-9]{1,2})$/g;
				val = val.toString().replace(/,/g, '');
				if(!exp.test(val)) {
					var value = val.replace(/[^0-9,\.]/g,"");
					if(value.substr(value.indexOf(".")).length>3)
					{
						_self.blur();
						$.UIPopup("请输入数字(例:0.00),最高保留两位小数");
					}
					var str=$.hsf.hsTools.formatMoney(value,true);
					$("#applysum").UITextField("value",str );
					return false;
				}
				return false;
			});
			$("#limitBtn, #bankcardSelect,#nextTo2Btn").bind("tap", function() {
				if ("nextTo2Btn" == $(this).attr("id")) {
					if (!action.formValidate()) {
						return ;
					} else {
						$(".confirmsum").html(action.getApplySum()+"元");
						var shareTypeText =  action.constant.result.sharetypes;
//						$(".fee1").html(shareTypeText);
						var jyzq = $("#selectCycle").UISelectField("value")
						if (jyzq == "0") {
							var jyrq = $("#jyrq_0").UISelectField("value");
							$(".dtdate").html(action.formatAvgrDate("0", "1", jyrq));
						} else if(jyzq == "1") {
							var jyrq = $("#jyrq_1").UISelectField("value");
							$(".dtdate").html(action.formatAvgrDate("1", "1", jyrq));
						} else if(jyzq == "2") {
							var jyrq = $("#jyrq_1").UISelectField("value");
							$(".dtdate").html(action.formatAvgrDate("1", "2", jyrq));
						}
					}
				}
//				$("#first").hide();
//				$("#"+$(this).attr("for")).show();
				$("#first").removeClass('view-active');
				$("#" + $(this).attr("for")).addClass('view-active');
				return false;
			});
			
			$("#limitBackBtn, #bankcardBackBtn, #secondBackBtn").on("tap", function() {
				$(this).parents(".view").removeClass('view-active');
				$("#tradepassword").UITextField("value", "");
				$("#first").addClass('view-active');
				return false;
			});
				$("#purchaseBtn").bind("tap", function() {
					$("#tradepassword input").blur();
				if (action.formValidate2()) {
					$.hsf.startLoading("正在提交申请...");
					var selectCard = action.constant.selectedTradeAcco;
					var avgrParam = action.getAvgrParam();
					var tradepassword = $("#tradepassword").UITextField("value");
					var data = "state=A&fundcode=" + action.constant.result.fundcode
					+ "&tradeacco=" + action.constant.result.tradeacco
					+ "&sharetype=" + action.constant.result.sharetype
					+ "&cycleunit=" + avgrParam[0]
					+ "&jyzq=" + avgrParam[1]
					+ "&jyrq=" + avgrParam[2]
					+ "&zzrq=99991231"
					+ "&scjyrq=000000"
					+ "&applysum=" + action.getApplySum()
					+"&tradepassword=" + tradepassword
					+ "&xyh=" + action.constant.result.xyh
					+ "&xybm=";

	                $.hsf.ajax.app("valuavgr/fixdeclare/fixDeclareChange", data, "purchaseCallback", function(jsonResult) {
	                	$.hsf.stopLoading();
	                	if (jsonResult.successful) {
                			$("#stateText").html("定投修改成功");
                			$("#state0").show();
                			$(".nextdate").html($("#nextworkdate").html());
	                		$("#second").hide();
	                		$("#third").show();
	                		$.hsf.stopLoading();
	                	} else {
	                		$.hsf.callFailProcess(jsonResult);
	                	}
	                });
				}
				return false;
			});
		},
		selectBank: function() {
			$("#selectBank").UISelectField("change", function(value) {
				var self = $(this),
					bankLogo;
				self.find("option").each(function() {
					var _self = $(this);
					if (_self.val() == value) bankLogo = _self.attr("m-logo");
				});
				
				if (action.constant.result.bankCards.length > 0) {
						$(".selectedBankName").html(action.constant.result.bankCards[self.val()].bankname);
						$(".selectedBankcardNo2").html("[" + action.getLastFourNumber(action.constant.result.bankCards[self.val()].bankacco) + "]");

						var bankname = action.constant.result.bankCards[self.val()].bankname;
						$("#banklimit").html(bankname);
						$("#minlimit").html(action.constant.result.bankCards[self.val()].onceMaxValue);
						$("#daylimit").html(action.constant.result.bankCards[self.val()].dayMaxValue);
						$("#limitTip")[0].style.visibility="visible";
						action.constant.selectedTradeAcco = action.constant.result.bankCards[self.val()];
						action.constant.selectedTradeAcco.capsource = "0"; //银行卡

					}
				$("#selectBankLogo").removeClass().addClass('bank-logo-min ' + bankLogo);
				$(".selectedBankcardMiniIcon").removeAttr("class").addClass("selectedBankcardMiniIcon bank-logo-tiny " + bankLogo);
			});
		},
		selectDate:function () {
			$("#jyrq_0,#jyrq_1").UISelectField("change",function (value) {
				var day = null;
				var cycle = $("#selectCycle").UISelectField("value");
				if($(this).parent().attr("id")=="jyrq_0")
					day = value;
				else
					day = value-1;
				// $("#nextworkdate").html(action.getNextWorkDate(day,cycle));
				action.queryDate();
			});
		},
		selectCycle: function() {
			$("#selectCycle").UISelectField("change", function(value) {
				var day = null;
				if (value== "0") {
					$("#jyrq_1").hide();
					$("#jyrq_0").show();
					day = $("#jyrq_0").UISelectField("value");
				} else {
					$("#jyrq_0").hide();
					$("#jyrq_1").show();
					day = $("#jyrq_1").UISelectField("value")-1;
				}
				// $("#nextworkdate").html(action.getNextWorkDate(day,value));
				action.queryDate();
//				
//				
			});
		},
		getNextWorkDate:function(dd,cycle){
			var nowDate = new Date();
			cycle = cycle ||0;
			var month;
			if(cycle==0)
			{
				if(nowDate.getDate()==dd)
				{
					if(nowDate.getHours()<15)
						return "今天";
				}
				if(nowDate.getDate()>=dd)
					nowDate.setMonth(nowDate.getMonth()+1);
				if(dd)
					nowDate.setDate(dd);
			}
			else{
				var dayOfWeek = nowDate.getDay();
				if(dd > dayOfWeek)
					nowDate.setDate(nowDate.getDate()+(dd-dayOfWeek)+(cycle-1)*7);
				else
					nowDate.setDate(nowDate.getDate()+(dd-dayOfWeek)+(cycle)*7);
				if(dd == dayOfWeek && nowDate.getHours()<15){
					if(cycle==1)
						return "今天";
					else
						nowDate.setDate(nowDate.getDate()-7);
				}
			}
			month = (nowDate.getMonth()+1);
			if(month<10) month = "0"+month;
			var day = nowDate.getDate();
			if(day<10) day = "0"+day;
			return nowDate.getFullYear()+"-"+month+"-"+day;
		},
		/*取银行卡后四位*/
		getLastFourNumber: function(str) {
			return str.length > 4 ? str.substr(str.length - 4, 4) : str;
		},
		
		 formValidate : function(){
            var applysum = action.getApplySum();
            var limit = action.constant.limit;
			if(""==applysum || parseFloat(applysum) == 0){
				$.UIPopup("请输入定投金额");
				return false;
			}
			 if(limit!=null) {
				 if (parseFloat(applysum) < limit) {
					 $.UIPopup("定投金额不低于" + limit + "元");
					 return false;
				 }
			 }
			return true;
		},
		
		getApplySum : function() {
			return $.hsf.hsTools.recoveryMoney($("#applysum").UITextField("value"));
		},
		
		formatAvgrDate : function(cycleunit, jyzq, jyrq) {
			if ("0" === cycleunit) {
				jyzq = "每月";
				jyrq = jyrq+"日";
			} else if ("1" === cycleunit) {
				if ("1" === jyzq) {
					jyzq = "每周的";
					jyrq = action.constant.weeks[jyrq];
				} else if ("2" === jyzq) {
					jyzq = "每两周的";
					jyrq = action.constant.weeks[jyrq];
				}
			}
			return jyzq+jyrq;
		},
		   formValidate2 : function(){
        	var tradepassword = $("#tradepassword").UITextField("value");
//          var checkContract = $("#checkContract").UICheckBox("value");
        	if ("" == tradepassword) {
            	$.UIPopup("交易密码不能为空");
            	return false;
            }
//          if (checkContract != "yes") {
//				$.UIPopup($(".for-agree-checkbox").html());
//				return false;
//			}
			return true;
        },
        getAvgrParam : function() {
			var jyzq = $("#selectCycle").UISelectField("value");
			if (jyzq == "0") {
				var jyrq = $("#jyrq_0").UISelectField("value");
				return ["0", "1", jyrq];
			} else if(jyzq == "1") {
				var jyrq = $("#jyrq_1").UISelectField("value");
				return ["1", "1", jyrq];
			} else if(jyzq == "2") {
				var jyrq = $("#jyrq_1").UISelectField("value");
				return ["1", "2", jyrq];
			}
		},
		formDateToChinese : function(str) {
        	return str.substr(0,4)+"年"+str.substr(4,2)+"月"+str.substr(6,2)+"日";
        },
		/*
		 * jyzq:是指交易周期,就是每月(1),每周(1),每两周(2)
		 * cycleunit:循环周期,每月(0),每周、每两周(1)
		 * jyrq:用户选择的日期
		 * */
		queryDate:function () {
			// action.constant.jyzq = $("#dingtouzhouqi").UITextField("value").trim();
			// if($("#dingtouzhouqi").UITextField("value").trim() == ""){
			// 	action.constant.jyzq = 1;
			// }
			var avgrParam = action.getAvgrParam();
			var data = "cycleunit=" + avgrParam[0]
				+ "&cycle=" + avgrParam[1]
				+ "&tradedate=" + avgrParam[2]
				+ "&fundcode=" + action.constant.fundcode
				+ "&type=5";
			// var data = "tradeacco="+action.constant.selectedTradeAcco.tradeacco+"&cycleunit="+action.constant.cycleunit+"&tradedate="+action.constant.jyrq+"&fundcode="+action.constant.fundcode+"&exptype=02"
			console.log("data="+data);
			$.hsf.ajax.app("comquery/common/queryDate", data, "fixDeclareCallback", function(jsonResult) {
				if (jsonResult.successful) {
					$("#nextworkdate").html($.hsf.hsTools.yyyy_mm_dd(jsonResult.date));
				}
			});
		}
	};
	
	
	
	return action;
});