define(['jquery'], function($) {
	$(document).bind("deviceready", function () {
		baseapi.deviceReady = true;
		// hybrid.core.addHybridBroadcastListener("forgetGesturePassword", function(jsresult) {
		// 	$.hsf.ajax.app("account/login/logout","","logoutCallback",function(jsonResult) {
		// 		baseapi.removeCache("login");
		// 		baseapi.removeCache("gestureStatus");
		// 		if(jsonResult.successful) {
		// 			window.location.reload();
		// 			hybrid.core.sendHybridBroadcast("closeGesturePassword",{"close":"true"});
		// 		}
		// 	});
		// });
		hybrid.core.addHybridBroadcastListener("forgetGesturePassword", function(jsresult){
			$.hsf.innerLogin();
			//            return false;
		});
        hybrid.core.addHybridBroadcastListener("gestureSuccess", function(jsresult){
            baseapi.checkToken();
        });
	});
	var baseapi = {
		channel : "iphone",
		warningchannel:"2",
		serviceOnlineChannel:"12",
		nativerefreshdown: function(func) {
			window.nativerefreshdown = func;
		},
		dismissLoginView: function() {
			hybrid && hybrid.core.execMethod("dismissLoginView");
		},
		changeTitle: function(title) {
			hybrid && hybrid.core.execMethod("changeTitle", title);
		},
		openOnlineWebPage:function (url, title, mode) {//给在线客服使用
			var str = {"url":url, "title":title, "mode":mode};
			hybrid && hybrid.core.execMethod("openWebPage", str);
		},
		changeBtnWithJson: function(obj) {
			LightJSBridge.call('changeBtnWithJson', obj, null);
			//hybrid && hybrid.core.execMethod("changeBtnWithJson", obj);
		},
		openHeaderRefreshing: function() {
			hybrid && hybrid.core.execMethod("openHeaderRefreshing");
		},
		closeHeaderRefreshing: function() {
			hybrid && hybrid.core.execMethod("closeHeaderRefreshing");
		},
		setNavigationbarShow: function(boolVal) {
			hybrid && hybrid.core.execMethod("setNavigationbarShow", boolVal);
		},
		toMainPage: function(boolVal) {
			hybrid && hybrid.core.execMethod("toMainPage");
		},
		headerEndRefresh: function() {
			hybrid && hybrid.core.execMethod("headerEndRefresh");
		},
		toTabBar: function(tabIndex) {
			hybrid && hybrid.core.execMethod("toTabBar", {"tabBarIndex": tabIndex});
		},
		putCache : function(key , value) {
			hybrid && hybrid.core.execMethod("save",  {"key": key, "value" : value});
		},
		openGesture: function(param){
			hybrid && hybrid.core.execMethod("showLockVC", {"tagState":"enable","confirm":(param&&param.confirm?"yes":"no")});
		},
		closeGesture: function(){
			hybrid && hybrid.core.execMethod("showLockVC", {"tagState":"disable","confirm":false});
		},
		modifyGesture: function() {
			hybrid && hybrid.core.execMethod("showLockVC", {"tagState":"modify","confirm":false});
		},
		getDeviceId: function(func) {
			baseapi.getCache("deviceId", func);
		},
		getJPushId: function(func) {
			baseapi.getCache("jpushId", func);
		},
		getJPushNum: function (func) {
			hybrid && hybrid.core.execMethod("getJPushNum",null,function (result) {
				var value = result || null;
				func.call(this, value);
			});
		},
		setJPushNum: function (num) {
			hybrid && hybrid.core.execMethod("setJPushNum",num);
		},
		openWebPage:function (url, title) {
			var str = {"url":url, "title":title};
			hybrid && hybrid.core.execMethod("openWebPage", str);
		},
		getCache : function(key, func) {
			hybrid && hybrid.core.execMethod("load",  key, function(result) {
				if (result) {
					$.hsf.ajax.app("account/weixinlogin/keepalived", "", "islogin2Callback", function(jsonResult) {});
				}
				func.call(this, result);
			});
		},
		removeCache : function(key) {
			hybrid && hybrid.core.execMethod("clear", key);
		},
		removeAllCache : function() {
			type = type || "session";
			hybrid && hybrid.core.execMethod("clearAll", type);
		},
		tongji : function() {
			var dir= location.href.split('/');
			var page = dir[dir.length-1].split('.')[0]+".html";
			hybrid && hybrid.core.execMethod("baiduStatStart",{"pageName": page});
		},
		hsOpen : function(url, animation) {
			var argv = {
				"startpage": "pages/"+url,
				"pageAnimation" : 4
			};
			if(url.indexOf("#") != -1){
				window.location.href = decodeURI(url);
			}else {
				$.extend(argv, animation);
				hybrid.core.openPage("webPage", argv);
				hybrid && hybrid.core.execMethod("load", "webPageIndex", function (result) {
					if (result) {
						result = parseInt(result) + 1;
						hybrid && hybrid.core.execMethod("save", {"key": "webPageIndex", "value": result});
					} else {
						hybrid && hybrid.core.execMethod("save", {"key": "webPageIndex", "value": 1});
					}
				});
			}
		},
		hsOpen_loc : function(url) {
			window.location.href = decodeURI(url);
		},
		hsOpenAndCloseSelf: function(url) {
			var argv = {
				"startpage": "pages/"+url,
				"pageAnimation" : 4
			};
			$("#login").hide();
			hybrid.core.openPage("webPage", argv);
			hybrid && hybrid.core.execMethod("load", "webPageIndex", function (result) {
				if (result) {
					result = parseInt(result) + 1;
					hybrid && hybrid.core.execMethod("save", {"key": "webPageIndex", "value": result});
				} else {
					hybrid && hybrid.core.execMethod("save", {"key": "webPageIndex", "value": 1});
				}
			});
		},
		addListener: function (name, cb) {
			hybrid.core.addHybridBroadcastListener(name, function(jsresult) {
				cb && cb(jsresult);
			});
		},
		sendBroadcast: function (name) {
			hybrid.core.sendHybridBroadcast(name, {
				"succ": "succ"
			});
		},
		hsBack : function(url, style) {
			hybrid && hybrid.core.execMethod("load",  "webPageIndex", function(result) {
				var backInPage = function() {
                    if (url) {
                        window.location.href = decodeURI(url);
                    } else {
                        window.history.go(-1);
                    }
                };
				if (result) {
					result = parseInt(result);
					if (result <= 0) {
						backInPage();
					} else {
						if (window.location.hash != '' && style !="finish") {
							window.history.go(-1);
						} else {
							hybrid.core.back();
							hybrid && hybrid.core.execMethod("save",  {"key": "webPageIndex", "value" : result-1});
						}
					}
				} else {
					backInPage();
					hybrid && hybrid.core.execMethod("save",  {"key": "webPageIndex", "value" : 0});
				}
			});
		},
		openChat: function (sign) {
            var url = "https://www.csfunds.com.cn/hsipccweb/chat/addcustinfo?subtrade=def&channelId=0&idType=10"+"&sign="+ sign;
            hybrid && hybrid.core.execMethod("openChat",url);
        },
		deviceReady : false,
		getNativeImg: function (a,b,d,c) {
			d.bind("tap",function(){
				idcard = c;
				hybrid && hybrid.core.execMethod("checkIdCardInfo", "");
			})
		},
		checkToken: function(func) {
			hybrid.core.execMethod("load", "token", function(result) {
				if(result.token) {
					$.hsf.startLoading();
					$.hsf.ajax.app(api["login-view"].loginUrl, "data=" + encodeURIComponent(result.token), "checkLoginCode", function(jsonResult) {
						$.hsf.stopLoading();
						if(jsonResult.successful == true) {
							$.hsf.Event.trigger("login", function() {
                                $.hsf.hsTools.checkInvestmentSuitabilityAll();
							});
						} else {
							$.hsf.loginProxy(func);
						}
					});
				} else {
					$.hsf.loginProxy(func);
				}
			})
		}
	};
	var api = {
		"index" : {
			// initOpenId : function() {
				// 	baseapi.getCache("openId", function(openIdResult) {
				// 		if (openIdResult) {
				// 		} else {
				// 			baseapi.getCache("deviceId", function(result) {
				// 				$.hsf.ajax.app("account/main/firstOpen", "deviceId="+encodeURIComponent(result)+"&deviceType=1&originalId=app", "firstOpenCallback", function(jsonResult) {
				// 					if (jsonResult.successful) {
				// 						baseapi.putCache("openId", jsonResult.openId);
				// 						baseapi.putCache("deviceId", result);
				// 					}
				// 				});
				// 			})
				// 		}
				// 	});
			// }
			/*initPushID :function(){
				baseapi.getCache("pushId", function(pushIdResult) {
					if (pushIdResult) {
						this.readyPush=pushIdResult;
						baseapi.putCache("pushId", pushIdResult);

						if(this.readyPush){
							baseapi.getCache("deviceId", function(result) {
								// alert("deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush));
								$.hsf.ajax.app("account/main/firstOpen", "deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush), "firstOpenCallback", function(jsonResult) {
									if (jsonResult.successful) {
										baseapi.putCache("openId", jsonResult.openId);
										baseapi.putCache("deviceId", result);
									}
									else{

									}
								});
							});

						}else{
						}

						return pushIdResult;
					}else{
						hybrid.core.execMethod("getPushID","");
						this.initPushID();
					}
				});
			},
			initOpenId : function() {
				var pushId=this.initPushID();
				setTimeout(function(){
					if(this.readyPush){
						//baseapi.getCache("deviceId", function(result) {
						//	alert(this.readyPush);
						//	alert("deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush));
						//	$.hsf.ajax.app("account/main/firstOpen", "deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush), "firstOpenCallback", function(jsonResult) {
						//		if (jsonResult.successful) {
						//			baseapi.putCache("openId", jsonResult.openId);
						//			baseapi.putCache("deviceId", result);
						//		}
						//		else{
						//
						//		}
						//	});
						//});

						//baseapi.getCache("openId", function(openIdResult) {
						//	var that=this;
						//	alert("openId"+openIdResult);
						//
						//		baseapi.getCache("deviceId", function(result) {
						//			alert(this.readyPush);
						//			alert("deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush));
						//			$.hsf.ajax.app("account/main/firstOpen", "deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush), "firstOpenCallback", function(jsonResult) {
						//				if (jsonResult.successful) {
						//					baseapi.putCache("openId", jsonResult.openId);
						//					baseapi.putCache("deviceId", result);
						//				}
						//				else{
						//
						//				}
						//			});
						//		});
						//
						//});
					}else{
					}
				},500);
			}*/
			initOpenId : function() {
				var initPushID=function () {
					baseapi.getCache("pushId", function(pushIdResult) {
						if (pushIdResult) {
							this.readyPush=pushIdResult;
							baseapi.putCache("pushId", pushIdResult);
							if(this.readyPush){
								baseapi.getCache("deviceId", function(result) {
									//alert("deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush));
									$.hsf.ajax.app("account/main/firstOpen", "deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush), "firstOpenCallback", function(jsonResult) {
										if (jsonResult.successful) {
											baseapi.putCache("openId", jsonResult.openId);
											baseapi.putCache("deviceId", result);
											//alert(1+JSON.stringify(jsonResult));
										}
										else{

										}
									});
								});

							}else{
							}

							return pushIdResult;
						}else{
							hybrid.core.execMethod("getPushID","");
						}
					});
				};

				baseapi.getCache("deviceId", function(result) {
					var that=this;
					// alert(this.readyPush);
					//alert("deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app&pushId="+encodeURIComponent(this.readyPush));
					$.hsf.ajax.app("account/main/firstOpen", "deviceId="+encodeURIComponent(result)+"&deviceType=2&originalId=app", "firstOpenCallback", function(jsonResult) {
						if (jsonResult.successful) {
							baseapi.putCache("openId", jsonResult.openId);
							baseapi.putCache("deviceId", result);
//							alert(JSON.stringify(jsonResult));
						}
						else{

						}
					});
				});
				setTimeout(initPushID,2000);
			},
		},
		"login-view" : {
			channel : "iphone",
			initPage : function(action) {
				$("#rememberPassword").show();
				$("#login [m-role=\"title\"]").html("登录");
				$("#loginButton").html("登&nbsp;&nbsp;录");
				$("#licenseName").html("《用户登录协议》且同意接受条款");
				this.loadCertificate();
				hybrid.core.addHybridBroadcastListener("openaccoSucc", function(jsresult){
					action.triggerSucc();
				});
				//忘记手势密码后的登录不显示左上角返回按钮。
				hybrid && hybrid.core.execMethod("load","hideTopLeftButton",function(result){
					if(result.hideTopLeftButton == "1"){
						$("#backBtn").hide();
					}else{
						$("#backBtn").show();
					}
				});
			},
			loadCertificate : function() {
				try {
					baseapi.getCache("login", function(result) {
						if (result) {
							if(typeof (result.certificateType) == "undefined"){
								$("#accountType").UISelectField("value", "0");
							}else {
								$("#accountType").UISelectField("value", result.certificateType);
							}
							$("#accountNo").UITextField("value", mask(result.certificate));
							$("#accountNoHidden").val(result.certificate);
						}
						function mask(str) {
							if (typeof str == "string" && str.length > 8) {
								str = str.substr(0,4)+"****"+str.substr(str.length - 4,4);
							}
							return str;
						}
					});
				} catch (e) {
					console.log(e);
				}
			},
			loginUrl : "account/login/login",
			loginSuccess : function() {
				var data = {"key":"hideTopLeftButton","value":{"hideTopLeftButton":"0"}};
				hybrid && hybrid.core.execMethod("save",data);
				var data = {"key":"gestureStatus","value":{"status":"0"}};
				hybrid && hybrid.core.execMethod("save",data);
				hybrid && hybrid.core.execMethod("clear","gestureStatus");
				var saveCertificate = function() {
					var certificate = "";
					var accountNoHidden = $("#accountNoHidden").val();
					var accountInput = $("#accountNo").UITextField("value");
					if (accountNoHidden && accountNoHidden != "" && accountInput.indexOf("****") > 0) {
						certificate = accountNoHidden;
					} else {
						certificate = accountInput;
					}
					var certificateType = $("#accountType").UISelectField("value");
					var rememberFlag = $("#checkPw").UICheckBox("value");
					if (rememberFlag == "yes") {
						try {
							hybrid && hybrid.core.execMethod("save",  {"key": "login", "value" : {"certificate":certificate,"certificateType":certificateType,"rememberFlag":rememberFlag,"gestureSwitch":$.hsf.handPassword.enable}});//argv是一个json格式的字符串
						} catch (e) {
							console.log(e);
						}
					} else {
						hybrid && hybrid.core.execMethod("clear", "login");//argv是一个json格式的字符串
					}
				};
				saveCertificate();
                hybrid.core.sendHybridBroadcast("loginrefresh", {"refresh":"true"});
			},
			resetToken : function(token) {
				hybrid.core.execMethod("save",{"key":"token","value":{"token":token}});
			}
		},
		"jinsp-buy":{
			initPage : function(action) {
				$("#rememberPw").parent().show();
				this.loadCertificate();
        var that = this;
				hybrid.core.addHybridBroadcastListener("add-bankcard-succ",function(jsresult) {
					if(jsresult.refresh == "true"){
						that.packForm().apply(that);
					}
					window.location.reload();
				});
			},
			loadCertificate : function() {
				try {
					hybrid && hybrid.core.execMethod("load",  "jinspbuy", function(result) {
						if (result) {
							$("#tradepassword").UITextField("value", result.certificate);
							if(result.rememberFlag=="yes")
								$("#rememberFlag").attr("m-checked", "yes");
							else
								$("#rememberFlag").attr("m-checked", "");
						}
					});
				} catch (e) {
					console.log(e);
				}
			},
			buySuccess : function() {
				var saveCertificate = function() {
					var password =  $("#tradepassword").UITextField("value");
					var rememberFlag = $("#rememberPw").UICheckBox("value");
					if (rememberFlag == "yes") {
						try {
							hybrid && hybrid.core.execMethod("save",  {"key": "jinspbuy", "value" : {"certificate":password,"rememberFlag":rememberFlag}});//argv是一个json格式的字符串
						} catch (e) {
							console.log(e);
						}
					} else {
						hybrid && hybrid.core.execMethod("clear", "jinspbuy");//argv是一个json格式的字符串
					}
				};
				saveCertificate();
			}
		},
		"account-openAcco-form" : {
			loginUrl : "account/login/login"
		},
		"account-safe" : {
			initPage : function() {
				$(".nativeSupport").show();
				setTimeout(this.loadGestureStatus, 1000);
			},
			loadGestureStatus : function(){
	            hybrid && hybrid.core.execMethod("load","gestureStatus",function(result){
	                if(result.status == 1){
	                    $("#switch").UISwitch("state","on");
	                }else{
	                    $("#switch").UISwitch("state","off");
	                }
	            });
	        },
	        switchFunc : function(){
				var value = $("#switch").attr("m-value");
				if(value == 1){
				    var data = {"key":"gestureStatus","value":{"status":"1"}};
				    hybrid && hybrid.core.execMethod("save",data);
				    hybrid && hybrid.core.execMethod("showLockVC","1");
				}else{
				    var data = {"key":"gestureStatus","value":{"status":"0"}};
				    hybrid && hybrid.core.execMethod("save",data);
				    hybrid && hybrid.core.execMethod("showLockVC","3");
				}
            },
            showLock : function() {
                if(0 == $("#switch").attr("m-value")){
                    $.UIPopup("请先创建手势密码!");
                    return false;
                }
                try {
                    hybrid && hybrid.core.execMethod("showLockVC", "2");
                } catch (e) {
                    console.log(e);
                }
            },
            logoutRefresh : function() {
            	hybrid.core.sendHybridBroadcast("logoutrefresh", {"refresh":"true"});
            },
            logoutRefresh : function() {
            	hybrid.core.sendHybridBroadcast("logoutrefresh", {"refresh":"true"});
            }
		},
		"home" : {
			initPage : function(m) {
				hybrid.core.addHybridBroadcastListener("focusfundrefresh", function(jsresult){
					//$.UIPopup(jsresult.fundcode+" "+jsresult.state);
					if(jsresult.fundcode){
						m.focusRefresh(jsresult.fundcode,(jsresult.state));
					}
				});
				/*hybrid.core.addHybridBroadcastListener("homerefresh", function(jsresult){
					if(jsresult.refresh == "true"){
						m.initialize.apply(m);
					}
				});*/
			}
		},
		"discover" : {
			initPage : function(m) {
				hybrid.core.addHybridBroadcastListener("focusfundrefresh", function(jsresult){
					//$.UIPopup(jsresult.fundcode+" "+jsresult.state);
					if(jsresult.fundcode){
						m.focusRefresh(jsresult.fundcode,(jsresult.state));
					}
				});
				/*hybrid.core.addHybridBroadcastListener("discoverrefresh", function(jsresult){
					//$.UIPopup(jsresult+"+"+jsresult.refresh);
					if(jsresult.refresh == "true"){
						m.reGetData.apply(m);
					}
				});*/
			}
		},
		"modify-mobile":{
			initPage : function() {
			},
			mobileModifiedRefresh : function() {
				hybrid.core.sendHybridBroadcast("mobilemodifiedrefresh", {"refresh":"true"});
			}
		},
		"asset" : {
			initPage : function(m) {
				hybrid.core.addHybridBroadcastListener("logoutrefresh", function(jsresult){
	                if(jsresult.refresh == "true"){
	                    m.resetPage.apply(m);
	                }
				});
			}
		},
		"setting" : {
			initPage : function(m) {
				$(".nativeSupport").show();
				hybrid.core.addHybridBroadcastListener("loginrefresh", function(jsresult){
	                if(jsresult.refresh == "true"){
	                    m.loadUserInfo.apply(m);
	                }
				});
				hybrid.core.addHybridBroadcastListener("logoutrefresh", function(jsresult){
	                if(jsresult.refresh == "true"){
	                    m.resetPage.apply(m);
	                }
				});
			}
		},
		"fund-list":{
			initPage : function(){
				hybrid.core.addHybridBroadcastListener("focusfundrefresh", function(jsresult){
	                if(jsresult.fundcode){
	                	$("#dd_"+jsresult.fundcode).find(".fund-fav-item").toggleClass('on');
	                }
				});
			}
		},
		"fund-detail":{
			changeFocusFund : function(fundcode, state) {
				hybrid.core.sendHybridBroadcast("focusfundrefresh", {"fundcode":fundcode, "state":state});
			},
			moveChart : function() {
				-function() {
	                var startPoint = {};
					var times = 0;
					$("#placeholder").bind("touchstart", function(e) {
						startPoint.pageX = e.originalEvent.touches[0].pageX;
	                    startPoint.pageY = e.originalEvent.touches[0].pageY;
						times = 0;
					}).bind("touchmove", function(e) {
	                    var currentP = e.originalEvent.touches[0];
						if (times > 2) {
							var xDistance = Math.abs(currentP.pageX*100 - startPoint.pageX*100);
							var yDistance = Math.abs(currentP.pageY*100 - startPoint.pageY*100);
							if (xDistance == 0 || (yDistance / xDistance) >= 2.5) {
							} else {
								e.preventDefault();
							}
	                        startPoint.pageX = currentP.pageX;
	                        startPoint.pageY = currentP.pageY;
							times = 0;
						}
						times++;
					});
				}();
			},
			sendShare :function(action){
				// var data = {"key":"fundcode","value":action.constant.fundcode};

				var url=$.hsf.appDownloadUrl+"pages/fund-detail-share.html?1=1&fundcode="+action.constant.fundcode;
				var title=action.constant.fundname;
				var text="这是我发现的收益不错基金，别说我没告诉你啊！";
				var mediaType=1;
				var mediaUrl = $.hsf.appDownloadUrl+"images/app_logo.jpg";
				var data = {"url":url,"title":title,"text":text,"mediaType":mediaType,"mediaUrl":mediaUrl};
				hybrid.core.execMethod("shareWay",data);
			},
			discoverrefresh : function() {
				hybrid.core.sendHybridBroadcast("discoverrefresh", {"refresh":"true"});
			},
		},
		"attention" : {
			initPage : function(action){
				hybrid.core.addHybridBroadcastListener("focusfundrefresh", function(jsresult){
					action.reload();
				});
			}
		},
		"account":{
			initPage : function(action){
				$(".nativeSupport").show();
				hybrid && hybrid.core.execMethod("getAppVersion",null,function (result) {
					$("#app-version").html(result.AppVersion);
				});
			},
			openChat: function () {
				var url = "https://www.csfunds.com.cn/hsipccweb/chat/addcustinfo?subtrade=def&channelId=0&idType=10";
                hybrid && hybrid.core.execMethod("openChat",url);
            },
		},
		"account-setting": {
			initPage : function(action){
				var that = this;
				//消息推送start
				// hybrid && hybrid.core.execMethod("load","JpushState",function(result){
				// 	if(typeof(result.JpushState)=="undefined"){
				// 		result.JpushState = 1;
				// 		hybrid && hybrid.core.execMethod("switchPush","1");
				// 	}
                //     console.log("result.JPushState="+result.JpushState);
				// 	$.doTemplate("native-template", result.JpushState);
				// 	$("[m-role='UISwitch']").UISwitch();
				// 	$("#switch").UISwitch("change", function() {
				// 		that.switchPush();
				// 	});
				// });
				//消息推送end

				//手势密码start
				hybrid && hybrid.core.execMethod("load","gestureStatus",function(result){
					result = result || {status:0}
					$.doTemplate("native-template2", result.status);
					$("[m-role='UISwitch']").UISwitch();
					$("#switch2").UISwitch("change", function() {
						that.switchFunc();
					});
					$("#gesture_password").bind("tap",that.showLock);
					hybrid.core.addHybridBroadcastListener("setGestureStatus",function(jsresult){
						if(jsresult.status == "1"){
							$("#switch2").UISwitch("state","off","stopEvent");
							var data = {"key":"gestureStatus","value":{"status":"0"}};
							hybrid && hybrid.core.execMethod("save",data);
						} else {
							$("#switch2").UISwitch("state","on","stopEvent");
							var data = {"key":"gestureStatus","value":{"status":"1"}};
							hybrid && hybrid.core.execMethod("save",data);
						}
					});
				});
				hybrid.core.addHybridBroadcastListener("GestureDone",function(jsresult){
					if(jsresult.GestureStatus=="Open"){
						$("#switch2").UISwitch("state","on","stopEvent");
						var data = {"key":"gestureStatus","value":{"status":"1"}};
						hybrid && hybrid.core.execMethod("save",data);
					}
					if(jsresult.GestureStatus=="Close"){
						$("#switch2").UISwitch("state","off","stopEvent");
						var data = {"key":"gestureStatus","value":{"status":"0"}};
						hybrid && hybrid.core.execMethod("save",data);
					}
				});
				//手势密码end
			},
			switchFunc : function(){
				var value = $("#switch2").attr("m-value");
				if(value == 1){
					hybrid && hybrid.core.execMethod("showLockVC","1");
				}else{
					hybrid && hybrid.core.execMethod("showLockVC","3");
				}
			},
			showLock : function() {
				if(0 == $("#switch2").attr("m-value")){
					$.UIPopup("请先创建手势密码!");
					return false;
				}
				try {
					hybrid && hybrid.core.execMethod("showLockVC", "2");
				} catch (e) {
					console.log(e);
				}
			},
			//loadPushState : function () {
			//	hybrid && hybrid.core.execMethod("load","JpushState",function(result){
			//		if(result.JpushState == "0"||result.JpushState == 0){
			//			$("#switch").UISwitch("state","off");
			//		}else{
			//			$("#switch").UISwitch("state","on");
			//		}
			//	});
			//},
			switchPush : function(){
				var value = $("#switch").attr("m-value");
				if(value == 1){
					hybrid && hybrid.core.execMethod("switchPush","1");
				}else{
					hybrid && hybrid.core.execMethod("switchPush","0");
				}
			}
		},
		"account-setting-version":{
			initPage : function(action){
				hybrid && hybrid.core.execMethod("getAppVersion",null,function (result) {
					$("#app-version").html(result.AppVersion);
				});
			}
		},
		"message" : {
			initPage : function(action){
				hybrid.core.addHybridBroadcastListener("freshMessage", function(jsresult){
					action.constant.data=jsresult;
					//action.constant.messageUrl=jsresult.content;
					$("#newTitle").html(action.constant.data.title);
					$("#messageFrame").attr("src", action.constant.data.content).height(document.documentElement.clientHeight);
				});
				this.sendMessage();

				$(document).data("backbuttonlock", false).bind('backbutton.message', function() {
					if (!$(this).data("backbuttonlock")) {
						$.hsf.stopLoading();
						hybrid.core.execMethod("over","");
						//$.UIConfirm({"html": "退出程序?", "submitText": "确定", "cancelText": "取消"}, function(v) {
						//	if(v == "yes"){
						//		hybrid.core.execMethod("exitApp","");
						//	}
						//});
					}
				});
				$("#messageBack").bind("tap",function () {
					hybrid.core.execMethod("over","");
				});
			},

			sendMessage : function(action){
				var data = {"key":"sendMessage","value":true};
				hybrid && hybrid.core.execMethod("sendMessage",data);
				//action.initFrame();
			}
		},
		"account-info" : {
			// initPage : function() {
			// 	hybrid.core.addHybridBroadcastListener("riskrefresh", function(jsresult){
			// 		$("#riskablityType").html(jsresult.riskinfo);
			// 	});
			// }
			initPage : function() {
				var that = this;
          	hybrid.core.addHybridBroadcastListener("mobileChange-succ", function(jsresult){
					window.location.reload();
				});
				hybrid && hybrid.core.execMethod("load","gestureStatus",function(result){
					result = result || {status:0}
					$.doTemplate("native-template", result.status);
					$("[m-role='UISwitch']").UISwitch();
					$("[m-role='UITableView']").UITableView();
					$("#switch").UISwitch("change", function() {
						that.switchFunc();
					});
					$("#gesture_password").bind("tap",that.showLock);
					$(".nativeSupport").show();
					hybrid.core.addHybridBroadcastListener("setGestureStatus",function(jsresult){
						if(jsresult.status == "1"){
							$("#switch").UISwitch("state","off","stopEvent");
							var data = {"key":"gestureStatus","value":{"status":"0"}};
							hybrid && hybrid.core.execMethod("save",data);
						} else {
							$("#switch").UISwitch("state","on","stopEvent");
							var data = {"key":"gestureStatus","value":{"status":"1"}};
							hybrid && hybrid.core.execMethod("save",data);
						}
					});
				});
				hybrid.core.addHybridBroadcastListener("GestureDone",function(jsresult){
					if(jsresult.GestureStatus=="Open"){
						$("#switch").UISwitch("state","on","stopEvent");
						var data = {"key":"gestureStatus","value":{"status":"1"}};
						hybrid && hybrid.core.execMethod("save",data);
					}
					if(jsresult.GestureStatus=="Close"){
						$("#switch").UISwitch("state","off","stopEvent");
						var data = {"key":"gestureStatus","value":{"status":"0"}};
						hybrid && hybrid.core.execMethod("save",data);
					}
				});
				hybrid.core.addHybridBroadcastListener("mobileStatus",function(jsresult){
					$.hsf.ajax.app("account/mobile/queryBindMobile", "", "sendMobileAuthcodeCallback", function(jsonResult){
						if(jsonResult.result.mobileno!=""){
							$("#bind-mobile").html("已绑定手机号码");
							$("#mobile").html($.hsf.hsTools.maskMobile(jsonResult.result.mobileno)+"&nbsp;&nbsp;&nbsp;");
						} else {
							$("#bind-mobile").html("绑定手机号码");
							$("#mobile").html("");
						}
					});
				});
				hybrid.core.addHybridBroadcastListener("mobilemodifiedrefresh",function(jsresult){

					if(jsresult.refresh == "true"){
						that.getUserInfo().apply(that);
					}
				});
			},
			switchFunc : function(){
				var value = $("#switch").attr("m-value");
				if(value == 1){
					hybrid && hybrid.core.execMethod("showLockVC","1");
				}else{
					hybrid && hybrid.core.execMethod("showLockVC","3");
				}
			},
			showLock : function() {
				if(0 == $("#switch").attr("m-value")){
					$.UIPopup("请先创建手势密码!");
					return false;
				}
				try {
					hybrid && hybrid.core.execMethod("showLockVC", "2");
				} catch (e) {
					console.log(e);
				}
			},
			logoutRefresh : function() {
				hybrid.core.sendHybridBroadcast("logoutrefresh", {"refresh":"true"});
			},
		},
		"general":{
			init : function() {
				$(".ios").show();
			},
			submitScore : function(){
				var data = {"key":"submitScore","value":{"appUrl":"itms-apps://itunes.apple.com/app/id1014898879?mt=8"}};
				hybrid && hybrid.core.execMethod("submitScore",data);
			}
		},
		"about-us":{
			phoneCall : function(){
				var data = {"key":"phoneCall","value":{"phone":"400-888-2666"}};
				hybrid && hybrid.core.execMethod("phoneCall",data);
			},
			sendEmail : function(){
				var data = {"key":"sendEmail","value":{"email":"services@csfunds.com.cn"}};
				hybrid && hybrid.core.execMethod("sendEmail",data);
			},
			openWebsite : function(){
				var data = {"key":"openWebsite","value":{"website":"http://www.csfunds.com.cn"}};
				hybrid && hybrid.core.execMethod("openWebsite",data);
			}
		},
		//银行卡签约
		"account-bankcard-tl-renewsign":{
		  //刷新银行卡签约状态。
		  refreshBankcardStatus:function () {
			hybrid.core.sendHybridBroadcast("renewsign", {"succ":"succ"});
		  }
		},
		"xjb" : {
			initPage : function(){}
		},
		"risk-test" : {
			changeRisk : function(info) {
				hybrid.core.sendHybridBroadcast("riskrefresh", {"riskinfo":info});
			}
		},
		// "account-info" : {
		// 	initPage : function() {
        //
		// 	}
		// },
		"account-openAcco-tl-validate-2" : {
			triggerSucc : function() {
				hybrid.core.sendHybridBroadcast("openaccoSucc", {"succ":"succ"});
				hybrid.core.execMethod("clear", "login");
			}
		},
		"account-addAcco-tl-validate-1" : {
			triggerSucc : function() {
				hybrid.core.sendHybridBroadcast("addaccoSucc", {"succ":"succ"});
			}
		},
		"bankcard" : {
			initPage : function(action) {
				hybrid.core.addHybridBroadcastListener("addaccoSucc", function(jsresult){
					window.location.reload();
				});
			}
		}
	};

	return {api:api, baseapi: baseapi}
});



/*hybrid api*/
;(function(){var CORDOVA_JS_BUILD_LABEL='3.5.0';var require,define;(function(){var modules={},requireStack=[],inProgressModules={},SEPARATOR=".";function build(module){var factory=module.factory,localRequire=function(id){var resultantId=id;if(id.charAt(0)==="."){resultantId=module.id.slice(0,module.id.lastIndexOf(SEPARATOR))
+SEPARATOR+id.slice(2);}
return require(resultantId);};module.exports={};delete module.factory;factory(localRequire,module.exports,module);return module.exports;}
require=function(id){if(!modules[id]){throw"module "+id+" not found";}else if(id in inProgressModules){var cycle=requireStack.slice(inProgressModules[id]).join('->')
+'->'+id;throw"Cycle in require graph: "+cycle;}
if(modules[id].factory){try{inProgressModules[id]=requireStack.length;requireStack.push(id);return build(modules[id]);}
finally{delete inProgressModules[id];requireStack.pop();}}
return modules[id].exports;};define=function(id,factory){if(modules[id]){throw"module "+id+" already defined";}
modules[id]={id:id,factory:factory};};define.remove=function(id){delete modules[id];};define.moduleMap=modules;})();if(typeof module==="object"&&typeof require==="function"){module.exports.require=require;module.exports.define=define;}
define("cordova",function(require,exports,module){var channel=require('cordova/channel');var platform=require('cordova/platform');var m_document_addEventListener=document.addEventListener;var m_document_removeEventListener=document.removeEventListener;var m_window_addEventListener=window.addEventListener;var m_window_removeEventListener=window.removeEventListener;var documentEventHandlers={},windowEventHandlers={};document.addEventListener=function(evt,handler,capture){var e=evt.toLowerCase();if(typeof documentEventHandlers[e]!='undefined'){documentEventHandlers[e].subscribe(handler);}else{m_document_addEventListener.call(document,evt,handler,capture);}};window.addEventListener=function(evt,handler,capture){var e=evt.toLowerCase();if(typeof windowEventHandlers[e]!='undefined'){windowEventHandlers[e].subscribe(handler);}else{m_window_addEventListener.call(window,evt,handler,capture);}};document.removeEventListener=function(evt,handler,capture){var e=evt.toLowerCase();if(typeof documentEventHandlers[e]!="undefined"){documentEventHandlers[e].unsubscribe(handler);}else{m_document_removeEventListener.call(document,evt,handler,capture);}};window.removeEventListener=function(evt,handler,capture){var e=evt.toLowerCase();if(typeof windowEventHandlers[e]!="undefined"){windowEventHandlers[e].unsubscribe(handler);}else{m_window_removeEventListener.call(window,evt,handler,capture);}};function createEvent(type,data){var event=document.createEvent('Events');event.initEvent(type,false,false);if(data){for(var i in data){if(data.hasOwnProperty(i)){event[i]=data[i];}}}
return event;}
var cordova={define:define,require:require,version:CORDOVA_JS_BUILD_LABEL,platformId:platform.id,addWindowEventHandler:function(event){return(windowEventHandlers[event]=channel.create(event));},addStickyDocumentEventHandler:function(event){return(documentEventHandlers[event]=channel.createSticky(event));},addDocumentEventHandler:function(event){return(documentEventHandlers[event]=channel.create(event));},removeWindowEventHandler:function(event){delete windowEventHandlers[event];},removeDocumentEventHandler:function(event){delete documentEventHandlers[event];},getOriginalHandlers:function(){return{'document':{'addEventListener':m_document_addEventListener,'removeEventListener':m_document_removeEventListener},'window':{'addEventListener':m_window_addEventListener,'removeEventListener':m_window_removeEventListener}};},fireDocumentEvent:function(type,data,bNoDetach){var evt=createEvent(type,data);if(typeof documentEventHandlers[type]!='undefined'){if(bNoDetach){documentEventHandlers[type].fire(evt);}else{setTimeout(function(){if(type=='deviceready'){document.dispatchEvent(evt);}
documentEventHandlers[type].fire(evt);},0);}}else{document.dispatchEvent(evt);}},fireWindowEvent:function(type,data){var evt=createEvent(type,data);if(typeof windowEventHandlers[type]!='undefined'){setTimeout(function(){windowEventHandlers[type].fire(evt);},0);}else{window.dispatchEvent(evt);}},callbackId:Math.floor(Math.random()*2000000000),callbacks:{},callbackStatus:{NO_RESULT:0,OK:1,CLASS_NOT_FOUND_EXCEPTION:2,ILLEGAL_ACCESS_EXCEPTION:3,INSTANTIATION_EXCEPTION:4,MALFORMED_URL_EXCEPTION:5,IO_EXCEPTION:6,INVALID_ACTION:7,JSON_EXCEPTION:8,ERROR:9},callbackSuccess:function(callbackId,args){try{cordova.callbackFromNative(callbackId,true,args.status,[args.message],args.keepCallback);}catch(e){console.log("Error in error callback: "+callbackId
+" = "+e);}},callbackError:function(callbackId,args){try{cordova.callbackFromNative(callbackId,false,args.status,[args.message],args.keepCallback);}catch(e){console.log("Error in error callback: "+callbackId
+" = "+e);}},callbackFromNative:function(callbackId,success,status,args,keepCallback){var callback=cordova.callbacks[callbackId];if(callback){if(success&&status==cordova.callbackStatus.OK){callback.success&&callback.success.apply(null,args);}else if(!success){callback.fail&&callback.fail.apply(null,args);}
if(!keepCallback){delete cordova.callbacks[callbackId];}}},addConstructor:function(func){channel.onCordovaReady.subscribe(function(){try{func();}catch(e){console.log("Failed to run constructor: "+e);}});}};module.exports=cordova;});define("cordova/argscheck",function(require,exports,module){var exec=require('cordova/exec');var utils=require('cordova/utils');var moduleExports=module.exports;var typeMap={'A':'Array','D':'Date','N':'Number','S':'String','F':'Function','O':'Object'};function extractParamName(callee,argIndex){return(/.*?\((.*?)\)/).exec(callee)[1].split(', ')[argIndex];}
function checkArgs(spec,functionName,args,opt_callee){if(!moduleExports.enableChecks){return;}
var errMsg=null;var typeName;for(var i=0;i<spec.length;++i){var c=spec.charAt(i),cUpper=c.toUpperCase(),arg=args[i];if(c=='*'){continue;}
typeName=utils.typeName(arg);if((arg===null||arg===undefined)&&c==cUpper){continue;}
if(typeName!=typeMap[cUpper]){errMsg='Expected '+typeMap[cUpper];break;}}
if(errMsg){errMsg+=', but got '+typeName+'.';errMsg='Wrong type for parameter "'
+extractParamName(opt_callee||args.callee,i)
+'" of '+functionName+': '+errMsg;if(typeof jasmine=='undefined'){console.error(errMsg);}
throw TypeError(errMsg);}}
function getValue(value,defaultValue){return value===undefined?defaultValue:value;}
moduleExports.checkArgs=checkArgs;moduleExports.getValue=getValue;moduleExports.enableChecks=true;});define("cordova/base64",function(require,exports,module){var base64=exports;base64.fromArrayBuffer=function(arrayBuffer){var array=new Uint8Array(arrayBuffer);return uint8ToBase64(array);};base64.toArrayBuffer=function(str){var decodedStr=typeof atob!='undefined'?atob(str):new Buffer(str,'base64').toString('binary');var arrayBuffer=new ArrayBuffer(decodedStr.length);var array=new Uint8Array(arrayBuffer);for(var i=0,len=decodedStr.length;i<len;i++){array[i]=decodedStr.charCodeAt(i);}
return arrayBuffer;};var b64_6bit="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";var b64_12bit;var b64_12bitTable=function(){b64_12bit=[];for(var i=0;i<64;i++){for(var j=0;j<64;j++){b64_12bit[i*64+j]=b64_6bit[i]+b64_6bit[j];}}
b64_12bitTable=function(){return b64_12bit;};return b64_12bit;};function uint8ToBase64(rawData){var numBytes=rawData.byteLength;var output="";var segment;var table=b64_12bitTable();for(var i=0;i<numBytes-2;i+=3){segment=(rawData[i]<<16)+(rawData[i+1]<<8)
+rawData[i+2];output+=table[segment>>12];output+=table[segment&0xfff];}
if(numBytes-i==2){segment=(rawData[i]<<16)+(rawData[i+1]<<8);output+=table[segment>>12];output+=b64_6bit[(segment&0xfff)>>6];output+='=';}else if(numBytes-i==1){segment=(rawData[i]<<16);output+=table[segment>>12];output+='==';}
return output;}});define("cordova/builder",function(require,exports,module){var utils=require('cordova/utils');function each(objects,func,context){for(var prop in objects){if(objects.hasOwnProperty(prop)){func.apply(context,[objects[prop],prop]);}}}
function clobber(obj,key,value){exports.replaceHookForTesting(obj,key);obj[key]=value;if(obj[key]!==value){utils.defineGetter(obj,key,function(){return value;});}}
function assignOrWrapInDeprecateGetter(obj,key,value,message){if(message){utils.defineGetter(obj,key,function(){console.log(message);delete obj[key];clobber(obj,key,value);return value;});}else{clobber(obj,key,value);}}
function include(parent,objects,clobber,merge){each(objects,function(obj,key){try{var result=obj.path?require(obj.path):{};if(clobber){if(typeof parent[key]==='undefined'){assignOrWrapInDeprecateGetter(parent,key,result,obj.deprecated);}else if(typeof obj.path!=='undefined'){if(merge){recursiveMerge(parent[key],result);}else{assignOrWrapInDeprecateGetter(parent,key,result,obj.deprecated);}}
result=parent[key];}else{if(typeof parent[key]=='undefined'){assignOrWrapInDeprecateGetter(parent,key,result,obj.deprecated);}else{result=parent[key];}}
if(obj.children){include(result,obj.children,clobber,merge);}}catch(e){utils.alert('Exception building Cordova JS globals: '+e
+' for key "'+key+'"');}});}
function recursiveMerge(target,src){for(var prop in src){if(src.hasOwnProperty(prop)){if(target.prototype&&target.prototype.constructor===target){clobber(target.prototype,prop,src[prop]);}else{if(typeof src[prop]==='object'&&typeof target[prop]==='object'){recursiveMerge(target[prop],src[prop]);}else{clobber(target,prop,src[prop]);}}}}}
exports.buildIntoButDoNotClobber=function(objects,target){include(target,objects,false,false);};exports.buildIntoAndClobber=function(objects,target){include(target,objects,true,false);};exports.buildIntoAndMerge=function(objects,target){include(target,objects,true,true);};exports.recursiveMerge=recursiveMerge;exports.assignOrWrapInDeprecateGetter=assignOrWrapInDeprecateGetter;exports.replaceHookForTesting=function(){};});define("cordova/channel",function(require,exports,module){var utils=require('cordova/utils'),nextGuid=1;var Channel=function(type,sticky){this.type=type;this.handlers={};this.state=sticky?1:0;this.fireArgs=null;this.numHandlers=0;this.onHasSubscribersChange=null;},channel={join:function(h,c){var len=c.length,i=len,f=function(){if(!(--i))
h();};for(var j=0;j<len;j++){if(c[j].state===0){throw Error('Can only use join with sticky channels.');}
c[j].subscribe(f);}
if(!len)
h();},create:function(type){return channel[type]=new Channel(type,false);},createSticky:function(type){return channel[type]=new Channel(type,true);},deviceReadyChannelsArray:[],deviceReadyChannelsMap:{},waitForInitialization:function(feature){if(feature){var c=channel[feature]||this.createSticky(feature);this.deviceReadyChannelsMap[feature]=c;this.deviceReadyChannelsArray.push(c);}},initializationComplete:function(feature){var c=this.deviceReadyChannelsMap[feature];if(c){c.fire();}}};function forceFunction(f){if(typeof f!='function')
throw"Function required as first argument!";}
Channel.prototype.subscribe=function(f,c){forceFunction(f);if(this.state==2){f.apply(c||this,this.fireArgs);return;}
var func=f,guid=f.observer_guid;if(typeof c=="object"){func=utils.close(c,f);}
if(!guid){guid=''+nextGuid++;}
func.observer_guid=guid;f.observer_guid=guid;if(!this.handlers[guid]){this.handlers[guid]=func;this.numHandlers++;if(this.numHandlers==1){this.onHasSubscribersChange&&this.onHasSubscribersChange();}}};Channel.prototype.unsubscribe=function(f){forceFunction(f);var guid=f.observer_guid,handler=this.handlers[guid];if(handler){delete this.handlers[guid];this.numHandlers--;if(this.numHandlers===0){this.onHasSubscribersChange&&this.onHasSubscribersChange();}}};Channel.prototype.fire=function(e){var fail=false,fireArgs=Array.prototype.slice.call(arguments);if(this.state==1){this.state=2;this.fireArgs=fireArgs;}
if(this.numHandlers){var toCall=[];for(var item in this.handlers){toCall.push(this.handlers[item]);}
for(var i=0;i<toCall.length;++i){toCall[i].apply(this,fireArgs);}
if(this.state==2&&this.numHandlers){this.numHandlers=0;this.handlers={};this.onHasSubscribersChange&&this.onHasSubscribersChange();}}};channel.createSticky('onDOMContentLoaded');channel.createSticky('onNativeReady');channel.createSticky('onCordovaReady');channel.createSticky('onPluginsReady');channel.createSticky('onDeviceReady');channel.create('onResume');channel.create('onPause');channel.createSticky('onDestroy');channel.waitForInitialization('onCordovaReady');channel.waitForInitialization('onDOMContentLoaded');module.exports=channel;});define("cordova/exec",function(require,exports,module){var cordova=require('cordova'),channel=require('cordova/channel'),utils=require('cordova/utils'),base64=require('cordova/base64'),jsToNativeModes={IFRAME_NAV:0,XHR_NO_PAYLOAD:1,XHR_WITH_PAYLOAD:2,XHR_OPTIONAL_PAYLOAD:3,IFRAME_HASH_NO_PAYLOAD:4,IFRAME_HASH_WITH_PAYLOAD:5},bridgeMode,execIframe,execHashIframe,hashToggle=1,execXhr,requestCount=0,vcHeaderValue=null,commandQueue=[],isInContextOfEvalJs=0;function createExecIframe(){var iframe=document.createElement("iframe");iframe.style.display='none';document.body.appendChild(iframe);return iframe;}
function createHashIframe(){var ret=createExecIframe();ret.contentWindow.history.replaceState(null,null,'file:///#');return ret;}
function shouldBundleCommandJson(){if(bridgeMode===jsToNativeModes.XHR_WITH_PAYLOAD){return true;}
if(bridgeMode===jsToNativeModes.XHR_OPTIONAL_PAYLOAD){var payloadLength=0;for(var i=0;i<commandQueue.length;++i){payloadLength+=commandQueue[i].length;}
return payloadLength<4500;}
return false;}
function massageArgsJsToNative(args){if(!args||utils.typeName(args)!='Array'){return args;}
var ret=[];args.forEach(function(arg,i){if(utils.typeName(arg)=='ArrayBuffer'){ret.push({'CDVType':'ArrayBuffer','data':base64.fromArrayBuffer(arg)});}else{ret.push(arg);}});return ret;}
function massageMessageNativeToJs(message){if(message.CDVType=='ArrayBuffer'){var stringToArrayBuffer=function(str){var ret=new Uint8Array(str.length);for(var i=0;i<str.length;i++){ret[i]=str.charCodeAt(i);}
return ret.buffer;};var base64ToArrayBuffer=function(b64){return stringToArrayBuffer(atob(b64));};message=base64ToArrayBuffer(message.data);}
return message;}
function convertMessageToArgsNativeToJs(message){var args=[];if(!message||!message.hasOwnProperty('CDVType')){args.push(message);}else if(message.CDVType=='MultiPart'){message.messages.forEach(function(e){args.push(massageMessageNativeToJs(e));});}else{args.push(massageMessageNativeToJs(message));}
return args;}
function iOSExec(){if(bridgeMode===undefined){bridgeMode=navigator.userAgent.indexOf(' 5_')==-1?jsToNativeModes.IFRAME_NAV:jsToNativeModes.XHR_NO_PAYLOAD;}
var successCallback,failCallback,service,action,actionArgs,splitCommand;var callbackId=null;if(typeof arguments[0]!=="string"){successCallback=arguments[0];failCallback=arguments[1];service=arguments[2];action=arguments[3];actionArgs=arguments[4];callbackId='INVALID';}else{try{splitCommand=arguments[0].split(".");action=splitCommand.pop();service=splitCommand.join(".");actionArgs=Array.prototype.splice.call(arguments,1);console.log('The old format of this exec call has been removed (deprecated since 2.1). Change to: '
+"cordova.exec(null, null, \""
+service
+"\", \""
+action
+"\","
+JSON.stringify(actionArgs)+");");return;}catch(e){}}
actionArgs=actionArgs||[];if(successCallback||failCallback){callbackId=service+cordova.callbackId++;cordova.callbacks[callbackId]={success:successCallback,fail:failCallback};}
actionArgs=massageArgsJsToNative(actionArgs);var command=[callbackId,service,action,actionArgs];commandQueue.push(JSON.stringify(command));if(!isInContextOfEvalJs&&commandQueue.length==1){switch(bridgeMode){case jsToNativeModes.XHR_NO_PAYLOAD:case jsToNativeModes.XHR_WITH_PAYLOAD:case jsToNativeModes.XHR_OPTIONAL_PAYLOAD:pokeNativeViaXhr();break;default:pokeNativeViaIframe();}}}
function pokeNativeViaXhr(){if(execXhr&&execXhr.readyState!=4){execXhr=null;}
execXhr=execXhr||new XMLHttpRequest();execXhr.open('HEAD',"/!gap_exec?"+(+new Date()),true);if(!vcHeaderValue){vcHeaderValue=/.*\((.*)\)/.exec(navigator.userAgent)[1];}
execXhr.setRequestHeader('vc',vcHeaderValue);execXhr.setRequestHeader('rc',++requestCount);if(shouldBundleCommandJson()){execXhr.setRequestHeader('cmds',iOSExec.nativeFetchMessages());}
execXhr.send(null);}
function pokeNativeViaIframe(){if(!document.body){setTimeout(pokeNativeViaIframe);return;}
if(bridgeMode===jsToNativeModes.IFRAME_HASH_NO_PAYLOAD||bridgeMode===jsToNativeModes.IFRAME_HASH_WITH_PAYLOAD){execHashIframe=execHashIframe||createHashIframe();if(!execHashIframe.contentWindow){execHashIframe=createHashIframe();}
hashToggle=hashToggle^3;var hashValue='%0'+hashToggle;if(bridgeMode===jsToNativeModes.IFRAME_HASH_WITH_PAYLOAD){hashValue+=iOSExec.nativeFetchMessages();}
execHashIframe.contentWindow.location.hash=hashValue;}else{execIframe=execIframe||createExecIframe();if(!execIframe.contentWindow){execIframe=createExecIframe();}
execIframe.src="gap://ready";}}
iOSExec.jsToNativeModes=jsToNativeModes;iOSExec.setJsToNativeBridgeMode=function(mode){if(execIframe){execIframe.parentNode.removeChild(execIframe);execIframe=null;}
bridgeMode=mode;};iOSExec.nativeFetchMessages=function(){if(!commandQueue.length){return'';}
var json='['+commandQueue.join(',')+']';commandQueue.length=0;return json;};iOSExec.nativeCallback=function(callbackId,status,message,keepCallback){return iOSExec.nativeEvalAndFetch(function(){var success=status===0||status===1;var args=convertMessageToArgsNativeToJs(message);cordova.callbackFromNative(callbackId,success,status,args,keepCallback);});};iOSExec.nativeEvalAndFetch=function(func){isInContextOfEvalJs++;try{func();return iOSExec.nativeFetchMessages();}
finally{isInContextOfEvalJs--;}};module.exports=iOSExec;});define("cordova/exec/proxy",function(require,exports,module){var CommandProxyMap={};module.exports={add:function(id,proxyObj){console.log("adding proxy for "+id);CommandProxyMap[id]=proxyObj;return proxyObj;},remove:function(id){var proxy=CommandProxyMap[id];delete CommandProxyMap[id];CommandProxyMap[id]=null;return proxy;},get:function(service,action){return(CommandProxyMap[service]?CommandProxyMap[service][action]:null);}};});define("cordova/init",function(require,exports,module){var channel=require('cordova/channel');var cordova=require('cordova');var modulemapper=require('cordova/modulemapper');var platform=require('cordova/platform');var pluginloader=require('cordova/pluginloader');var platformInitChannelsArray=[channel.onNativeReady,channel.onPluginsReady];function logUnfiredChannels(arr){for(var i=0;i<arr.length;++i){if(arr[i].state!=2){console.log('Channel not fired: '+arr[i].type);}}}
window.setTimeout(function(){if(channel.onDeviceReady.state!=2){console.log('deviceready has not fired after 5 seconds.');logUnfiredChannels(platformInitChannelsArray);logUnfiredChannels(channel.deviceReadyChannelsArray);}},5000);function replaceNavigator(origNavigator){var CordovaNavigator=function(){};CordovaNavigator.prototype=origNavigator;var newNavigator=new CordovaNavigator();if(CordovaNavigator.bind){for(var key in origNavigator){if(typeof origNavigator[key]=='function'){newNavigator[key]=origNavigator[key].bind(origNavigator);}}}
return newNavigator;}
if(window.navigator){window.navigator=replaceNavigator(window.navigator);}
if(!window.console){window.console={log:function(){}};}
if(!window.console.warn){window.console.warn=function(msg){this.log("warn: "+msg);};}
channel.onPause=cordova.addDocumentEventHandler('pause');channel.onResume=cordova.addDocumentEventHandler('resume');channel.onDeviceReady=cordova.addStickyDocumentEventHandler('deviceready');if(document.readyState=='complete'||document.readyState=='interactive'){channel.onDOMContentLoaded.fire();}else{document.addEventListener('DOMContentLoaded',function(){channel.onDOMContentLoaded.fire();},false);}
if(window._nativeReady){channel.onNativeReady.fire();}
modulemapper.clobbers('cordova','cordova');modulemapper.clobbers('cordova/exec','cordova.exec');modulemapper.clobbers('cordova/exec','Cordova.exec');platform.bootstrap&&platform.bootstrap();setTimeout(function(){pluginloader.load(function(){channel.onPluginsReady.fire();});},0);channel.join(function(){modulemapper.mapModules(window);platform.initialize&&platform.initialize();channel.onCordovaReady.fire();channel.join(function(){require('cordova').fireDocumentEvent('deviceready');},channel.deviceReadyChannelsArray);},platformInitChannelsArray);});define("cordova/init_b",function(require,exports,module){var channel=require('cordova/channel');var cordova=require('cordova');var platform=require('cordova/platform');var platformInitChannelsArray=[channel.onDOMContentLoaded,channel.onNativeReady];cordova.exec=require('cordova/exec');function logUnfiredChannels(arr){for(var i=0;i<arr.length;++i){if(arr[i].state!=2){console.log('Channel not fired: '+arr[i].type);}}}
window.setTimeout(function(){if(channel.onDeviceReady.state!=2){console.log('deviceready has not fired after 5 seconds.');logUnfiredChannels(platformInitChannelsArray);logUnfiredChannels(channel.deviceReadyChannelsArray);}},5000);function replaceNavigator(origNavigator){var CordovaNavigator=function(){};CordovaNavigator.prototype=origNavigator;var newNavigator=new CordovaNavigator();if(CordovaNavigator.bind){for(var key in origNavigator){if(typeof origNavigator[key]=='function'){newNavigator[key]=origNavigator[key].bind(origNavigator);}}}
return newNavigator;}
if(window.navigator){window.navigator=replaceNavigator(window.navigator);}
if(!window.console){window.console={log:function(){}};}
if(!window.console.warn){window.console.warn=function(msg){this.log("warn: "+msg);};}
channel.onPause=cordova.addDocumentEventHandler('pause');channel.onResume=cordova.addDocumentEventHandler('resume');channel.onDeviceReady=cordova.addStickyDocumentEventHandler('deviceready');if(document.readyState=='complete'||document.readyState=='interactive'){channel.onDOMContentLoaded.fire();}else{document.addEventListener('DOMContentLoaded',function(){channel.onDOMContentLoaded.fire();},false);}
if(window._nativeReady){channel.onNativeReady.fire();}
platform.bootstrap&&platform.bootstrap();channel.join(function(){platform.initialize&&platform.initialize();channel.onCordovaReady.fire();channel.join(function(){require('cordova').fireDocumentEvent('deviceready');},channel.deviceReadyChannelsArray);},platformInitChannelsArray);});define("cordova/modulemapper",function(require,exports,module){var builder=require('cordova/builder'),moduleMap=define.moduleMap,symbolList,deprecationMap;exports.reset=function(){symbolList=[];deprecationMap={};};function addEntry(strategy,moduleName,symbolPath,opt_deprecationMessage){if(!(moduleName in moduleMap)){throw new Error('Module '+moduleName
+' does not exist.');}
symbolList.push(strategy,moduleName,symbolPath);if(opt_deprecationMessage){deprecationMap[symbolPath]=opt_deprecationMessage;}}
exports.clobbers=function(moduleName,symbolPath,opt_deprecationMessage){addEntry('c',moduleName,symbolPath,opt_deprecationMessage);};exports.merges=function(moduleName,symbolPath,opt_deprecationMessage){addEntry('m',moduleName,symbolPath,opt_deprecationMessage);};exports.defaults=function(moduleName,symbolPath,opt_deprecationMessage){addEntry('d',moduleName,symbolPath,opt_deprecationMessage);};exports.runs=function(moduleName){addEntry('r',moduleName,null);};function prepareNamespace(symbolPath,context){if(!symbolPath){return context;}
var parts=symbolPath.split('.');var cur=context;for(var i=0,part;part=parts[i];++i){cur=cur[part]=cur[part]||{};}
return cur;}
exports.mapModules=function(context){var origSymbols={};context.CDV_origSymbols=origSymbols;for(var i=0,len=symbolList.length;i<len;i+=3){var strategy=symbolList[i];var moduleName=symbolList[i+1];var module=require(moduleName);if(strategy=='r'){continue;}
var symbolPath=symbolList[i+2];var lastDot=symbolPath.lastIndexOf('.');var namespace=symbolPath.substr(0,lastDot);var lastName=symbolPath.substr(lastDot+1);var deprecationMsg=symbolPath in deprecationMap?'Access made to deprecated symbol: '
+symbolPath+'. '+deprecationMsg:null;var parentObj=prepareNamespace(namespace,context);var target=parentObj[lastName];if(strategy=='m'&&target){builder.recursiveMerge(target,module);}else if((strategy=='d'&&!target)||(strategy!='d')){if(!(symbolPath in origSymbols)){origSymbols[symbolPath]=target;}
builder.assignOrWrapInDeprecateGetter(parentObj,lastName,module,deprecationMsg);}}};exports.getOriginalSymbol=function(context,symbolPath){var origSymbols=context.CDV_origSymbols;if(origSymbols&&(symbolPath in origSymbols)){return origSymbols[symbolPath];}
var parts=symbolPath.split('.');var obj=context;for(var i=0;i<parts.length;++i){obj=obj&&obj[parts[i]];}
return obj;};exports.reset();});define("cordova/platform",function(require,exports,module){module.exports={id:'ios',bootstrap:function(){require('cordova/channel').onNativeReady.fire();}};});define("cordova/pluginloader",function(require,exports,module){var modulemapper=require('cordova/modulemapper');var urlutil=require('cordova/urlutil');exports.injectScript=function(url,onload,onerror){var script=document.createElement("script");script.onload=onload;script.onerror=onerror;script.src=url;document.head.appendChild(script);};function injectIfNecessary(id,url,onload,onerror){onerror=onerror||onload;if(id in define.moduleMap){onload();}else{exports.injectScript(url,function(){if(id in define.moduleMap){onload();}else{onerror();}},onerror);}}
function onScriptLoadingComplete(moduleList,finishPluginLoading){for(var i=0,module;module=moduleList[i];i++){if(module.clobbers&&module.clobbers.length){for(var j=0;j<module.clobbers.length;j++){modulemapper.clobbers(module.id,module.clobbers[j]);}}
if(module.merges&&module.merges.length){for(var k=0;k<module.merges.length;k++){modulemapper.merges(module.id,module.merges[k]);}}
if(module.runs){modulemapper.runs(module.id);}}
finishPluginLoading();}
function handlePluginsObject(path,moduleList,finishPluginLoading){var scriptCounter=moduleList.length;if(!scriptCounter){finishPluginLoading();return;}
function scriptLoadedCallback(){if(!--scriptCounter){onScriptLoadingComplete(moduleList,finishPluginLoading);}}
for(var i=0;i<moduleList.length;i++){injectIfNecessary(moduleList[i].id,path
+moduleList[i].file,scriptLoadedCallback);}}
function findCordovaPath(){return "../js/global/"}
exports.load=function(callback){var pathPrefix=findCordovaPath();if(pathPrefix===null){console.log('Could not find cordova.js script tag. Plugin loading may fail.');pathPrefix='';}
injectIfNecessary('cordova/plugin_list',pathPrefix
+'cordova_plugins.js',function(){var moduleList=require("cordova/plugin_list");handlePluginsObject(pathPrefix,moduleList,callback);},callback);};});define("cordova/urlutil",function(require,exports,module){exports.makeAbsolute=function makeAbsolute(url){var anchorEl=document.createElement('a');anchorEl.href=url;return anchorEl.href;};});define("cordova/utils",function(require,exports,module){var utils=exports;utils.defineGetterSetter=function(obj,key,getFunc,opt_setFunc){if(Object.defineProperty){var desc={get:getFunc,configurable:true};if(opt_setFunc){desc.set=opt_setFunc;}
Object.defineProperty(obj,key,desc);}else{obj.__defineGetter__(key,getFunc);if(opt_setFunc){obj.__defineSetter__(key,opt_setFunc);}}};utils.defineGetter=utils.defineGetterSetter;utils.arrayIndexOf=function(a,item){if(a.indexOf){return a.indexOf(item);}
var len=a.length;for(var i=0;i<len;++i){if(a[i]==item){return i;}}
return-1;};utils.arrayRemove=function(a,item){var index=utils.arrayIndexOf(a,item);if(index!=-1){a.splice(index,1);}
return index!=-1;};utils.typeName=function(val){return Object.prototype.toString.call(val).slice(8,-1);};utils.isArray=function(a){return utils.typeName(a)=='Array';};utils.isDate=function(d){return utils.typeName(d)=='Date';};utils.clone=function(obj){if(!obj||typeof obj=='function'||utils.isDate(obj)||typeof obj!='object'){return obj;}
var retVal,i;if(utils.isArray(obj)){retVal=[];for(i=0;i<obj.length;++i){retVal.push(utils.clone(obj[i]));}
return retVal;}
retVal={};for(i in obj){if(!(i in retVal)||retVal[i]!=obj[i]){retVal[i]=utils.clone(obj[i]);}}
return retVal;};utils.close=function(context,func,params){if(typeof params=='undefined'){return function(){return func.apply(context,arguments);};}else{return function(){return func.apply(context,params);};}};utils.createUUID=function(){return UUIDcreatePart(4)+'-'+UUIDcreatePart(2)+'-'
+UUIDcreatePart(2)+'-'+UUIDcreatePart(2)+'-'
+UUIDcreatePart(6);};utils.extend=(function(){var F=function(){};return function(Child,Parent){F.prototype=Parent.prototype;Child.prototype=new F();Child.__super__=Parent.prototype;Child.prototype.constructor=Child;};}
());utils.alert=function(msg){if(window.alert){window.alert(msg);}else if(console&&console.log){console.log(msg);}};function UUIDcreatePart(length){var uuidpart="";for(var i=0;i<length;i++){var uuidchar=parseInt((Math.random()*256),10).toString(16);if(uuidchar.length==1){uuidchar="0"+uuidchar;}
uuidpart+=uuidchar;}
return uuidpart;}});window.cordova=require('cordova');require('cordova/init');})();var hybrid={initialize:function(){this.bindEvents();cordova.callbacks["Hybrid$EVENT$CALLBACK"]={success:function(args){if(args&&args.triggered===true){var name=args.name;var eventName=args.eventName;var fn=undefined;try{fn=eval(name+"_"+eventName);}catch(e){return;}
if(typeof fn==="function"){fn.apply(this,arguments);}}}};},hybridExec:function(section,fun,params){Cordova.exec(null,null,"BridgeInterface","bridge",[section,fun,params]);},bindEvents:function(){document.addEventListener('deviceready',this.onDeviceReady,false);},onDeviceReady:function(){hybrid.receivedEvent('deviceready');},receivedEvent:function(id){var parentElement=document.getElementById(id);var listeningElement=parentElement.querySelector('.listening');var receivedElement=parentElement.querySelector('.received');listeningElement.setAttribute('style','display:none;');receivedElement.setAttribute('style','display:block;');console.log('Received Event: '+id);},top:{setTitle:function(param){hybrid.hybridExec("Hybrid.ui","top.settitle",param);},hide:function(){hybrid.hybridExec("Hybrid.ui","top.hide");},show:function(){hybrid.hybridExec("Hybrid.ui","top.show");}},hsopenpage:function(pageName,parames){Cordova.exec("BridgeInterface.bridge","openPage",pageName,parames);},hsopg:function(pageName,params){this.openPage(pageName,parames);},ui:{top:{setTitle:function(param,success_cb,fail_cb){Cordova.exec(success_cb,fail_cb,"com.hs.native.ui.top","setTitle",[param]);},hide:function(){hybrid.hybridExec("Hybrid.ui","top.hide");},show:function(){hybrid.hybridExec("Hybrid.ui","top.show");}},bottom:{switchToTabIndex:function(param){hybrid.hybridExec("Hybrid.ui","bottom.switchtotabindex",param);},setBadgeValue:function(badgeValue,menuIndex,success_cb,fail_cb){Cordova.exec(success_cb,fail_cb,"com.hs.native.ui","setBadgeValue",[badgeValue,menuIndex]);},}},core:{back:function(param){hybrid.hybridExec("Hybrid.core","core.back",param);},removePage:function(param){hybrid.hybridExec("Hybrid.core","core.removepage",param);},reloadStartPage:function(param,success_cb,fail_cb){Cordova.exec(success_cb,fail_cb,"com.hs.native.page","reloadStartPage",param);},getEncryptValue:function(paramKey,encryptKey,success_cb,fail_cb){Cordova.exec(success_cb,fail_cb,"com.hs.native.core","decryptValue",[paramKey,encryptKey]);},saveEncryptValue:function(paramKey,paramValue,encryptKey,success_cb,fail_cb){Cordova.exec(success_cb,fail_cb,"com.hs.native.core","encryptValue",[paramKey,paramValue,encryptKey]);},execMethod:function(methodName,param,callback){var params={"methodname":methodName};if(param!=undefined){params['param']=param;}
if(callback!=undefined){Cordova.exec(callback,null,"com.hs.native.core","execmethod",[params]);}else{hybrid.hybridExec("Hybrid.core","core.execmethod",params);}},openPage:function(pageName,parames){Cordova.exec(null,null,"BridgeInterface","bridge",["openPage",pageName,parames]);},writeDataset:function(param){if(window.hybridConfig==undefined){window.hybridConfig={};}
if(window.hybridConfig[param['set']]==undefined){window.hybridConfig[param['set']]={};}
window.hybridConfig[param['set']][param['key']]=param['value'];hybrid.hybridExec("Hybrid.core","core.writedataset",param);},readDataset:function(param){if(window.hybridConfig==undefined){window.hybridConfig={};}
return window.hybridConfig[param['set']][param['key']];},writeConfigData:function(param){if(window.hybridConfig==undefined){window.hybridConfig={};}
if(window.hybridConfig['config']==undefined){window.hybridConfig['config']={};}
window.hybridConfig['config'][param['key']]=param['value'];hybrid.hybridExec("Hybrid.core","core.writeconfigdata",param);},readConfigData:function(param){if(window.hybridConfig==undefined){window.hybridConfig={};}
if(window.hybridConfig['config']==undefined){window.hybridConfig['config']={};}
return window.hybridConfig['config'][param['key']];},switchToSkin:function(param){hybrid.hybridExec("Hybrid.core","core.switchToSkin",param);},changeTheme:function(param){hybrid.hybridExec("Hybrid.core","core.switchToSkin",param);},currentSkin:function(){return window.hybridConfig['skin']['currentSkin'];},getCurrentTheme:function(){return window.hybridConfig['skin']['currentSkin'];},skinList:function(){return window.hybridConfig['skin']['skinList'];},addHybridEventListener:function(eventName,listener){document.addEventListener(eventName,listener,false);},removeHybridEventListener:function(eventName,listener){document.removeEventListener(eventName,listener,false);},sendHybridBroadcast:function(eventName,param){var params={"eventName":eventName};if(param!=undefined){params['param']=param;}
hybrid.hybridExec("Hybrid.core","core.sendNativeBroadcast",params);},addHybridBroadcastListener:function(eventName,listener){document.addEventListener(eventName,listener,false);},removeHybridBroadcastListener:function(eventName,listener){document.removeEventListener(eventName,listener,false);},}};
