define("global", ['doT'], function (doT) {
  $.extend({
    hsf: {
      debug: false,
      projectName: '长盛基金',
      pwLength: 15,
      antiMoneyLaunder: true,
      needReSign: false,
      chanpayURL: "http://140.206.112.245/CPPayWeb/trans!merchantOrderCheck.ac?",
      appId: "wxfb1c12d13af4bea8",
      fundDetailPageId: "fund-detail",
appWeisvr:"https://trade.csfunds.com.cn/csweisvr/",
appBaseUrl:"https://trade.csfunds.com.cn/csappServer/",
      upIdCardHint: "尊敬的投资者，根据反洗钱相关要求，提示您上传本人有效身份证件正反面照片，以方便您后续申购、定投等业务办理，感谢您的配合，谢谢！",//反洗钱上传身份证照片文案
appDownloadUrl:"https://trade.csfunds.com.cn/csweisvr/weixin-fund/",
      theHighestRiskLevel: "4",//产品最高风险等级
      theLowestRiskLevel: "0",//产品低风险等级,若多个为低风险,则配置低风险中最高的
      theReformSwitch: true,// 适当性改造的开关
      tipTextOCR: "您的用户资料需要完善",// OCR提示文字
      onlineServiceBaseUrl:"https://www.csfunds.com.cn/", //在线客服地址
      appendAddress: true,
      infoDisclosure: { // 信批
        enable: true,//是否启用信息披露
        readTimeout: 10,//阅读倒计时(秒)
        scrollEndCheck: true // 是否需要滑动到底部
      },
      zdlegal: false, // 中登改造开关
      infoDisNoticecode: "FA010070",
      addressSensitive: ["厕所", "公园", "洗手间"],//详细地址敏感词
      openEntrust: "没有权限访问，请开通网上委托",//开通网上委托提示语
      noLoginSuccFilter: ["login-app.html", "register.html", "register-success", "register-bind-success", "add-bankcard-success", "bind-bankcard-success", "home.html", "asset.html", "bind-bankcard.html", "add-bankcard.html"],//不需要增加登录监听的页面
      fundsort: [
        { key: '2', value: '货币型' },
        { key: '1', value: '保本型' },
        { key: '0', value: '普通型' },
        { key: '9', value: '混合型' },
        { key: '7', value: '股票型' },
        { key: '4', value: '债券型' },
        { key: '5', value: '指数型' },
        { key: '3', value: '中短债型' },
        { key: '6', value: 'QDII基金' },
        { key: 'S', value: '短期理财' },
        { key: '8', value: '专户型' }
      ],
      XJB: {
        name: '盛钱宝',
xjbcode:"080011",
        type: 2,
        shareType: 'A',
        inMin: 0,
        outMin: 0,
        needPw: true,
        supportT0: true
      },
      isFavor: false,//是否操作关注需要刷新页面
      handPassword: {
        enable: true
      },
      hsOpen: function (url, para) {
        $.platform.hsOpen(url, para);
        return false;
      },
      //跳转在线客服
      goOnlineService: function(name,mobile,identitytype,identityno){
        $.hsf.startLoading();
        var equipmentNo = "";
        $.platform.getDeviceId(function (deviceId) {
            if (deviceId) {
                equipmentNo = deviceId;
            }
            var data = "equipmentNo=" + equipmentNo + "&skill=34" + "&channelType=" + $.platform.serviceOnlineChannel;
            if (name && name != "") {
              data = data + "&name=" + name;
            }
            if (mobile && mobile != "") {
              data = data + "&mobile=" + mobile;
            }
            if (identitytype && identitytype != "") {
              data = data + "&identitytype=" + identitytype;
            }
            if (identityno && identityno != "") {
              data = data + "&identityno=" + identityno;
            }
            $.hsf.ajax.app("account/account/doSignStr", data, "doSignStrCallBack", function (jsonResult) {
              $.hsf.stopLoading();
              if (jsonResult.successful) {
                if($.hsf.matchNative()){
                  $.platform.openOnlineWebPage($.hsf.onlineServiceBaseUrl + "im-client/sign?sign=" + jsonResult.generateImUrl, "在线客服", "hsAgent");
                }else{
                  $.platform.openWebPage($.hsf.onlineServiceBaseUrl + "im-client/sign?sign=" + jsonResult.generateImUrl, "在线客服");
                }
              } else {
                $.hsf.callFailProcess(jsonResult);
              }
            })
          });
      },
      hsBack: function (url, style, step) {
        $.platform.hsBack(url, style, step);
        return false;
      },
      matchIOS: function () {
        return $.hsf.platform() == "platform/iosapi";
      },
      matchNative: function () {
        return $.hsf.platform() == "platform/androidapi" || $.hsf.platform() == "platform/iosapi";
      },
      Event: (function () {
        var eventList = [];
        return {
          addListener: function (key, fn) {
            eventList[key] || (eventList[key] = []);
            eventList[key].push(fn);
          },
          trigger: function (key, fn, info) {
            if (eventList[key]) {
              eventList[key].forEach(function (fn) {
                fn.call(this, info);
              });
              if (fn) {
                fn.call(this);
              }
            } else {
              window.location.reload();
            }
          },
          hasKey: function (key) {
            return !!eventList[key];
          }
        };
      })(),
      requestManager: function (obj) {
        var manager = [];
        var that = obj;
        return {
          add: function (func, interval) {
            manager[func] = {
              lastRequestTime: 0,
              interval: interval || 60 * 30
            };
          },
          invoke: function (func, arg) {
            if (manager[func]) {
              var lastRequestTime = manager[func].lastRequestTime;
              var current = new Date();
              if ((current - lastRequestTime) / 1000 > manager[func].interval) {
                func.call(that, arg);
                manager[func].lastRequestTime = current;
              }
            } else {
              console.warn("not found" + func);
            }
          },
          resetTime: function (func) {
            if (manager[func]) {
              manager[func].lastRequestTime = 0;
            }
          }
        }
      },
      ajax: {
        html: function (url, callback) {
          var request_temp = $.ajax({
            url: url,
            type: "get",
            timeout: 60000
          }).done(function (res) {
            callback && callback.call(this, res);
          }).fail(function (res) {
            var result = { "message": "服务器连接失败" };
            callback && callback.call(this, result);
          });
          return request_temp;
        },
        app: function (functionNo, data, jsonpname, callback, ajaxType) {
          var timestamp = (new Date()).valueOf();
          data += "&timestamp1=" + timestamp;
          ajaxType = !!ajaxType ? ajaxType : "get";  // 默认是get
          var method = {
            "get": {
              url: $.hsf.appBaseUrl + functionNo + '.json',
              type: 'get',
              dataType: 'jsonp',
              jsonp: "jsonpCallback",
              jsonpCallback: jsonpname + "_" + timestamp,
              data: data,
              timeout: 60000,
            },
            "post": {
              url: $.hsf.appBaseUrl + functionNo + ".json",
              type: "post",
              dataType: "json",
              data: data,
              timeout: 60000
            },
          };
          var request_temp = $.ajax(method[ajaxType]).done(function (res) {
            callback && callback.call(this, res);
          }).fail(function () {
            var result = { 'message': '服务器连接失败' };
            callback && callback.call(this, result);
          });
          return request_temp;
        }
      },
      loadingLock: false,
      startLoading: function (message) {/*加载loading*/
        (null == message || "" == message) && (message = "正在加载...");
        if ($.UILoading) {
          if (!$.hsf.loadingLock) {
            $.hsf.loadingLock = true;
            $.UILoading("show", message)
          }
        }
      },
      stopLoading: function () {/*停止loading*/
        if ($.hsf.loadingLock) {
          $.hsf.loadingLock = false;
          $.UILoading && $.UILoading("hide");
        }
      },
      innerLogin: function (func) {
        $.hsf.loginProxy(func, { disableHistoryBack: true });
      },
      loginProxy: function (func, opt) {
        var checkLoginNotExist = function () {
          return document.getElementById("login") == null;
        };
        var login = function () {
          if (checkLoginNotExist()) {//内外两次判断可能会优化减少一次连接
            $.hsf.ajax.html("../pages/login-view.html", function (html) {
              if (checkLoginNotExist()) {//如果login界面已经弹出则不加载
                $("body").prepend(html);
                require(["pages/login-view"], function (m) {
                  m.init();
                  opt && opt.disableHistoryBack && m.disableHistoryBack();
                })
              } else {
                return;
              }
            });
          }
        };
        var loginBinded = function () {
          if (checkLoginNotExist()) {
            $.hsf.ajax.html("../pages/login-binded-view.html", function (html) {
              if (checkLoginNotExist()) {
                $("body").prepend(html);
                require(["pages/login-binded-view"], function (m) {
                  m.init();
                  opt && opt.disableHistoryBack && m.disableHistoryBack();
                })
              } else {
                return;
              }
            });
          }
        };
        if ($.hsf.platform() == "platform/weixinapi") {
          $.hsf.ajax.app("account/weixinlogin/islogin", "", "loginCallback", function (jsonResult) {
            if (jsonResult.successful) {
              if (jsonResult.isBinded == "0") {
                //关注
                $.hsf.ajax.app("wxzt/m", "functionCode=1056", "Callback");
                setTimeout(login, 100);
              } else if (jsonResult.isBinded == "1") {
                setTimeout(loginBinded, 100);
              }
            } else if (jsonResult.code == "APP-5BP0012") {
              $.UIConfirm({ cancelText: "授权", submitText: "返回", html: "您不在长盛基金的公众号环境<br/>或者您请求的页面已过期<br/>请点击返回或者授权" },
                function (isOk) {
                  if (isOk == "yes") {
                    require(["wx"], function (wx) {
                      typeof wx != "undefined" && wx.closeWindow();
                    })
                  } else {
                    var redirect_uri = encodeURIComponent($.hsf.appWeisvr + "app?a=" + $.hsf.appId +
                      "&go=" + $.hsf.appBaseUrl + "integrate/wxentry?wxUsername=OPENID&pageId=index");
                    var shareLink = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=" + $.hsf.appId +
                      "&redirect_uri=" + redirect_uri + "&response_type=code&scope=snsapi_base#wechat_redirect";
                    window.location.href = shareLink;
                  }
                });
                /*$.UIAlert("您的请求的页面已过期。请返回微信", function() {
                 require(["wx"], function(wx) {
                 typeof wx != "undefined" && wx.closeWindow();
                 })
                 });*/
            }
            func && setTimeout(func, 350);
          });
        } else {
          login();
          func && setTimeout(func, 350);
        }
      },
      callFailProcess: function (jsonResult, func) {/*服务调用失败操作*/
        $.hsf.stopLoading();
        if (jsonResult && jsonResult.code) {
          if ("ETS-5BP00001" == jsonResult.code || jsonResult.code == "ETS-2B300") {//长时间未登录
            if ($.platform.checkToken && $.hsf.handPassword.enable) {
              $.platform.checkToken(func);
            } else {
              $.hsf.loginProxy(func);
            }
          } else {
            if ("ETS-5BS0011" == jsonResult.code) {
              $.UIPopup("没有记录");
            } else if (jsonResult.code == "ETS-5BP0010") {
              $.UIAlert("您需要做风险调查", function () {
                $.hsf.hsOpen("risk-test.html");
              });
            } else if (jsonResult.code == "ETS-5BP0001") {
              $.UIAlert(jsonResult.message, function () {
                $.hsf.hsBack();
              })
            } else if (jsonResult.code == "3209") {
              $.UIConfirm({
                "html": "根据反洗钱及适当性相关规定，您的个人信息尚未完善。",
                "submitText": "立即完善",
                "cancelText": "稍后再说"
              }, function (result) {
                if (result == "yes") {
                  $.hsf.hsOpen("investment-suitability.html?flag=a");
                } else {
                }
              });
            } else if ("BTS-5BP00091" == jsonResult.code) {
              var result = jsonResult.returnlist;
              result = result && result.sort(function (a, b) { return a.checktype > b.checktype ? 1 : -1; })
              if (result && result.length > 0) {
                var popMsessage = "", popA4Message = ""; //提示信息
                for (var i = 0; i < result.length; i++) {
                  var item = result[i];
                  function popMessageInfo (item) {
                    // todo 客户要求
                    // popA4Message=item.checkmsg;
                    $.platform.getCache("accountTypeStr", function (type) {
                      if (type && type == "0") {//身份证
                        // todo 客户要求
                        if (item.status == "00") {//未审核
                          popA4Message = popA4Message + "[待审核]";
                        } else
                          if (item.status == "01") {//审核不过
                            popA4Message = popA4Message + "[审核失败]";
                          } else if (item.status == "") {
                            popA4Message = popA4Message + "[未上传]";
                          }
                        // todo 客户要求
                      } else {
                        popA4Message = popA4Message + "（非身份证用户请到柜台上传证件）";
                      }
                    });
                  }
                  if (item.checktype == "A4") {//身份证未上传状态
                    popMessageInfo(item);
                    break;
                  } else {
                    if (item.limittype == "03" || item.limittype == "02" || item.limittype == "01") {
                      popMessageInfo(item);
                      break;
                    } else {
                      if (popMsessage == "") {
                        popMsessage = popMsessage + item.checkmsg;
                      } else {
                        popMsessage = popMsessage + ";" + item.checkmsg;
                      }
                    }

                  }
                }
                var tip = popA4Message != "" ? popA4Message : popMsessage;
                $.UIConfirm({ "html": "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。", "submitText": "确定", "cancelText": "取消" }, function (result) {
                  if (result == "yes") {
                    if (popA4Message != "") {
                      if (popA4Message.indexOf("非身份证用户") != -1) {
                        $.hsf.hsBack();
                      } else {
                        if ($.hsf.matchNative()) {
                          $.platform.hsOpenAndCloseSelf("ocr-Idcard.html");
                        } else {
                          $.platform.hsOpenAndCloseSelf("ocr-Idcard.html");
                        }
                      }
                    } else {
                      if ($.hsf.matchNative()) {
                        $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                      } else {
                        $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                      }
                    }
                  } else {
                    $.hsf.hsBack();
                  }
                });
              } else {
                $.UIPopup({ "html": jsonResult.message, "timer": $.hsf.popupMs });
              }
            } else if ("ETS-1B012" == jsonResult.code) {
              $.UIConfirm({ "html": $.hsf.openEntrust, "submitText": "确定", "cancelText": "取消" }, function (result) {
                if (result == "yes") {
                  if ($.hsf.matchNative()) {
                    $.platform.hsOpenAndCloseSelf("account-openetrading.html");
                  } else {
                    $.platform.hsOpen("account-openetrading.html");
                  }
                } else {
                  $.hsf.hsBack();
                }
              });
            } else if ("ETS-5BT00009" == jsonResult.code) {
              $.UIConfirm({ "html": $.hsf.openEntrust, "submitText": "确定", "cancelText": "取消" }, function (result) {
                if (result == "yes") {
                  if ($.hsf.matchNative()) {
                    $.platform.hsOpenAndCloseSelf("account-openetrading.html");
                  } else {
                    $.platform.hsOpen("account-openetrading.html");
                  }
                } else {
                  $.hsf.hsBack();
                }
              });
            } else {
              $.UIAlert(jsonResult.message)
            }
            func && func();
          }
        } else {
          func && func();
          if (jsonResult.message) {
            $.UIPopup(jsonResult.message);
          } else {
            $.UIPopup("查询出错");
          }
        }
      },
      deviceIDreg: /\\|\/|\(|\)|\+|\!|\*/g,
      platform: function () {
        if ($.hsf.debug) {
          this.platform = function () {
            return 'platform/pcapi';
          };
          return this.platform();
        }
        var ua = window.navigator.userAgent.toLowerCase();
        if (ua.indexOf("hundsun") > 0 || ua.indexOf("lightos") > 0) {
          if (window.navigator.userAgent.match(/(iPhone|iPod|iPad)/)) {
            this.platform = function () {
              return 'platform/iosapi';
            }
          } else if (window.navigator.userAgent.match(/(Android)/)) {
            this.platform = function () {
              return 'platform/androidapi';
            }
          }
        } else if (ua.match(/MicroMessenger/i) == 'micromessenger') {
          this.platform = function () {
            return 'platform/weixinapi';
          }
        } else {
          this.platform = function () {
            return 'platform/pcapi';
          }
        }
        if (window.location.pathname.indexOf("fund-detail-share.html") != -1) {
          this.platform = function () {
            return 'platform/pcapi';
          }
        }
        return this.platform();
      },
      matchWx: function () {
        return $.hsf.platform() == "platform/weixinapi";
      },
      matchPc: function () {
        return $.hsf.platform() == "platform/pcapi";
      },
      matchAndroid: function () {
        return $.hsf.platform() == "platform/androidapi";
      },
      getModuleAPI: function (platform, moduleName) {
        var moduleApi;
        if (moduleName) {
          moduleApi = platform.api[moduleName];
        } else {
          var dir = location.href.split('/');
          moduleApi = platform.api[dir[dir.length - 1].split('.')[0]];
        }
        return $.extend(moduleApi, platform.baseapi)
      },
      //js工具类
      hsTools: {
        accurateMul: function (arg1, arg2) {//高精度浮点数乘法
          var m = 0,
              s1 = arg1.toString(),
              s2 = arg2.toString();
          if (s1.split(".").length == 2) {
              m += s1.split(".")[1].length;
          }
          if (s2.split(".").length == 2) {
              m += s2.split(".")[1].length;
          }
          return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m);
        },
        accurateDiv: function(arg1, arg2) {// 高精度浮点数除法
          var m = 0,
            s1 = arg1.toString(),
            s2 = arg2.toString();
          if(s1.split(".").length == 2) {
            m += s1.split(".")[1].length;
          }
          if(s2.split(".").length == 2) {
            m += s2.split(".")[1].length;
          }
          return Number(s1.replace(".", "")) / Number(s2.replace(".", "")) / Math.pow(10, m);
        },
        getParamFromStr: function(str, paramName) {
          var reg = new RegExp("(^|&)" + paramName + "=([^&]*)(&|$)", "i");
          var r = str.match(reg);
          if (r != null) {
            return decodeURI(r[2]);
          }  else {
            return null;
          }
        },

        // 移除手机号前的86
        removePrefix: function (handset) {
          if (handset.indexOf("86|") >= 0) {
            handset = handset.split("|")[1];
          }
          return handset;
        },
        maskTail: function (num) {
          if (!num) return "";
          return num.replace(/(.+?)(\w{4})$/g, "$2")
        },
        // 初始化信息披露
        initAgree: function (fundcode, identityno, identitytype, pageForm, pageRate) {
          if ($.hsf.infoDisclosure.enable) {
            $("#agree").show();
            $.hsf.startLoading();
            var param = "channelno=3"
              + "&fundcode=" + fundcode
              + "&identityno=" + identityno
              + "&identitytype=" + identitytype
              + "&querydate=" + $.hsf.hsTools.getCurrentDate();
            $.hsf.ajax.app("query/disclosure/disclosureinfo", param, "disclosureinfoCallback", function (jsonResult) {
              $.hsf.stopLoading();
              if (jsonResult.successful) {
                var renderAgreeHtml = ""
                if (jsonResult.returnlist.length > 0) {
                  jsonResult.returnlist.forEach(function (disclosure) {
                    var notice = jsonResult.noticeDict.filter(function(notice){return notice.key == disclosure.noticecode});
                    var filenamestr = notice.length >0 ? notice[0].value : $.hsf.hsTools.handleFileName(disclosure.filename, 0);
                    var type = $.hsf.hsTools.handleFileName(disclosure.filename, 1).toLowerCase();
                    for(var i=0; i<jsonResult.noticeDict.length;i++){
                      if(disclosure.noticecode==jsonResult.noticeDict[i].key){
                        filenamestr = jsonResult.noticeDict[i].value;
                      }
                    }
                    if (type&&filenamestr) { // 返回值 filename 返回为空，不显示勾选项
                      if(disclosure.updateflag == "0"){ // 0：强制阅读，1：非强制阅读,
                        renderAgreeHtml += '<dd><div m-role="cell" class="readerAgree" m-layout="fit" m-valign="middle" filename="'+filenamestr+'" type="'+type+'" fileurl="'+disclosure.filename+'"  updateflag="'+disclosure.updateflag+'">' +
                          '<div m-role="cell" m-layout="fit" m-margin="0 1 0 0" m-valign="middle" m-padding="1 1 1 1">'+filenamestr+'</div>' +
                          '<div m-role="UIButton" class="is-read-btn" m-margin="0 1 0 0" m-valign="middle" value="0" style="height:1.5rem;">未阅读</div>' +
                          '<div class="UITableViewArrow" m-icon="arrow"></div>' +
                          '</div>' +
                          '</dd>'
                      } else {
                        renderAgreeHtml += '<dd>' +
                          '<div m-role="cell" class="readerAgree" m-layout="fit" m-valign="middle" filename="'+filenamestr+'" type="'+type+'" fileurl="'+disclosure.filename+'" updateflag="'+disclosure.updateflag+'">' +
                          '<div m-role="cell" m-layout="fit" m-margin="0 1 0 0" m-valign="middle" m-padding="1 1 1 1">'+filenamestr+'</div>' +
                          '<div class="UITableViewArrow" m-icon="arrow"></div> ' +
                          '</div>' +
                          '</dd>'
                      }
                    }
                  })
                  if (renderAgreeHtml) {
                    $("#agree").html('<dl><dd><div m-role="cell" class="" m-layout="fit" m-valign="middle">请阅读并签署以下所有协议</div></dd>' + renderAgreeHtml + '</dl>');
                  } else {
                    $("#agree").html("");
                    $("#agree").hide();
                  }
                  // 绑定事件
                  $(".readerAgree").bind("tap", function () {
                    var _self = $(this);
                    var filename = _self.attr("filename");
                    var type = _self.attr("type");
                    var fileurl = _self.attr("fileurl");
                    var updateflag = _self.attr("updateflag")
                    var valu = _self.find(".is-read-btn").attr("value");
                    window.agreeComponent.initComponent({
                      color: '#b80000', //配置底部按钮和pdf导航的颜色
                      title: filename, //配置协议标题名
                      type: type,//配置协议的展示形式，文件目前只支持pdf形式，其他支持网页的形式的协议配置“url”
                      readTimeout: updateflag=="0"?(valu==="0" ? $.hsf.infoDisclosure.readTimeout : 0):0,//配置按钮倒计时，如果配置0的话不倒计时
                      scrollEndCheck:updateflag=="0" ?(valu==="0" ? $.hsf.infoDisclosure.scrollEndCheck : false):false,//配置是否需要滑动到底
                      url: fileurl,//配置协议的url地址，如果是pdf文件的话必须是PDF文件的地址
                      agreeCallback: function () {//点击同意按钮回调函数
                        if (_self.find("[m-role='UIButton']").hasClass("is-read-btn")) {
                          _self.find(".is-read-btn").attr("value", 1);
                          _self.find(".is-read-btn")[0].innerText = "已阅读";
                        }
                      }
                    });
                    window.agreeComponent.showAgree();
                    return false; // return false 不要忘记，不然会发送透传现象
                  })
                } else {
                  $("#agree").html("");
                  $("#agree").hide();
                }

                $("#tradeRateShow").show();// 显示交易规则
                $("#openTradeRate").unbind().bind("tap", function () {
                  var data = "fundcode=" + fundcode;
                  console.log(data);
                  $.hsf.startLoading();
                  $.hsf.ajax.app("product/product/productDetail", data, "productDetailCallback", function (jsonResult) {
                    // $.hsf.stopLoading();
                    if (jsonResult.successful) {
                      pageRate.show();
                      pageForm.hide();
                      var fundinfo = jsonResult.productDetailInfo;
                      if (fundinfo.buybusin == "020") {
                        $("#rg-rule").show();
                      } else {
                        $("#sg-rule").show();
                      }
                      var rateData = $.formGenerate()
                          .add("fundcode", fundcode)
                          .add("custtype", "1") //1-个人
                          .add("requestnum", "99") //一次查完，防止分页
                          .add("sharetype", "A")
                          // .add("businflag",this.constant.businflag)
                          .generate();
                      // $.hsf.startLoading();
                      return $.hsf.ajax.app("atomicquery/fundinfo/queryFundRate", rateData, "rateIntervalCallBack", function (jsonResult) {
                        if (jsonResult && jsonResult.successful) {
                          $.hsf.stopLoading();
                          var feeobj,
                              redeemsymboolObj = {
                                firstsymbool: '≤',
                                leftsymbool: '&lt;',
                                rightsymbool: '≤',
                                lastsymbool: '&gt;'
                              },
                              newjsonResult = {
                                declare: [],
                                redeem: []
                              };
                          for (var i in jsonResult.returnList) {
                            feeobj = jsonResult.returnList[i];
                            if (fundinfo.buybusin == "020") { //认购期
                              if (feeobj.faretype == "0" && feeobj.businflag == "020" && feeobj.sharetype == "A") { //020-认购业务代码，0-直销
                                newjsonResult.declare.push(feeobj);
                                continue;
                              }
                            } else {
                              if (feeobj.faretype == "0" && feeobj.businflag == '022' && feeobj.sharetype == "A") { //022-申购业务代码，0-直销
                                newjsonResult.declare.push(feeobj);
                                continue;
                              }
                            }
                            if (feeobj.faretype == "0" && feeobj.businflag == '024') { //024-赎回业务代码
                              if (feeobj.minhold == 0 && (feeobj.maxhold % 7 == 0 || feeobj.maxhold % 30 == 0 || feeobj.maxhold % 365 == 0)) {
                                redeemsymboolObj = {
                                  firstsymbool: '&lt;',
                                  leftsymbool: '≤',
                                  rightsymbool: '&lt;',
                                  lastsymbool: '≥'
                                }
                              }
                              feeobj = $.extend(feeobj, redeemsymboolObj);
                              newjsonResult.redeem.push(feeobj);
                              continue;
                            }
                          }
                          // console.log(newjsonResult);
                          $.doTemplate('rateIntervalView', newjsonResult, 'refresh');
                          if (fundinfo.buybusin == "020") {
                            $("#buyRateHead").html("买入费率（认购）")
                          } else {
                            $("#buyRateHead").html("买入费率（申购）")
                          }
                          $.hsf.stopLoading();
                        } else {
                          $.hsf.callFailProcess(jsonResult);
                        }
                      });
                    } else {
                      $.hsf.callFailProcess(jsonResult);
                    }
                  });
                });

                $("#fundRateBackBtn").unbind().bind("tap", function (e) {
                  e.stopPropagation()
                  e.preventDefault();
                  pageRate.hide();
                  pageForm.show();
                  return false;
                })
              }
            });
          } else {
            $("#agree").hide();
          }
        },
        checkRead: function () {
          if ($.hsf.infoDisclosure.enable) {
            var isRead = true;
            // 校验是否阅读协议
            $(".is-read-btn").each(function () {
              if ("1" != $(this).attr("value")) {
                isRead = false
              }
            })
            if (!isRead) {
              $.UIAlert("请阅读并签署全部产品协议")
            }
            return isRead;
          } else {
            return true;
          }
        },
        // 处理信息披露的 filename, 分离出文件名, type:0 filename, type:1 filetype;
        handleFileName: function (filename, type) {
          var sparr = filename.split("/");
          return sparr[sparr.length - 1].split(".")[type] || "";
        },
        // 检查 crs 用户信息
        checkCrsInfo: function (func, flag) {
          $.hsf.ajax.app("account/crs/querycrsinfo", "", "rscInfoCallBack", function (jsonResult) {
            if (jsonResult.successful) {
              //crs修改
              if (jsonResult.result != null) {
                func && func();
              } else {
                $.UIConfirm({
                  "html": "根据反洗钱及适当性相关规定，您的个人信息尚未完善。",
                  "submitText": "立即完善",
                  "cancelText": "稍后再说"
                }, function (result) {
                  flag = !!flag;
                  if ("yes" === result) {
                    // 跳转账户管理
                    if ($.hsf.matchIOS()) {
                      $("#login").remove();
                      if (flag == true) {
                        func && func();
                      }
                      $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                      return false;
                    } else {
                      if (flag == true) {
                        func && func();
                      }
                      $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                      return false;
                    }
                  } else {
                    if (flag == false) {
                      $.hsf.hsBack();
                    } else {
                      func && func();
                    }
                  }
                });
              }
            } else {
              func && func();
            }
          });
        },
        checkHgxForTrade: function (jsonResult, func) {
          $.hsf.ajax.app("atomicquery/account/logininfo", "", "userInfoCallBack", function (jr) {
            if (jr && jr.successful) {
              var result = jsonResult.hgxLimitList;
              result = result && result.sort(function (a, b) { return a.checktype > b.checktype ? 1 : -1; });
              function checkLimitList (accountType) {
                if (result && result.length > 0) {
                  var model = result[0];
                  isOverdue = model.isOverdue;
                  allbuffernum = model.allbuffernum;
                  usedbuffernum = model.usedbuffernum;
                  bufferenddate = model.bufferenddate;
                  for (var i = 0; i < result.length; i++) {
                    var item = result[i];
                    function popMessageInfo (item) {
                      if (jr.result.idtype == "0") { //身份证的情况下还要判断审核状态
                        // todo 客户要求
                        if (item.status == "00") {//未审核
                          popA4Message = popA4Message + "[待审核]";
                        } else if (item.status == "01") {//审核不过
                          popA4Message = popA4Message + "[审核失败]";
                        } else {
                          popA4Message = popA4Message + "[未上传]";
                        }
                        // todo 客户要求
                      } else {
                        popA4Message = popA4Message + "（非身份证用户请到柜台上传证件）";
                      }
                    }
                    if (item.checktype == "A4") {
                      popMessageInfo(item);
                      break;
                    } else {
                      if (item.limittype == "03" || item.limittype == "02" || item.limittype == "01") {
                        popMessageInfo(item);
                        break;
                      } else {
                        if (popMsessage == "") {
                          popMsessage = popMsessage + item.checkmsg;
                        } else {
                          popMsessage = popMsessage + ";" + item.checkmsg;
                        }
                      }
                    }

                  }
                }
                var allNum = parseInt(allbuffernum);
                var userindex = parseInt(usedbuffernum);
                var userNum = parseInt(usedbuffernum);
                var bufferenddate = bufferenddate;
                var tip = popA4Message != "" ? popA4Message : popMsessage;
                // todo 20191030 客户要求修改
                if (popA4Message.indexOf("审核失败") >= 0) {
                  popMsessageOver = "您的身份证上传审核失败，请重新上传或联系客服。";
                  popMsessageDateIn = "您的身份证上传审核失败，请重新上传或联系客服。";
                  popMsessageDateOut = "您的身份证上传审核失败，请重新上传或联系客服。";
                } else {
                  popMsessageOver = "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。";
                  popMsessageDateIn = "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。";
                  popMsessageDateOut = "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。";
                }
                // todo 20191030 客户要求修改
                if (isOverdue == "0") {//有限期内
                  if (tip != "") { // 有修改提示
                    //跳转资料修改界面
                    if (popA4Message.indexOf("待审核") >= 0) {
                      func && func();
                    } else {
                      $.UIConfirm(popMsessageDateIn, function (isOk) {
                        if (isOk == "yes") {
                          if (popA4Message != "") {
                            if (popA4Message.indexOf("非身份证用户") != -1) {
                              func && func();
                            } else {
                              if ($.hsf.matchNative()) {
                                $.platform.hsOpenAndCloseSelf("ocr-Idcard.html");
                              } else {
                                $.hsf.hsOpen("ocr-Idcard.html");
                              }
                            }
                          } else {
                            if ($.hsf.matchNative()) {
                              $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                            } else {
                              $.hsf.hsOpen("investment-suitability.html?flag=a");
                            }
                          }
                        } else {
                          func && func();
                        }
                      });
                    }
                  } else {//无修改提示
                    func && func();
                  }
                } else { //有效期外
                  if (tip != "") { //有修改提示
                    //跳转资料修改界面
                    if (userindex > allNum) {//有效期外
                      if (popA4Message.indexOf("待审核") >= 0) {
                        func && func();
                      } else {
                        $.UIAlert(popMsessageOver, function () {
                          if (popA4Message != "") {
                            if (popA4Message.indexOf("非身份证用户") != -1) {
                              func && func();
                            } else {
                              if ($.hsf.matchNative()) {
                                $.platform.hsOpenAndCloseSelf("ocr-Idcard.html");
                              } else {
                                $.hsf.hsOpen("ocr-Idcard.html");
                              }
                            }
                          } else {
                            if ($.hsf.matchNative()) {
                              $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                            } else {
                              $.hsf.hsOpen("investment-suitability.html?flag=a");
                            }
                          }
                        });
                      }
                    } else {
                      // 还有次数的前提下
                      if (popA4Message.indexOf("待审核") >= 0) {
                        func && func();
                      } else {
                        $.UIConfirm(popMsessageDateOut, function (isOk) {
                          if (isOk == "yes") {
                            if (popA4Message != "") {
                              if (popA4Message.indexOf("非身份证用户") != -1) {
                                func && func();
                              } else {
                                if ($.hsf.matchNative()) {
                                  $.platform.hsOpenAndCloseSelf("ocr-Idcard.html");
                                } else {
                                  $.hsf.hsOpen("ocr-Idcard.html");
                                }
                              }
                            } else {
                              if ($.hsf.matchNative()) {
                                $.platform.hsOpenAndCloseSelf("investment-suitability.html?flag=a");
                              } else {
                                $.hsf.hsOpen("investment-suitability.html?flag=a");
                              }
                            }
                          } else {
                            func && func();
                          }
                        });
                      }
                    }
                  } else {//无修改提示
                    func && func();
                  }
                }
              }
              if (result && result.length > 0) {
                var popMsessage = "", popA4Message = ""; //提示信息
                var isOverdue = "";//0 为未过期  1为已过期
                var allbuffernum = "";//总次数
                var usedbuffernum = "";//已使用次数
                $.platform.getCache("accoInfo", function (re) {
                  if (re) {
                    $.hsf.stopLoading();
                    checkLimitList(re.result.idtype);
                  } else {
                    $.hsf.ajax.app("/atomicquery/account/logininfo", "showfastmodeonly=false", "loadCustInfoCallBack", function (jsonResultInfo) {
                      $.hsf.stopLoading();
                      if (jsonResultInfo.successful) {
                        checkLimitList(jsonResultInfo.result.idtype);
                        $.platform.putCache("accoInfo", jsonResultInfo);
                      } else {
                        func && func();
                      }
                    });
                  }
                })
              } else {
                func && func();
              }
            } else {
              $.hsf.callFailProcess(jr);
            }
          });
        },
        // 合规性校验
        hgxTradeRestrictQuery: function (accountType, platformApi, func) {
          //updatetradelimit 是否更新交易限制：1更新，默认为0
          $.hsf.ajax.app("/atomicquery/account/hgxTradeRestrictQuery", "updatetradelimit=1", "hgxTradeRestrictQueryCallback", function (jsonResult) {
            if (jsonResult.successful) {
              platformApi.loginSuccess && platformApi.loginSuccess();
              var result = jsonResult.returnlist;
              result = result && result.sort(function (a, b) { return a.checktype > b.checktype ? 1 : -1; });
              var popMsessage = "",
                popA4Message = ""; //提示信息
              var isOverdue = "";//0 为未过期  1为已过期
              var allbuffernum = "";//总次数
              var usedbuffernum = "";//已使用次数
              var bufferenddate = "";
              if (result && result.length > 0) {
                var model = result[0];
                isOverdue = model.isOverdue;
                allbuffernum = model.allbuffernum;
                usedbuffernum = model.usedbuffernum;
                bufferenddate = model.bufferenddate;
                for (var i = 0; i < result.length; i++) {
                  var item = result[i];
                  function popMessageInfo (item) {
                    // todo 客户要求
                    // popA4Message = item.checkmsg;
                    if (accountType == "0") {//身份证的情况下还要判断审核状态
                      // todo 客户要求
                      if (item.status == "00") {//未审核
                        popA4Message = popA4Message + "[待审核]";
                      } else if (item.status == "01") {//审核不过
                        popA4Message = popA4Message + "[审核失败]";
                      } else {
                        popA4Message = popA4Message + "[未上传]";
                      }
                      // todo 客户要求
                    } else {
                      popA4Message = popA4Message + "（非身份证用户请到柜台上传证件）";
                    }
                  }
                  if (item.checktype == "A4") {
                    popMessageInfo(item);
                    break;
                  } else {
                    if (item.limittype == "03" || item.limittype == "02" || item.limittype == "01") {
                      popMessageInfo(item);
                      break;
                    } else {
                      if (popMsessage == "") {
                        popMsessage = popMsessage + item.checkmsg;
                      } else {
                        popMsessage = popMsessage + ";" + item.checkmsg;
                      }
                    }
                  }
                }
              }
              var allNum = parseInt(allbuffernum);
              var userindex = parseInt(usedbuffernum);
              var userNum = parseInt(usedbuffernum);
              var bufferenddate = bufferenddate;
              var tip = popA4Message != "" ? popA4Message : popMsessage;
              // popMsessageOver="根据反洗钱和适当性有关规定，您的个人信息尚未完善，请在交易前完善相关信息："+ tip +"。";
              // popMsessageDateIn="根据反洗钱和适当性有关规定，您的个人信息尚未完善，为避免影响您的交易，请及时完善："+ tip +"。截至日期："+$.hsf.hsTools.yearAndMonth(bufferenddate)+"，不上传无法交易。";
              // popMsessageDateOut="根据反洗钱和适当性有关规定，您的个人信息尚未完善，系统将在"+allbuffernum+"次提示后禁止交易类操作，请及时完善："+ tip +""
              // 	+"。【本次为第"+userNum.toString()+"次提示】。截至日期："+ $.hsf.hsTools.yearAndMonth(bufferenddate) +"，不上传无法交易。";
              // todo 20191030 客户要求修改
              if (popA4Message.indexOf("审核失败") >= 0) {
                popMsessageOver = "您的身份证上传审核失败，请重新上传或联系客服。";
                popMsessageDateIn = "您的身份证上传审核失败，请重新上传或联系客服。";
                popMsessageDateOut = "您的身份证上传审核失败，请重新上传或联系客服。";
              } else {
                popMsessageOver = "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。";
                popMsessageDateIn = "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。";
                popMsessageDateOut = "根据反洗钱和适当性有关规定，您的个人信息尚未完善或审核中，为避免影响您的交易，请及时完善。";
              }
              // todo 20191030 客户要求修改
              if (isOverdue == "0") { //有限期内
                if (tip != "") {  //有修改提示
                  //跳转资料修改界面
                  if (popA4Message.indexOf("待审核") >= 0) {
                    func && func();
                  } else {
                    $.UIConfirm(popMsessageDateIn, function (isOk) {
                      if (isOk == "yes") {
                        if (popA4Message != "") {
                          if (popA4Message.indexOf("非身份证用户") != -1) {
                            func && func();
                          } else {
                            if ($.hsf.matchNative()) {//关闭登录窗口
                              $.hsf.Event.trigger('login', function () {
                                $('#login').bind('webkitAnimationEnd', function () {
                                  $('#login').remove();
                                }).removeClass('pop-up').addClass('pop-down');
                              });
                            }
                            $.hsf.hsOpen("ocr-Idcard.html");
                          }
                        } else {
                          if ($.hsf.matchNative()) {//关闭登录窗口
                            $.hsf.Event.trigger('login', function () {
                              $('#login').bind('webkitAnimationEnd', function () {
                                $('#login').remove();
                              }).removeClass('pop-up').addClass('pop-down');
                            });
                          }
                          $.hsf.hsOpen("investment-suitability.html?flag=a");
                        }
                      } else {
                        func && func();
                      }
                    });
                  }
                } else {//无修改提示
                  func && func();
                }
              } else { //有效期外
                if (tip != "") { //有修改提示
                  //跳转资料修改界面
                  if (userindex > allNum) {//有效期外
                    if (popA4Message.indexOf("待审核") >= 0) {
                      func && func();
                    } else {
                      $.UIAlert(popMsessageOver, function () {
                        if (popA4Message.indexOf("非身份证用户") != -1) {
                          func && func();
                        } else {
                          if ($.hsf.matchNative()) {//关闭登录窗口
                            $.hsf.Event.trigger('login', function () {
                              $('#login').bind('webkitAnimationEnd', function () {
                                $('#login').remove();
                              }).removeClass('pop-up').addClass('pop-down');
                            });
                          }
                          $.hsf.hsOpen("ocr-Idcard.html");
                        }
                      });
                    }
                  } else {
                    //还有次数的前提下
                    if (popA4Message.indexOf("待审核") >= 0) {
                      func && func();
                    } else {
                      $.UIConfirm(popMsessageDateOut, function (isOk) {
                        if (isOk == "yes") {
                          if (popA4Message != "") {
                            if (popA4Message.indexOf("非身份证用户") != -1) {
                              func && func();
                            } else {
                              if ($.hsf.matchNative()) {//关闭登录窗口
                                $.hsf.Event.trigger('login', function () {
                                  $('#login').bind('webkitAnimationEnd', function () {
                                    $('#login').remove();
                                  }).removeClass('pop-up').addClass('pop-down');
                                });
                              }
                              $.hsf.hsOpen("ocr-Idcard.html");
                            }
                          } else {
                            if ($.hsf.matchNative()) {//关闭登录窗口
                              $.hsf.Event.trigger('login', function () {
                                $('#login').bind('webkitAnimationEnd', function () {
                                  $('#login').remove();
                                }).removeClass('pop-up').addClass('pop-down');
                              });
                            }
                            $.hsf.hsOpen("investment-suitability.html?flag=a");
                          }
                        } else {
                          func && func();
                        }
                      });
                    }
                  }
                } else {//无修改提示
                  func && func();
                }
              }
            } else {
              func && func();
            }
          });
        },
        getAge: function (identityno) {
          //获取年龄
          var myDate = new Date();
          var month = myDate.getMonth() + 1;
          var day = myDate.getDate();
          var age = myDate.getFullYear() - identityno.substring(6, 10) - 1;
          if (identityno.substring(10, 12) < month || identityno.substring(10, 12) == month && identityno.substring(12, 14) <= day) {
            age++;
          }
          return age;
        },

        //
        getSexFromCard: function (identityno) {
          var sex = 0;
          if (identityno.length == 15) {
            sex = identityno.substr(13, 1);
          } else if (identityno.length == 18) {
            sex = identityno.substr(16, 1);
          }
          return sex % 2;
        },

        parseUrlToObj: function (url) {//url格式：fundcode=123&fundname=sdfa
          var items = url.split("&");    //分割成数组
          var arr, name, value;
          for (var i = 0; i < items.length; i++) {
            arr = items[i].split("=");    //["key", "0"]
            name = arr[0];
            value = arr[1];
            this[name] = value;
          }
        },
        //判断是否成年
        isAdult: function (param) {
          var d = new Date();
          var year = d.getFullYear();
          var month = d.getMonth() + 1;
          var strDate = d.getDate();
          if (month >= 1 && month <= 9) {
            month = "0" + month;
          }
          if (strDate >= 0 && strDate <= 9) {
            strDate = "0" + strDate;
          }
          var str = year + "" + month + "" + strDate;

          if (parseInt(str) - parseInt(param) >= 180000) {
            return true;
          } else {
            return false;
          }
        },
        //身份证号合法性验证
        //支持15位和18位身份证号
        //支持地址编码、出生日期、校验位验证
        IdentityCodeValid: function (code) {
          var city = { 11: "北京", 12: "天津", 13: "河北", 14: "山西", 15: "内蒙古", 21: "辽宁", 22: "吉林", 23: "黑龙江 ", 31: "上海", 32: "江苏", 33: "浙江", 34: "安徽", 35: "福建", 36: "江西", 37: "山东", 41: "河南", 42: "湖北 ", 43: "湖南", 44: "广东", 45: "广西", 46: "海南", 50: "重庆", 51: "四川", 52: "贵州", 53: "云南", 54: "西藏 ", 61: "陕西", 62: "甘肃", 63: "青海", 64: "宁夏", 65: "新疆", 71: "台湾", 81: "香港", 82: "澳门", 91: "国外 " };
          var tip = "";
          var pass = true;
          //var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
          var reg = /(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
          if (!code || !reg.test(code)) {
            tip = "身份证号格式错误";
            pass = false;
          } else if (!city[code.substr(0, 2)]) {
            tip = "身份证号地址编码错误";
            pass = false;
          } else {
            //18位身份证需要验证最后一位校验位
            if (code.length == 18) {
              code = code.split('');
              //∑(ai×Wi)(mod 11)
              //加权因子
              var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
              //校验位
              var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
              var sum = 0;
              var ai = 0;
              var wi = 0;
              for (var i = 0; i < 17; i++) {
                ai = code[i];
                wi = factor[i];
                sum += ai * wi;
              }
              var last = parity[sum % 11];
              if (parity[sum % 11] != code[17]) {
                tip = "身份证号格式错误";
                pass = false;
              }
            }
          }
          return pass;
        },
        jugdeIdenddate: function (b, sd, ed) {
          if (isNaN(b) || isNaN(sd) || isNaN(ed) || b.length != 8 || sd.length != 8 || ed.length != 8) {
            return false;
          }
          var cyears = (ed - sd) / 10000;
          var age = $.hsf.hsTools.jsGetAge($.hsf.hsTools.yyyy_mm_dd(b));
          if (age < 16 && cyears > 5) {
            return false;
          } else if (16 <= age && age <= 25 && cyears > 10) {
            return false;
          } else if (26 <= age && age <= 45 && cyears > 20) {
            return false;
          } else if (age >= 46 && cyears < 20) {
            return false;
          }
          return true;
        },
        /*根据出生日期算出年龄*/
        jsGetAge: function (strBirthday) {
          var returnAge;
          var strBirthdayArr = strBirthday.split("-");
          var birthYear = strBirthdayArr[0];
          var birthMonth = strBirthdayArr[1];
          var birthDay = strBirthdayArr[2];
          var d = new Date();
          var nowYear = d.getFullYear();
          var nowMonth = d.getMonth() + 1;
          var nowDay = d.getDate();
          if (nowYear == birthYear) {
            returnAge = 0;
          } else {
            var ageDiff = nowYear - birthYear; //年之差
            if (ageDiff > 0) {
              if (nowMonth == birthMonth) {
                var dayDiff = nowDay - birthDay;//日之差
                if (dayDiff < 0) {
                  returnAge = ageDiff - 1;
                } else {
                  returnAge = ageDiff;
                }
              } else {
                var monthDiff = nowMonth - birthMonth;//月之差
                if (monthDiff < 0) {
                  returnAge = ageDiff - 1;
                } else {
                  returnAge = ageDiff;
                }
              }
            } else {
              returnAge = -1;//返回-1 表示出生日期输入错误 晚于今天
            }
          }
          return returnAge;//返回周岁年龄
        },
        yyyymmdd: function (yyyymmdd) {
          if (typeof yyyymmdd == "string") {
            return yyyymmdd.substr(0, 4) + "" + yyyymmdd.substr(4, 2) + "" + yyyymmdd.substr(6, 2);
          } else if (yyyymmdd instanceof Date) {
            var year = yyyymmdd.getFullYear();
            var month = yyyymmdd.getMonth() + 1;
            var strDate = yyyymmdd.getDate();
            if (month >= 1 && month <= 9) {
              month = "0" + month;
            }
            if (strDate >= 0 && strDate <= 9) {
              strDate = "0" + strDate;
            }
            return year + "" + month + "" + strDate;
          } else {
            return yyyymmdd || "--";
          }
        },
        //返回10年后的日期
        add10Years: function () {
          return this.addNYearsLater(10)
        },
        //返回20年后的日期
        add20Years: function () {
          return this.addNYearsLater(20)
        },
        addNYearsLater: function (n) {
          var now = new Date();
          var y = now.getFullYear() + n;
          var m = now.getMonth() + 1;
          var d = now.getDate();
          return [y, m, d].map(function (item) {
            return item.toString().length == 1 ? '0' + item : item;
          }).join('');
        },
        parseLocationSearch: function () {//解析本地url为对象
          var queryObject = {};
          var locationSearch = decodeURI(window.location.search);
          if (locationSearch != '') {
            var pairs = locationSearch.substring(1).split('&');
            for (var i in pairs) {
              var pair = pairs[i];
              var keyAndValue = pair.split('=');
              var key = keyAndValue[0];
              var value = keyAndValue[1];
              queryObject[key] = value;
            }
          }
          return queryObject;
        },
        getParam: function (paramName) {
          var reg = new RegExp("(^|&)" + paramName + "=([^&]*)(&|$)", "i");
          var r = window.location.search.substr(1).match(reg);
          if (r != null) {
            return decodeURI(r[2]);
          } else {
            return null;
          }
        },
        recoveryMoney: function (val) {
          return val.toString().replace(/,/g, '');
        },
        //noseparator : true不需要逗号分隔
        formatMoney: function (val, noseparator) {
          var sign = val.toString().substr(0, 1);//支持负数
          var arrayVal = val.toString().replace(/[,-]/g, '');
          arrayVal = arrayVal.split(".");
          var num = (arrayVal[0]) ? arrayVal[0].toString() : '',
            cent = (typeof arrayVal[1] != "undefined") ? "." + arrayVal[1] : "",
            moneyNum = '',
            result = '';

          cent = cent.substr(0, 3);
          //0开头的数字格式化
          if (num.trim() != "" && num.startsWith("0"))
            num = parseInt(num).toString();
          if (!noseparator) {
            while (num.length > 3) {
              moneyNum = ',' + num.slice(-3) + moneyNum;
              num = num.slice(0, num.length - 3);
            }
          }
          if (num) { result = num + moneyNum + cent; }
          return sign == "-" ? "-" + result : result;
        },
        chineseNum: function (val) {
          var maxDec = 2;
          // 验证输入金额数值或数值字符串：
          val = val.toString().replace(/,/g, "");
          val = val.replace(/^0+/, ""); // 金额数值转字符、移除逗号、移除前导零
          if (val == "") {
            return "零元整";
          } // （错误：金额为空！）
          else if (isNaN(val)) {
            return "错误：金额不是合法的数值！";
          }
          var minus = ""; // 负数的符号“-”的大写：“负”字。可自定义字符，如“（负）”。
          var CN_SYMBOL = ""; // 币种名称（如“人民币”，默认空）
          if (val.length > 1) {
            if (val.indexOf('-') == 0) {
              val = val.replace("-", "");
              minus = "负";
            } // 处理负数符号“-”
            if (val.indexOf('+') == 0) {
              val = val.replace("+", "");
            } // 处理前导正数符号“+”（无实际意义）
          }
          // 变量定义：
          var vInt = "";
          var vDec = ""; // 字符串：金额的整数部分、小数部分
          var resAIW; // 字符串：要输出的结果
          var parts; // 数组（整数部分.小数部分），length=1时则仅为整数。
          var digits,
            radices,
            bigRadices,
            decimals; // 数组：数字（0~9——零~玖）；基（十进制记数系统中每个数字位的基是10——拾,佰,仟）；大基（万,亿,兆,京,垓,杼,穰,沟,涧,正）；辅币（元以下，角/分/厘/毫/丝）。
          var zeroCount; // 零计数
          var i,
            p,
            d; // 循环因子；前一位数字；当前位数字。
          var quotient,
            modulus; // 整数部分计算用：商数、模数。
          // 金额数值转换为字符，分割整数部分和小数部分：整数、小数分开来搞（小数部分有可能四舍五入后对整数部分有进位）。
          var NoneDecLen = (typeof (maxDec) == "undefined" || maxDec == null || Number(maxDec) < 0 || Number(maxDec) > 5); // 是否未指定有效小数位（true/false）
          parts = val.split('.'); // 数组赋值：（整数部分.小数部分），Array的length=1则仅为整数。
          if (parts.length > 1) {
            vInt = parts[0];
            vDec = parts[1]; // 变量赋值：金额的整数部分、小数部分
            if (NoneDecLen) {
              maxDec = vDec.length > 5 ? 5 : vDec.length;
            } // 未指定有效小数位参数值时，自动取实际小数位长但不超5。
            var rDec = Number("0." + vDec);
            rDec *= Math.pow(10, maxDec);
            rDec = Math.round(Math.abs(rDec));
            rDec /= Math.pow(10, maxDec); // 小数四舍五入
            var aIntDec = rDec.toString().split('.');
            if (Number(aIntDec[0]) == 1) {
              vInt = (Number(vInt) + 1).toString();
            } // 小数部分四舍五入后有可能向整数部分的个位进位（值1）
            if (aIntDec.length > 1) {
              vDec = aIntDec[1];
            } else {
              vDec = "";
            }
          } else {
            vInt = val;
            vDec = "";
            if (NoneDecLen) {
              maxDec = 0;
            }
          }
          if (vInt.length > 44) {
            return "错误：金额值太大了！整数位长【" + vInt.length.toString() + "】超过了上限——44位/千正/10^43（注：1正=1万涧=1亿亿亿亿亿，10^40）！";
          }
          // 准备各字符数组 Prepare the characters corresponding to the digits:
          digits = new Array("零", "壹", "贰", "叁", "肆", "伍", "陆", "柒", "捌", "玖"); // 零~玖
          radices = new Array("", "拾", "佰", "仟"); // 拾,佰,仟
          bigRadices = new Array("", "万", "亿", "兆", "京", "垓", "杼", "穰", "沟", "涧", "正"); // 万,亿,兆,京,垓,杼,穰,沟,涧,正
          decimals = new Array("角", "分", "厘", "毫", "丝"); // 角/分/厘/毫/丝
          resAIW = ""; // 开始处理
          // 处理整数部分（如果有）
          if (Number(vInt) > 0) {
            zeroCount = 0;
            for (i = 0; i < vInt.length; i++) {
              p = vInt.length - i - 1;
              d = vInt.substr(i, 1);
              quotient = p / 4;
              modulus = p % 4;
              if (d == "0") {
                zeroCount++;
              } else {
                if (zeroCount > 0) {
                  resAIW += digits[0];
                }
                zeroCount = 0;
                resAIW += digits[Number(d)] + radices[modulus];
              }
              if (modulus == 0 && zeroCount < 4) {
                resAIW += bigRadices[quotient];
              }
            }
            resAIW += "元";
          }
          // 处理小数部分（如果有）
          for (i = 0; i < vDec.length; i++) {
            d = vDec.substr(i, 1);
            if (d != "0") {
              resAIW += digits[Number(d)] + decimals[i];
            }
          }
          // 处理结果
          if (resAIW == "") {
            resAIW = "零" + "元";
          } // 零元
          if (vDec == "") {
            resAIW += "整";
          } // ...元整
          resAIW = CN_SYMBOL + minus + resAIW; // 人民币/负......元角分/整
          return resAIW;
        },
        dateToch: function (d) {
          var darray = d.split("-");
          return darray[0] + "年" + darray[1] + "月" + darray[2] + "日";
        },
        dayOfWeek: function (yyyymmdd) {
          var dayCh = ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"];
          if (typeof yyyymmdd == "string") {
            var dayInt = (new Date(yyyymmdd.substr(0, 4), parseInt(yyyymmdd.substr(4, 2)) - 1, yyyymmdd.substr(6, 2))).getDay();
            var day = dayCh[dayInt];
            return day;
          } else {
            return "";
          }
        },
        // 银行卡工行快捷名称转化
        toQuickStr:function(bankCards,old,now){
          bankCards = bankCards.map(function (v) {
            if (v.bankInfo.indexOf(old) != -1) {
              v.bankInfo = v.bankInfo.replace(old,now)
            }
            return v
          })
          return bankCards
        },
        mm_dd: function (yyyymmdd) {
          if (typeof yyyymmdd == "string") {
            return yyyymmdd.substr(4, 2) + "-" + yyyymmdd.substr(6, 2);
          } else {
            return yyyymmdd || "--";
          }
        },
        yearAndMonth: function (yyyymmdd) {
          if (typeof yyyymmdd == "string") {
            return yyyymmdd.substr(0, 4) + "年" + yyyymmdd.substr(4, 2) + "月" + yyyymmdd.substr(6, 2) + "日";
          } else {
            return yyyymmdd || "--";
          }
        },
        yyyy_mm_dd: function (yyyymmdd, symbo) {
          var symbo = symbo || "-";
          if (typeof yyyymmdd == "string") {
            return yyyymmdd.substr(0, 4) + symbo + yyyymmdd.substr(4, 2) + symbo + yyyymmdd.substr(6, 2);
          } else if (yyyymmdd instanceof Date) {
            var year = yyyymmdd.getFullYear();
            var month = yyyymmdd.getMonth() + 1;
            var strDate = yyyymmdd.getDate();
            if (month >= 1 && month <= 9) {
              month = "0" + month;
            }
            if (strDate >= 0 && strDate <= 9) {
              strDate = "0" + strDate;
            }
            return year + symbo + month + symbo + strDate;
          } else {
            return yyyymmdd || "--";
          }
        },
        maskCardCenter: function (str) {
          if (str.length > 8) {
            return str.substr(0, 4) + "********" + str.substr(str.length - 4, 4);
          } else {
            return str
          }
        },
        maskCardHead: function (str) {
          return str.length > 4 ? str.substr(str.length - 4, 4) : str;
        },
        defaultNull: function (str, defaultStr) {
          return str ? str : defaultStr;
        },
        decimal2: function (x, multi, extra) {
          var f = parseFloat(x);
          if (isNaN(f)) {
            return "--"
          } else {
            multi = multi || 1;
            extra = extra || "";
            return (f * multi).toFixed(2) + extra;
          }
        },
        decimal4: function (x) {
          var f = parseFloat(x);
          if (isNaN(f)) {
            return "--"
          } else {
            return parseFloat(x).toFixed(4);
          }
        },
        IsValidOrDefault: function (value, deflt) {
          deflt = typeof deflt == "undefined" ? "--" : deflt;
          if (value === null || value === undefined || value === "null" || value === "") {
            return deflt;
          }
          return value;
        },
        banknameDeal: function (bankname) {//处理银行卡格式，如通联_农业银行，处理为农业银行
          var bankname2 = bankname.split("_");
          if (bankname2[1] == null) {
            bankname2[1] = bankname;
          }
          return bankname2[1];
        },
				/**
				 * 从对象数组中删除属性为objPropery，值为objValue元素的对象
				 * @param Array arrPerson  数组对象
				 * @param String objPropery  对象的属性
				 * @param String objValue  对象的值
				 * @return Array 过滤后数组
				 */
        remove: function (arrPerson, objPropery, objValue) {
          return $.grep(arrPerson, function (cur, i) {
            return cur[objPropery] != objValue;
          }
          );
        },
        //判断是否需要修改个人信息
        checkIsNeedModifyCustInfo: function (jsonResult) {
          var checkinfo;
          if ($.hsf.zdlegal) {
            checkinfo = ["customerappellation", "idno", "handset", "myselfisbfcy", "myselfiscontorler",
              "communicationaddr", "email", "educational", "workcode", "idtype", "sex", "birthday", "nationality2"];
          } else {
            checkinfo = ["customerappellation", "idno", "handset", "beneficiary", "holdingname",
              "communicationaddr", "email", "educational", "workcode", "idtype", "sex", "birthday", "nationality2"];
          }
          var userinfo = jsonResult.result;
          for (var i = 0; i < checkinfo.length; i++) {
            if (this.checkFiledIsNull(userinfo[checkinfo[i]])) {
              return true;
            }
          }
          return false;
        },
        //判断字段值是否为空
        checkFiledIsNull: function (filedStr) {
          return ('' === filedStr || null === filedStr || undefined === filedStr);
        },

        hasTodo: function (jsonResult) {
          if (jsonResult.resultlist && jsonResult.resultlist.length > 0) {
            var filterList = $.grep(jsonResult.resultlist, function (value) {
              return value.businflag == "AAA" || value.businflag == "090" ||
                value.businflag == "091" || value.businflag == "982";
            });
            return filterList.length;
          }
          return false;
        },
        checkInvestmentSuitabilityAll: function (func, statusFlag) {
          var that = this;
          this.needInvestmentSuitability(function () {
            that._checkInvestmentSuitabilityAll(func, statusFlag);
          }, function () {
            func && func.call(that);
          });
        },
        _checkInvestmentSuitabilityAll: function (func, statusFlag) {
          var that = this;
          $.hsf.startLoading();
          $.when(this.logininfoForm(), this.todolistForm()).done(function (r1, r2) {
            var flagA = that.checkIsNeedModifyCustInfo(r1[0]);
            var flagB = r1[0].result.pubhgflag != "1" || !!r1[0].result.riskexpired || r1[0].result.riskability == null;
            var flag = "";
            // todo 身份证登录的用户要判断OCR是否上传
            if ($.hsf.antiMoneyLaunder && r1[0].result.idtype == "0" && r1[0].needUploadIdentityImg == '1') {
              $.hsf.stopLoading();
              $.UIAlert($.hsf.upIdCardHint, function () {
                $.platform.hsOpenAndCloseSelf('ocr-Idcard.html');
              });
              return false;
            }

            if (flagB) {
              flag = "b" + (flagA ? "a" : "");
            } else {
              flag = (flagA ? "a" : "") + (that.hasTodo(r2[0]) ? "c" : "");
            }

            if (flag === "") {
              $.hsf.hsTools.checkIsNeedReSign(func, statusFlag);
            } else {
              $.hsf.hsOpen('investment-suitability.html?flag=' + flag);
            }
          }).always(function () {
            $.hsf.stopLoading();
          });
        },
        logininfoForm: function (func) {
          return $.hsf.ajax.app("atomicquery/account/logininfo", "", "userInfoCallBack", func || function (jsonResult) { });
        },
        checkIsNeedReSign: function (func, statusFlag) {
          $.hsf.ajax.app("account/tradeacco/myCardList", "showrenewsigncard=true&queryallbanks=true", "bankcardCallback", function (jsonResult) {
            if (jsonResult.successful) {
              var bankcards = jsonResult.bankcards;
              for (var i = 0; i < bankcards.length; i++) {
                var bankcard = bankcards[i];
                if (bankcard.renewsignflag == "1" && bankcard.capitalmode == "M") {
                  $.hsf.needReSign = true;
                  $.UIAlert("您有银行卡需要签约!", function () {
                    if ($.hsf.matchIOS()) {
                      $.hsf.hsOpen("bankcard.html");
                    } else {
                      $.platform.hsOpenAndCloseSelf("bankcard.html");
                    }
                  });
                  return false;
                }
              }
              $.hsf.needReSign = false;
              //  crs 在购买前提示
              $.hsf.hsTools.checkCrsInfo(function () {
                func && func();
              }, statusFlag);
              $.hsf.stopLoading();
            }
          });

        },
        todolistForm: function (func) {
          return $.hsf.ajax.app("trade/common/todolist", "warningchannel=" + $.platform.warningchannel, "toDoListCallBack", func || function (jsonResult) { });
        },
        investmentSuitability: function (func) {
          var that = this;
          this.needInvestmentSuitability(function () {
            that._investmentSuitability(func);

          }, function () {
            func && func.call(that);
          });
        },
        getCurrentDate: function () {
          var date = new Date();
          var yr = date.getFullYear();
          var mt = date.getMonth() + 1;
          var d = date.getDate();
          return [yr, mt, d].map(function (item) {
            return item.toString().length == 1 ? '0' + item : item;
          }).join("")
        },
        //从身份证里获取出生日期
        getBirthdayFromCard: function (identityno) {
          var year = '';
          var month = '';
          var day = '';
          if (identityno.length == 15) {
            year = '19' + identityno.substr(6, 2);
            month = identityno.substr(8, 2);
            day = identityno.substr(10, 2);
          } else if (identityno.length == 18) {
            year = identityno.substr(6, 4);
            month = identityno.substr(10, 2);
            day = identityno.substr(12, 2);
          }
          return year + "-" + month + "-" + day;
        },
        //从身份证号里获取性别
        getGenderFromCard: function (code) {
          // 0 女 1男
          if (code.length == 18) {
            if (code.substring(14, 17) % 2 == 0) {
              return '0';
            } else {
              return '1';
            }
          } else {
            return "";
          }
        },
        //投资者适当性公共调用方法
        _investmentSuitability: function (func) {
          var nojump = true;//是否自动跳转
          var that = this;
          $.hsf.startLoading();
          $.hsf.ajax.app('atomicquery/account/logininfo', '', 'userInfoCallBack', function (jsonResult) {
            $.hsf.stopLoading();
            if (jsonResult.successful) {
              var flagA = that.checkIsNeedModifyCustInfo(jsonResult);
              var flagB = (jsonResult.result.pubhgflag != '1' ||
                !!jsonResult.result.riskexpired);
              var flag = (flagB ? 'b' : '') + (flagA ? 'a' : '');

              // todo 身份证登录的用户要判断OCR是否上传
              if ($.hsf.antiMoneyLaunder && jsonResult.result.idtype == "0" && jsonResult.needUploadIdentityImg == '1') {
                $.hsf.stopLoading();
                $.UIAlert($.hsf.upIdCardHint, function () {
                  // if($.hsf.matchIOS()){
                  // 	$('#login').bind('webkitAnimationEnd', function () {
                  // 		$('#login').remove();
                  // 	}).removeClass('pop-up').addClass('pop-down');
                  // 	$.hsf.hsOpen("ocr-Idcard.html");
                  // }else{
                  $.platform.hsOpenAndCloseSelf('ocr-Idcard.html');
                  // }
                });
                return false;
              }

              //对于证件有效期过期的客户要求修改有效期后方可以交易。
              var currentDate = that.getCurrentDate();
              var invalidate = jsonResult.result.invalidate;
              if (invalidate !== '99991231' && currentDate > invalidate) {
                //跳到修改用户资料
                $.UIAlert('抱歉，您的证件有效期已过期,请修改用户有效期。', function () {
                  $.hsf.hsOpen('investment-suitability.html?flag=a');
                  return false;
                })
              }

              var birthdayStr = that.getBirthdayFromCard(jsonResult.result.idno);
              var age = $.hsf.hsTools.jsGetAge(birthdayStr);
              if (invalidate == '99991231' && age < 46) {
                //跳到修改用户资料
                $.UIAlert('抱歉，您的证件有效期不能是永久有效,请修改用户有效期', function () {
                  $.hsf.hsOpen('investment-suitability.html?flag=a');
                  return false
                })
              }

              if (flag === '') {
                $.hsf.hsTools.checkIsNeedReSign(func);
              } else {
                var targetHtml = 'investment-suitability.html' + '?flag=' + flag;
                if (nojump) {
                  var confirmtip = '为了更好地为您服务,您需要先' + (flagB ? '做风险测评' : '')
                    + (flagA ? ((flagB ? '并' : '') + '补充完整您的个人信息') : '');
                  $.UIComfirm({ 'html': confirmtip, 'submitText': '稍后再说', 'cancelText': '前往' }, function (isOk) {
                    if (isOk === 'no') {
                      $.hsf.hsOpen(targetHtml);
                    } else {
                      $.hsf.hsBack();
                    }
                  });
                } else
                  $.hsf.hsOpen(targetHtml);
              }
            } else {
              $.hsf.callFailProcess(jsonResult);
            }
          });
        },
        //待办事项
        upComingMatter: function (func) {
          var that = this;
          $.hsf.startLoading();
          var data = $.platform.warningchannel;
          $.hsf.ajax.app("trade/common/todolist", "warningchannel=" + data, "toDoListCallBack", function (jsonResult) {
            $.hsf.stopLoading();
            if (jsonResult.successful) {
              if (that.hasTodo(jsonResult)) {
                $.hsf.hsOpen("investment-suitability.html?flag=c#investment-suitability-c")
              } else {
                func && func.call(this, jsonResult);
              }
            } else {
              $.hsf.callFailProcess(jsonResult);
            }
          });
        },
        //根据用户角色判断是否做适当性改造
        needInvestmentSuitability: function (yesCallback, noCallback) {
          var that = this;
          function response (custRole) {
            if (custRole != "A" && custRole != "DB") {
              if ($.hsf.theReformSwitch) {
                yesCallback && yesCallback.call(that);
              } else {
                noCallback && noCallback.call(that);
              }
            } else {
              noCallback && noCallback.call(that);
            }
          }
          $.platform.getCache("loginInfo", function (logininfo) {
            if (logininfo) {
              response(logininfo.custRole);
            } else {
              $.hsf.ajax.app("atomicquery/account/userrolequery", "", "checkLoginCode", function (jsonResult) {
                if (jsonResult.successful) {
                  var roleNeed = jsonResult.roleQueryResult;
                  var roleSet = roleNeed.dc + roleNeed.ds + roleNeed.internet;
                  var custRole = null;
                  switch (roleSet) {
                    case "111": custRole = "DA"; break;
                    case "110": custRole = "DB"; break;
                    case "100": custRole = "A"; break;
                    case "101": custRole = "A"; break;
                    case "010": custRole = "DN"; break;
                    case "011": custRole = "DN"; break;
                    default: break;
                  }
                  $.platform.putCache("loginInfo", { custRole: custRole });
                  response(custRole);
                } else {
                  $.hsf.callFailProcess(jsonResult);
                }
              });
            }
          });
        }
      },
      aCity: {
        11: "北京",
        12: "天津",
        13: "河北",
        14: "山西",
        15: "内蒙古",
        21: "辽宁",
        22: "吉林",
        23: "黑龙江",
        31: "上海",
        32: "江苏",
        33: "浙江",
        34: "安徽",
        35: "福建",
        36: "江西",
        37: "山东",
        41: "河南",
        42: "湖北",
        43: "湖南",
        44: "广东",
        45: "广西",
        46: "海南",
        50: "重庆",
        51: "四川",
        52: "贵州",
        53: "云南",
        54: "西藏",
        61: "陕西",
        62: "甘肃",
        63: "青海",
        64: "宁夏",
        65: "新疆",
        71: "台湾",
        81: "香港",
        82: "澳门",
        91: "国外"
      }
    },
		/**
		 *
		 */
    doTemplate: (function () {
      var cache = [];
      return function (id, data, mode) {
        var $obj = $("#" + id);
        if (mode == "repeat") {
          var html = doT.template($obj.text(), undefined).call(this, data);
          $obj.before(html);
        } else if (mode == "keepid") {
          var html = doT.template($obj.text(), undefined).call(this, data);
          html = "<div id='" + id + "'>" + html + "</div>";
          $obj.after(html).remove();
        } else if (mode == "refresh") {
          if (cache[id]) {
            var current_$obj = $obj;
            $obj = cache[id];
            var html = doT.template($obj.text(), undefined).call(this, data);
            html = "<div id='" + id + "'>" + html + "</div>"
            current_$obj.replaceWith(html);
          } else {
            cache[id] = $obj;
            var html = doT.template($obj.text(), undefined).call(this, data);
            html = "<div id='" + id + "'>" + html + "</div>";
            $obj.after(html).remove();
          }
        } else if (mode == "recover") {
          $("#" + id).replaceWith(cache[id]);
        } else {
          var html = doT.template($obj.text(), undefined).call(this, data);
          $obj.after(html).remove();
        }
      }
    })(),
    validForm: function () {
      var reg = {
        // 中登-详细地址校验
        shortAddress: {
          rule: {
            test: function (value) {
              if (!/^[^\s\r\n]*$/.test(value)) {
                return "详细地址不能含有空格"
              }
              if ((/^[0-9]+$/.test(value))) {
                return "详细地址不能全是数字"
              }
              if (/\|/g.test(value)) {
                return "详细地址不能含有：|"
              }
              if (value.length > 50) {
                return "请精简详细地址"
              }
              return true;
            }
          }
        },
        // 中登-姓名长度限制
        commonName: {
          rule: {
            test: function (value) {
              var common = /^[\u4E00-\u9FA5\uf900-\ufa2d]{2,15}$|^[\u4E00-\u9FA5\uf900-\ufa2d]{1,10}(·|\.){0,1}[\u4E00-\u9FA5\uf900-\ufa2d]{1,15}$|^[a-zA-Z]{1,20}$/;
              return common.test(value);
            }
          },
          desc: "中文或英文姓名"
        },
        bankcard: {
          rule: {
            test: function (value) {
              // 开中登最大 40 位，不开最大32位
              let reg = $.hsf.zdlegal ? /^[\d]{12,40}$/ : /^[\d]{12,32}$/
              return reg.test(value);
            }
          },
          desc: "银行卡"
        },
        birthday: {
          rule: /^[1-9]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$/,
          desc: "出生日期格式不正确"
        },
        notEmpty: {rule: /^[\s\S]+$/, desc: ""},
        empty: { rule: /^[\s\S]+$/, desc: "" },
        mobile: { rule: /^(12|13|14|15|16|17|18|19)[0-9]{9}$/, desc: "手机号码" },
        num: { rule: /^\d+$/, desc: "" },
        word: { rule: /^[a-zA-Z0-9]+$/ },
        password: { rule: /^.{6,16}$/ },//任意字符 8-16位
        pwdtest: { rule: /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/ },  //数字字母混合
        num_letter: { rule: /^(([a-z]+[0-9]+)|([0-9]+[a-z]+))[a-z0-9]*$/i }, //数字字母混合
        zip: { rule: /^[0-9]{6}$/, desc: "邮编" },
        email: { rule: /^$|^[a-zA-Z0-9_\-\.]+@[a-zA-Z0-9\-_]+(\.[a-zA-Z0-9\-_]{2,})+([\.][a-zA-Z\-_]{2,})?$/, desc: "email" },
        script: {
          rule: {
            test: function (value) {
              return !(/<script[^>]*>.*<\/script>/i.test(value));
            }
          }, desc: ""
        },
        strlength: {
          rule: {
            test: function (value) {
              if (value.size) {
                if (value.value.length == value.size) {
                  return true;
                } else {
                  return false;
                }
              } else {
                if (value.value.length >= value.min && value.value.length <= value.max) {
                  return true;
                } else {
                  return false;
                }
              }
            }
          }, desc: ""
        },
        cerfiticate2: {
          rule: {
            test: function (value) {
              var cerfiticate18 = /^((11|12|13|14|15|21|22|23|31|32|33|34|35|36|37|41|42|43|44|45|46|50|51|52|53|54|61|62|63|64|65|71|81|82|91)\d{4})((((19|20)(([02468][048])|([13579][26]))0229))|((20[0-9][0-9])|(19[0-9][0-9]))((((0[1-9])|(1[0-2]))((0[1-9])|(1\d)|(2[0-8])))|((((0[1,3-9])|(1[0-2]))(29|30))|(((0[13578])|(1[02]))31))))((\d{3}(x|X))|(\d{4}))$/;
              return cerfiticate18.test(value);
            }
          }, desc: "身份证"
        },
        certificate: {
          rule: {
            test: function (value) {
              var certificate18 = /^((11|12|13|14|15|21|22|23|31|32|33|34|35|36|37|41|42|43|44|45|46|50|51|52|53|54|61|62|63|64|65|71|81|82|91)\d{4})((((19|20)(([02468][048])|([13579][26]))0229))|((20[0-9][0-9])|(19[0-9][0-9]))((((0[1-9])|(1[0-2]))((0[1-9])|(1\d)|(2[0-8])))|((((0[1,3-9])|(1[0-2]))(29|30))|(((0[13578])|(1[02]))31))))((\d{3}(x|X))|(\d{4}))$/;
              return certificate18.test(value);
            }
          },
          desc: "18位身份证"
        },
        cerfiticate: {
          rule: {
            test: function (sId) {
              if (sId.length == 18) {
                var iSum = 0;
                var info = "";
                if (!/^\d{17}(\d|x)$/i.test(sId)) {
                  return "你输入的身份证长度或格式错误"
                }
                sId = sId.replace(/x$/i, "a");
                if ($.hsf.aCity[parseInt(sId.substr(0, 2))] == null) {
                  return "你的身份证地区非法"
                }
                sBirthday = sId.substr(6, 4) + "-" + Number(sId.substr(10, 2)) + "-" + Number(sId.substr(12, 2));
                var d = new Date(sBirthday.replace(/-/g, "/"));
                if (sBirthday != (d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate())) {
                  return "身份证上的出生日期非法"
                }
                for (var i = 17; i >= 0; i--) {
                  iSum += (Math.pow(2, i) % 11) * parseInt(sId.charAt(17 - i), 11)
                }
                if (iSum % 11 != 1) {
                  return "你输入的身份证号非法"
                }
                return true
              } else {
                if (sId.length == 15) {
                  if (!/^\d{15}$/i.test(sId)) {
                    return "你输入的身份证长度或格式错误"
                  }
                  if ($.hsf.aCity[parseInt(sId.substr(0, 2))] == null) {
                    return "你的身份证地区非法"
                  }
                  sBirthday = "19" + sId.substr(6, 2) + "-" + Number(sId.substr(8, 2)) + "-" + Number(sId.substr(10, 2));
                  var d = new Date(sBirthday.replace(/-/g, "/"));
                  if (sBirthday != (d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate())) {
                    return "身份证上的出生日期非法"
                  }
                  return true
                } else {
                  if (sId.length == 0)
                    return "请输入证件号码";
                  return "身份证长度不合法"
                }
              }
            }
          }, desc: "身份证"
        },
        passwordEqual: {
          rule: {
            test: function (value) {
              if (value.p1 != value.p2) {
                return false;
              }
              return true;
            }
          }, desc: ""
        },
        passwordNotEqual: {
          rule: {
            test: function (value) {
              if (value.p1 == value.p2) {
                return false;
              }
              return true;
            }
          }, desc: ""
        },
        more: {
          rule: {
            test: function (value) {
              if (parseFloat(value.origin) > parseFloat(value.target)) {
                return true;
              }
            }
          }
        },
        less: {
          rule: {
            test: function (value) {
              if (parseFloat(value.origin) < parseFloat(value.target)) {
                return true;
              }
            }
          }
        },
        moreEqual: {
          rule: {
            test: function (value) {
              if (parseFloat(value.origin) >= parseFloat(value.target)) {
                return true;
              }
            }
          }
        },
        lessEqual: {
          rule: {
            test: function (value) {
              if (parseFloat(value.origin) <= parseFloat(value.target)) {
                return true;
              }
            }
          }
        }
      };

      var validQueue = [];
      function valid (type, value, desc) {
        var regObj = reg[type]
        if (typeof type === 'function') {
          regObj = {
            rule: {
              test: type
            }
          }
        }
        if (regObj) {
          var result = regObj.rule.test(value);
          if (value && result==true) {
            return true;
          }
          else if(typeof result=="string"){
            $.UIPopup(result);
            return false;
          }
          else{
            if (desc) {
              $.UIPopup(desc);
            } else if (regObj.desc) {
              $.UIPopup("请输入正确的"+regObj.desc);
            }
            return false;
          }
        }
      }
      return {
        add: function (reg, value, desc) {
          validQueue.push({ reg: reg, value: value, desc: desc });
          return this;
        },
        hope: function (reg, value, desc) {
          validQueue.push({ reg: reg, value: value, desc: desc });
          return this;
        },
        // 增加test方法
        test: function (type, value) {
          return reg[type] ? reg[type].rule.test(value) : true;
        },
        valid: function () {
          for (var index in validQueue) {
            if (false == valid(validQueue[index].reg, validQueue[index].value, validQueue[index].desc)) {
              validQueue = [];
              return false;
            }
          }
          validQueue = [];
          return true;
        }
      }
    },
    checkNullGroup: function (inputUI, button) {
      for (var i in inputUI) {
        if (typeof inputUI[i] == "function") {
          continue;
        } else {
          var check = function () {
            for (var ii in inputUI) {
              if (typeof inputUI == "object") {
                if (inputUI[ii].attr("m-role") == "UITextField" && inputUI[ii].UITextField("value") == "") {
                  button.attr("m-state", "disabled");
                  return;
                } else if (inputUI[ii].attr("m-role") == "UITableView" && inputUI[ii].UITableView("marked").length == 0) {
                  button.attr("m-state", "disabled");
                  return;
                }
              } else if (typeof inputUI[ii] == "function" && inputUI() !== true) {
                button.attr("m-state", "disabled");
                return;
              }
            }
            button.removeAttr("m-state");
          }
          if (inputUI[i].attr("m-role") == "UITextField") {
            inputUI[i].UITextField("change", function () {
              check();
            });
          } else if (inputUI[i].attr("m-role") == "UITableView") {
            inputUI[i].UITableView("mark", function () {
              check();
            });
          }
          check();
        }
      }
    },
    formGenerate: function () {
      var data = [];
      return {
        add: function (key, value) {
          data.push({ key: key, value: value });
          return this;
        },
        generate: function () {
          var str = data[0].key + "=" + data[0].value;
          for (var i = 1; i < data.length; i++) {
            str += "&" + data[i].key + "=" + data[i].value;
          }
          data = [];
          return str;
        }
      }
    },
    bone: function (startView, opt) {
      require(["Backbone"], function () {
        var defaultOpt = { manageTitle: true };
        defaultOpt = $.extend(defaultOpt, opt);
        var indexModel = new (Backbone.Model.extend({
          defaults: {
            viewFoucusId: null
          }
        }))();
        var indexView = new (Backbone.View.extend({
          el: "[m-role='page']",
          model: indexModel,
          viewCache: {},
          _public: (function () {
            var navigateLock = false;
            var backLock = false;
            var param = {};
            return {
              lockNavigate: function () {
                navigateLock = true;
              },
              unlockNavigate: function () {
                navigateLock = false;
              },
              getNavigateLock: function () {
                return navigateLock;
              },
              setParam: function (key, value) {
                param[key] = value;
                return this;
              },
              getParam: function (key) {
                return param[key];
              },
              getAll: function () {
                return param;
              },
              finish: function () {
                if ($.hsf.matchWx() || $.hsf.matchPc()) {
                  backLock = true;
                  setInterval(function () {
                    history.back();
                  }, 100);
                } else {
                  $.hsf.hsBack("", "finish");
                }
              },
              getBackLock: function () {
                return backLock;
              }
            }
          })(),
          initialize: function () {
            $.platform.initPage && $.platform.initPage();
            this.model = indexModel;
            this.$navbar = $("[m-role='UINavigationBar']");
            this.$titleLeftBtn = $("[m-role='left']");
            this.$titleCenter = $("[m-role='title']");
            this.$titleRightBtn = $("[m-role='right']");
            this.listenTo(this.model, 'change:viewFocusId', this.loadView);
          },
          loadView: function (model, viewName) {
            if (!this.viewCache[viewName]) {
              var _that = this;
              require(["pages/" + viewName], function (View) {
                require([$.hsf.platform()], function (platform) {//prepare view platformapi
                  var platformApi = $.hsf.getModuleAPI(platform, viewName);
                  var viewService = new View(_that._public, platformApi);
                  _that.viewCache[viewName] = viewService;
                  switchView.call(_that, viewName);
                });
              }, function (err) {
                var failedId = err.requireModules && err.requireModules[0];
                requirejs.undef(failedId);
              });
            } else {
              switchView.call(this, viewName);
            }
            function switchView (viewName) {
              defaultOpt.manageTitle && this.changeTitle(this.viewCache[viewName].title);
              $(".view-active").removeClass("view-active");
              $("#" + viewName).addClass("view-active");
              this.$el.find("[m-id='" + viewName + "']").addClass("active").siblings().removeClass("active");
              this.viewCache[viewName].afterSwitchView && this.viewCache[viewName].afterSwitchView();
            }
          },
          changeTitle: function (titleObj) {
            var title = {
              center: {
                text: ""
              },
              right: {
                text: ""
              },
              left: {
                show: true
              },
              border: {
                show: true
              }
            };
            var titleOfView = $.extend(true, {}, title, titleObj);
            if (titleOfView.left.show) {
              this.$titleLeftBtn.contents().show();
            } else {
              this.$titleLeftBtn.contents().hide();
            }
            if (titleOfView.center.text != "") {
              this.$titleCenter.html(titleOfView.center.text);
            }
            if (titleOfView.right.text) {
              this.$titleRightBtn.html(titleOfView.right.text);
              this.$titleRightBtn.attr("m-href", titleOfView.right.url);
            }
            titleOfView.border.show ? this.$navbar.removeClass("no-border-btm") :
              this.$navbar.addClass("no-border-btm");
          },
          events: {
            "tap .tab-link": "navigate",
            "tap .finishAndBack": "finish"
          },
          navigate: function (e) {
            var that = $(e.currentTarget);
            var href = that.attr("m-id");
            if (this.model.get("viewFocusId") == href) {
              return;
            } else {
              if (!this._public.getNavigateLock()) {
                if ($.hsf.Event.hasKey("Navigate"))
                  $.hsf.Event.trigger("Navigate");
                href && Backbone.history.navigate(href, true);
              }
            }
            return false;
          },
          finish: function (e) {
            this._public.finish();
          }
        }))();
        var GRoute = new (Backbone.Router.extend({
          routes: {
            ":viewPath": "all",
            "": "all"
          },
          all: function (viewPath) {
            if (false == indexView._public.getBackLock()) {
              if (viewPath) {
                indexModel.set({ "viewFocusId": viewPath });
              } else {
                indexModel.set({ "viewFocusId": startView });
              }
            }
          }
        }))();
        Backbone.history.start();
      });
      return { init: function () { } }
    },
    //按顺序同步执行任务
    taskGenerate: function (total, callback) {
      return {
        task: [],
        taskcount: 0,
        total: total,
        onTaskComplete: callback,
        deal: function () {
          for (var i = 0; i < this.total; i++) {
            this.task[i].fun.call(this, this.task[i].result);
          }
          this.task = [];
          this.taskcount = 0;
          this.onTaskComplete.call(this);
        },
        add: function (order, jsonResult, callback) {
          if (order >= this.total)
            throw ("没有此座位(<" + this.total + ")");
          if (typeof (this.task[order]) != 'undefined')
            throw ("该座位已有人");
          this.task[order] = { result: jsonResult, fun: callback };
          this.taskcount++;
          if (this.taskcount == this.total)
            this.deal();
        },
        get: function (order) {
          return this.task[order];
        }
      };
    }
  });

  var cmd = {
    initComplete: function () {
      setTimeout(function () {
        $("title").html($.hsf.projectName);
      }, 200);
      $(document).on("tap.mhref2", "div[m-role='UIButton']:not([m-href])", function (e) {
        $("input").blur();
        return false;
      });
      $(document).on("tap.mhref", "[m-href]", function (e) {
        var $this = $(this);
        if ($this.hasClass("disabled")) {
          e.stopPropagation && e.stopPropagation();
          return false;
        } else {
          var parentNode = this.parentNode;
          if ((parentNode && parentNode.getAttribute("m-role") === "left") || $this.hasClass("back")) {
            $.hsf.hsBack(this.getAttribute("m-href"));
            return false;
          } else {
            var href = this.getAttribute("m-href");
            if (href.startsWith("#")) {
              window.location.hash = href;
            } else {
              $.hsf.hsOpen(href);
              e.stopPropagation && e.stopPropagation();
            }
            return false;
          }
        }
      });
    }
  };
  return cmd;
});
