/**
 * Created by apple on 15/6/9.
 */

define([], function() {
	var action = {
		init: function() {
			$.platform.initPage(action);
			$.platform.getCache("openId", function(openId) {
				action.openId = openId;
				action.getFollowFund();
			});
			//action.getFollowFund();
		},
		reload : function() {
			action.getFollowFund();
		},
		getFollowFund: function() {
			$.hsf.startLoading();
			$.hsf.ajax.app("account/myfollows/followQuery", "openId="+action.openId, "checkLoginCode", function(jsonResult) {
				if (jsonResult.successful) {
					var fundlist = jsonResult.myFollows;
					var moneyFund = [];
					var otherFund = [];
					for (var index in fundlist) {
						if (fundlist[index].fundtype == "2") {
							moneyFund.push(fundlist[index]);
						} else {
							otherFund.push(fundlist[index]);
						}
					}
					$.doTemplate("money-template", moneyFund, "refresh");
					$.doTemplate("other-template", otherFund, "refresh");
					$.hsf.stopLoading();
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		}
	};
	return action;
});