define(["global", "Backbone", "swiper"], function() {
    var $body = $("body");
    // 添加关注按钮
    var addFavor = function() {
        var that=this;
        $(".fund-favor").off('tap').on('tap', function() {
            var _self = $(this);
            var fundcode=_self.attr("code");
            var status;
            if($("#discoverSearchbar").hasClass('on'))
                $("#discoverSearchbar").find("input").blur();
            if (constant.mapfav&&constant.mapfav[fundcode]=="1") {
                status=false;
            }else{
                status=true;
            }
            $.hsf.startLoading();
            var data;
            if(constant.openId){
                data = "status="+status+"&fundcode="+fundcode+"&openId="+constant.openId;
            }else{
                data = "status="+status+"&fundcode="+fundcode;
            }

            $.hsf.ajax.app("account/myfollows/followChange", data, "addFavoriteCallback", function (jsonResult) {
                if (jsonResult.successful) {

                    $.hsf.stopLoading();
                    constant.followChanged = true;
                    if($("#discoverSearchbar").hasClass('on')){
                        constant.searchFollowChanged = true;
                    }
                    if(status){//关注
                        if(!constant.mapfav){
                            constant.mapfav={};
                        }
                        constant.mapfav[fundcode]="1";
                        constant.mapfavArray[constant.mapfavArray.length]=fundcode;

                    }else{//取消关注
                        constant.mapfav[fundcode]=null;

                        for(var i=0;i<constant.mapfavArray.length;i++){
                            if(constant.mapfavArray[i]==fundcode){
                                Array.prototype.remove=function(dx)
                                {
                                    if(isNaN(dx)||dx>this.length){return false;}
                                    for(var i=0,n=0;i<this.length;i++)
                                    {
                                        if(this[i]!=this[dx])
                                        {
                                            this[n++]=this[i]
                                        }
                                    }
                                    this.length-=1
                                }

                                constant.mapfavArray.remove(i);
                            }
                        }
                    }
                    $.platform.removeCache("myfollows");
                    $.platform.putCache("myfollows", {myfollows:constant.mapfavArray});
                    //触发关注事件：
                    /*if($.hsf.Event.hasKey("Follow"))
                     $.hsf.Event.trigger("Follow");*/
                    if ( $("[code='"+fundcode+"']").hasClass('on')) {
                        $("[code='"+fundcode+"']").removeClass('on');
                    } else {
                        $("[code='"+fundcode+"']").addClass('on');
                    }
                    //if($("#discover-seg").UISegment("value")==="rel-2"){
                    $("#fundFavList [code='"+fundcode+"']").parents("dd").remove();
                    // }
                }else {
                    $.hsf.callFailProcess(jsonResult);
                };

            });
            //}
            return false;
        });
    };
    var constant = {
        toolbarFocus: "dayinc",
        result:null,//产品列表
        resultRecommand:null,//排序后的产品列表
        favresult:null,//我的关注列表
        sort:null,//筛选排序
        option:null,//筛选页签类型
        mapfav:null,//产品列表中关注的列表
        recommand:null,//推荐基金列表
        mapfavArray:[],
        followChanged:false,
        searchFollowChanged:false
    };
    var fundlist = function() {
        var main = {},
            fundNavSwiper, fundSwiper;

        var way = 0;
        var k = 1;
        var changeTitle = function(swiper) {
            if(way == 1)
                k = swiper.clickedIndex;
            else
                k = swiper.activeIndex;
            if (k == constant.moneyFundIndex) {
                $("#title2").html("万份收益");
                $("#title3txt").html("七日年化");
                $("#title3 ul li").hide();
                $("#title3").attr("class","");
                //class=""
            } else {
                $("#title2").html("最新净值");
                //日涨跌幅

                if(constant.title3txt){
                    $("#title3txt").html(constant.title3txt);
                }else{
                    $("#title3txt").html("日涨跌幅");
                }
                $("#title3").attr("class","fund-th-select");
                $("#title3 ul li").show();


            }
        };


        // 全部基金
        main.fundSwiper = {
            init: function() {
                fundNavSwiper = new Swiper('#fundNavSwiper', {
                    slidesPerView: 'auto',
                    prevButton: '.fund-nav-prev',
                    nextButton: '.fund-nav-next',
                    onTap: function(swiper) {
                        fundNavSwiper.update();
                        fundSwiper.update();
                        $('#fundNavSwiper .swiper-slide').removeClass('on').eq(swiper.clickedIndex).addClass('on');
                        fundSwiper.slideTo(swiper.clickedIndex);
                        fundNavSwiper.slideTo(swiper.clickedIndex-1);//不用担心会小于0
                        //fundNavSwiper.slideTo(swiper.clickedIndex);
                        //way =1;
                        //changeTitle(swiper);
                    }
                });

                fundSwiper = new Swiper('#fundSwiper', {
                    spaceBetween: 20,
                    noSwiping: true,
                    onSlideChangeStart: function(swiper) {
                        $('#fundNavSwiper .swiper-slide').removeClass('on').eq(swiper.activeIndex).addClass('on');

                        way =2;
                        changeTitle(swiper);
                    },
                    onTouchEnd: function() {
                        $("dd.UISelectionStyle").removeClass("UISelectionStyle");
                    }
                });

                //fundSwiper.params.control = fundNavSwiper;
            },
            // 刷新方法，当内容发生改变的时候，请执行刷新方法
            refresh: function() {
                fundNavSwiper.update();
                fundSwiper.update();
            },



        }




        // 下拉选择表头
        main.fundSelectOption = function() {
            $("#title3").off('tap').on('tap', function() {
                var _self = $(this);
                if (_self.children("ul").hasClass('on')) {
                    closeSelectOption();
                } else {
                    $("#title3 ul").removeClass('on').removeClass('off');
                    _self.children("ul").removeClass('off').addClass('on');
                }
                return false;
            });

            $(document).on('tap', function() {
                closeSelectOption();

            });

            $("#title3>ul>li").on('tap', function() {
                var _self = $(this),
                txtBox = _self.parent().siblings('#title3txt');
                if(_self.text()!=txtBox.text()){
                    main.sort(constant.result,_self.text());
                    main.setData("rel_1",constant.result,_self.text());
                    //main.events();
                    if($.hsf.platform() == "platform/pcapi")
                        $(".fund-favor").css("visibility","hidden");
                    else
                        addFavor();
                    constant.title3txt=_self.text();
                    txtBox.text(_self.text());
                }
            });

            function closeSelectOption() {
                var _obj = $("#title3 ul");
                _obj.addClass('off');
                setTimeout(function() {
                    _obj.removeClass('on');
                }, 400);
            }
        }



        // 事件
        main.events = function() {

            addFavor();
            main.fundSelectOption();
        }
// 事件
        main.events2 = function() {

            addFavor();
            $("[m-icon='shop-cart-nobuy']").parent().on('tap', function(){
                $.UIPopup("该基金暂停购买");
            });
            //main.fundSelectOption2();
        }
        main.setFundSwiperHeight = function() {
            var fundSwiperH = $(window).height() - $(".fund-swiper:eq(0)").offset().top - $('[m-role="UIBottomBar"]').height() - 2;
            $(".fund-swiper > .swiper-wrapper > .swiper-slide").height(fundSwiperH);
        };

        // 初始化
        main.init = function(data,th) {
            var that=th;
            main.setFundSwiperHeight();
            main.fundSwiper.init();
            //main.fundSwiper2.init();

            $("#discover-seg li").on('tap', function() {
                var _self = $(this);
                if (_self.index() != 0 ) {
                    //initData(_self.attr("m-id"));
                    that.requestFavlist();
                    _self.addClass('actived');
                }
            });


            main.sort(data,"日涨跌幅");
            main.setData("rel_1",data,"日涨跌幅");
            main.events();
            // 内容发生改变，刷新swiper控件
            //if (mid == "rel_1") main.fundSwiper.refresh();
            //if (mid == "rel_2") main.fundSwiper2.refresh();

        };

        //main.init2=function(){
        //    main.fundSwiper2.init();
        //}

        main.slide=function(index,sort){//筛选后的跳转到对应页签
            if(index==fundSwiper.activeIndex){//不换页签只更换排序的话调用swiper.slide不会触发，必须只能手动改变标题
                way =2;
                changeTitle(fundSwiper);
            }else{
                fundNavSwiper.update();
                fundSwiper.update();
                $('#fundNavSwiper .swiper-slide').removeClass('on').eq(index).addClass('on');
                fundSwiper.slideTo(index);
                fundNavSwiper.slideTo(index-1);
            }

            main.sort(constant.result,sort);
            main.setData("rel_1",constant.result,sort);
            main.events();
            //way=2;
            //changeTitle(fundSwiper);
        }

        main.sort=function(data,inc){
            var sort_key  = "dayinc",last_key;
            if(inc == "最近一周") sort_key = "weekinc";
            else if(inc == "最近一月") sort_key = "monthinc";
            else if(inc == "最近三月") sort_key = "seasonhinc";
            else if(inc == "最近一年") sort_key = "yearinc";
            else if(inc == "今年以来") sort_key = "thisyearinc";
            else if(inc == "成立以来") sort_key = "setupinc";
            last_key = sort_key;
            $.each(data,function (index,value) {
                if(value.key == 2) sort_key = "incomeratio";
                else sort_key = last_key;
                function compare(a,b) {
                    function isRG(v) {//认购期
                        return (v.subscribestate=="1"&&v.declarestate!="1") || v.buybusin=="020";
                    }
                    if(isRG(a) && !isRG(b)){
                        return -1;
                    }else if(!isRG(a) && isRG(b)){
                        return 1;
                    }
                    if(a[sort_key]=="--%" || a[sort_key]=="--"){
                        return 1;
                    }else if(b[sort_key]=="--%" || b[sort_key]=="--"){
                        return -1;
                    }
                    return parseFloat(b[sort_key]) - parseFloat(a[sort_key]);
                }
                value.fundGroup.sort(compare);
            });

        }


        main.setData = function(id,data,tag) {

            for(var i=0;i<data.length;i++){
                $(".m-font-14.swiper-wrapper").append("<div class='swiper-slide swiper-no-swiping'></div>")
            }

            var swiperSlide = $(".segment-body[m-id=" + id + "] .fund-swiper .swiper-slide");
            for (var i = 0; i < data.length; i++) {
                var htmlDom = '<div m-role="UITableView" class="m-font-14 fund-swiper-list"><dl>';
                for (var j = 0; j < data[i].fundGroup.length; j++) {
                    var listData;


                    if(data[i].fundGroup[j].fundtype=="2"){
                        listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10"+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].hfincomeratio+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].incomeratio+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                    }else{
                        if(tag=="日涨跌幅"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10"+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].dayinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                        }else if(tag=="最近一周"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10"+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].weekinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10'";
                        }else if(tag=="最近一月"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10"+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].monthinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                        }else if(tag=="最近三月"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10"+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"' ><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].seasonhinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                        }else if(tag=="最近一年"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10 "+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].yearinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                        }else if(tag=="今年以来"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10 "+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].thisyearinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                        }else if(tag=="成立以来"){
                            listData = "<dd><a m-href='fund-detail.html?fundcode="+data[i].fundGroup[j].fundcode+ "' m-role='cell' m-layout='fit' m-padding='1 0 1 0'><div m-role='cell' m-align='center' m-valign='middle' code='"+data[i].fundGroup[j].fundcode+"' class='fund-favor w40 padding-l-10 "+(constant.mapfav&&constant.mapfav[data[i].fundGroup[j].fundcode]=="1"?" on":" ") +"'><div m-icon='fund-like'></div></div><div m-role='cell' m-mode='y' m-align='left' m-valign='middle' m-layout='fit' m-padding='0 0 0 1'><div class='fund-name m-font-16'>"+data[i].fundGroup[j].fundname+ "</div><div m-role='cell' m-valign='middle'><div class='m-font-14 m-font-light' m-margin='0 1 0 0'>"+data[i].fundGroup[j].fundcode+ "</div><div class='fund-tag fund-tag-min'>"+data[i].fundGroup[j].fundtypestr.substr(0,1)+ "</div></div></div><div m-role='cell' m-valign='middle' class='w80' m-mode='y' m-align='center'><div m-role='cell' class='m-font-16'>"+data[i].fundGroup[j].pernetvalue+"</div><div m-role='cell' class='m-font-14 m-font-light'>"+data[i].fundGroup[j].navdate+"</div></div><div m-role='cell' m-valign='middle' class='w80 m-font-16' m-align='center'>"+data[i].fundGroup[j].setupinc+"</div></a><a id='shopcart' m-role='cell' m-valign='middle' m-align='center' class='w40 padding-r-10' ";
                        }

                    }
                    if(data[i].fundGroup[j].buybusin=="nobuy"){
                        listData=listData+" ><div m-icon='shop-cart-nobuy'></div></a>";
                    }else{
                        listData=listData+"m-href='trade-buy.html?fundcode="+data[i].fundGroup[j].fundcode+"&buybusin="+data[i].fundGroup[j].buybusin+"'><div m-icon='shop-cart'></div></a>";
                    }

                    htmlDom += (listData);

                }
                htmlDom += '</dl></div>';
                swiperSlide.eq(i).html(htmlDom);

                $("[m-icon='shop-cart-nobuy']").parent().on('tap', function(){
                    $.UIPopup("该基金暂停购买");
                });

                //swiperSlide.reinit();
            }


        };

        return main;

    };

    return Backbone.View.extend({
        el: "#discover",
        title: {
            left: {},
            center: {
                text: "发现"
            },
            right: {},
        },

        events: {},
        initialize: function(parent, platformApi) {
            var that=this;

            this.parent = parent;
            //this.platformApi = platformApi;
            //this.platformApi.initPage(this);
            //this.packForm();
            this.searchBtn();
            this.filter();
            this.platformApi = platformApi;
            this.platformApi.initPage(this);
            this.requestManager = $.hsf.requestManager(this);
            $.hsf.Event.addListener("Navigate",function () {
                if($("#discoverSearchbar").hasClass('on'))
                {
                    $("#closeNavSearch").trigger("tap");
                }
                that.triggerFollow();
            });
            $.hsf.Event.addListener("Follow",function () {
                if(!($("[m-id='discover']").hasClass("active")))
                {
                    $.platform.getCache("myfollows", function(result) {
                        if (result && result.myfollows) {
                            constant.mapfavArray = result.myfollows;
                            if (result /*&& result.length != 0*/) {
                                /*if (!constant.mapfav) {
                                 constant.mapfav = {};
                                 }*/
                                constant.mapfav = {};
                                for (var i = 0; i < result.myfollows.length; i++) {
                                    constant.mapfav[result.myfollows[i]] = "1";
                                }
                            }
                        }
                    });
                }
                if($("#discover-seg").UISegment("value")==="rel-2"){
                    that.requestFavlist();
                }
            });
            $(window).resize(function() {
                that.fundlist.setFundSwiperHeight();
            });
        },
        focusRefresh:function(fundcode,status){
            //constant.followChanged = true;
            if(status){//关注
                if(!constant.mapfav){
                    constant.mapfav={};
                }
                constant.mapfav[fundcode]="1";
                constant.mapfavArray[constant.mapfavArray.length]=fundcode;

            }
            else{//取消关注
                constant.mapfav[fundcode]=null;
                for(var i=0;i<constant.mapfavArray.length;i++){
                    if(constant.mapfavArray[i]==fundcode){
                        if(Object.prototype.toString.call(Array.prototype.remove) !="[object Function]")
                        {
                            Array.prototype.remove=function(dx)
                            {
                                if(isNaN(dx)||dx>this.length){return false;}
                                for(var i=0,n=0;i<this.length;i++)
                                {
                                    if(this[i]!=this[dx])
                                    {
                                        this[n++]=this[i]
                                    }
                                }
                                this.length-=1
                            }
                        }
                        constant.mapfavArray.remove(i);
                    }
                }
            }
            $.platform.removeCache("myfollows");
            $.platform.putCache("myfollows", {myfollows:constant.mapfavArray});
            if (status) {
                $("[code='"+fundcode+"']").addClass('on');
            } else {
                $("[code='"+fundcode+"']").removeClass('on');
            }
            if($("#discover-seg").UISegment("value")==="rel-2"){
                this.requestFavlist();
            }
        },
        render: function() {},
        afterSwitchView: function() {
            if (this.parent.getParam("m-id") == "rel_2") {
                $("#discover-seg").UISegment("active", "rel_2");
                this.requestFavlist();
                this.parent.setParam("m-id", "rel_1");
                $(window).scrollTop(0);
            }
            if (this.fundlist)
                this.fundlist.setFundSwiperHeight();
            this.packForm();
        },
        triggerFollow:function () {
            if(constant.followChanged)
            {
                constant.followChanged=false;
                /*$.platform.removeCache("myfollows");
                 $.platform.putCache("myfollows", {myfollows:constant.mapfavArray});*/
                //触发关注事件：
                if($.hsf.Event.hasKey("Follow"))
                    $.hsf.Event.trigger("Follow");
            }
        },
        packForm:function () {
            var that = this;
            that.fundlist = fundlist();

            $.platform.getCache("myfollows", function(result) {
                if (result && result.myfollows) {
                    constant.mapfavArray=result.myfollows;
                    constant.mapfav={};
                    for(var i=0;i<result.myfollows.length;i++){
                        constant.mapfav[result.myfollows[i]]="1";
                    }
                }
                $.platform.getCache("fundlistDate", function(result) {
                    var d = new Date();
                    var str = d.getFullYear()+"-"+(d.getMonth()+1)+"-"+d.getDate();
                    if((result==null)||(result&&result!=str)){
                        $.platform.getCache("openId", function(openId) {
                            //$.UIPopup("d="+openId);
                            constant.openId = openId;
                            that.requestProductlist();
                        });
                    }else{
                        $.platform.getCache("fundlist", function(result) {
                            if (result) {
                                $.hsf.startLoading();
                                $.platform.getCache("openId", function(openId) {
                                    //$.UIPopup("c="+result.myFollows.length);
                                    constant.openId = openId;
                                    /*if(!constant.mapfav){
                                     constant.mapfav={};
                                     if(result.myFollows&&result.myFollows.length!=0){
                                     for(var i=0;i<result.myFollows.length;i++){
                                     constant.mapfav[result.myFollows[i]]="1";
                                     }
                                     constant.mapfavArray=result.myFollows;
                                     }
                                     }*/
                                    that.loadFundList(result);
                                    that.searchResult(result.productList);
                                    that.requestRecommendProduct();
                                    $.hsf.stopLoading();
                                });
                            } else {
                                $.platform.getCache("openId", function(openId) {
                                    //$.UIPopup("d="+openId);
                                    constant.openId = openId;
                                    that.requestProductlist();
                                });

                            }
                        });
                    }
                });
            });
        },

        requestProductlist:function () {
            var that = this;
            $.hsf.startLoading();
            this.parent.lockNavigate();

            if(constant.openId){
                data = "openId="+constant.openId;
            }else{
                data ="";
            }
            $.hsf.ajax.app("product/product/productInfoList", data, "productListback", function(jsonResult) {
                if (jsonResult.successful) {
                    that.reBulidData(jsonResult.productList);
                    $.platform.putCache("fundlist", jsonResult);
                    //把最新一次请求网络获取的产品列表时间放入缓存，每天都需要从网络中获取新的数据
                    var d = new Date();
                    var str = d.getFullYear()+"-"+(d.getMonth()+1)+"-"+d.getDate();
                    $.platform.putCache("fundlistDate", str);

                    /* if(!constant.mapfav){
                     constant.mapfav={};
                     }*/
                    constant.mapfav=[];
                    if(jsonResult.myFollows){
                        for(var i=0;i<jsonResult.myFollows.length;i++){
                            constant.mapfav[jsonResult.myFollows[i]]="1";
                        }
                        $.platform.putCache("myfollows", {myfollows:jsonResult.myFollows});
                        constant.mapfavArray=jsonResult.myFollows;
                    }

                    that.loadFundList(jsonResult);
                    that.searchResult(jsonResult.productList);
                    that.requestRecommendProduct();
                    $.hsf.stopLoading();
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
                that.parent.unlockNavigate();
            });
        },
        requestRecommendProduct:function () {
            var that = this;
            $.hsf.startLoading();
            $.hsf.ajax.app("product/product/findPage", "riskcheck=true&riskmatch=true", "findPageback", function(jsonResult) {
                if (jsonResult.successful) {
                    $.hsf.stopLoading();
                    constant.recommand=jsonResult.recommendList;
                    $.doTemplate('recommandList', jsonResult.recommendList, "refresh");
                } else {
                   // $.hsf.callFailProcess(jsonResult);
                }
            });
        },

        requestFavlist:function () {
            var that = this;
            $.hsf.startLoading();
            if(constant.openId){
                data = "openId="+constant.openId;
            }else{
                data ="";
            }
            $.hsf.ajax.app("account/myfollows/followQuery", data, "productListback", function(jsonResult) {
                if (jsonResult.successful) {
                    $.hsf.stopLoading();
                    that.loadFavList(jsonResult);
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        reBulidData:function(fundlist){
            for(var i=0;i<fundlist.length;i++){
                fundlist[i].keywords=fundlist[i].fundname+fundlist[i].fundcode;
            }
        },

        loadFundList: function (jsonResult) {
            var that=this;
            var fundPages = initFundGroup(jsonResult);
            if(constant.moneyFundIndex == 0){
                constant.sort="七日年化";
                $("#title2").html("万份收益");
                $("#title3txt").html("七日年化");
                $("#title3 ul li").hide();
                $("#title3").attr("class","");
            }else
                constant.sort="日涨跌幅";
            constant.option=fundPages[0].value;
            constant.result=fundPages;

            $.doTemplate('optionList', fundPages);
            $.doTemplate('navArea', fundPages);
            //renderNav(fundPages);

            that.fundlist.sort(fundPages,constant.sort);
            that.fundlist.init(fundPages,that);
            if($.hsf.platform() == "platform/pcapi")
            $(".fund-favor").css("visibility","hidden");
            that.filter();
            //initSwiperList();
            that.fundlist.setFundSwiperHeight();
            function initFundGroup(jsonResult) {
                var fundGroup = [],//按标签分组的数据
                    productList = jsonResult.productList,
                    fundDict = jsonResult.fundDict,//基金类型字典
                    followFund = jsonResult.myFollows,//我关注的
                    fundTag = jsonResult.tagList;//基金标签
                constant.taglist=fundDict;
                var fundDictMap = getDictMap(fundDict);
                for (var index in productList) { //分组
                    var fund = productList[index];
                    fund.index = index;
                    if(typeof (fund.fundname) == "undefined"){
                        $.hsf.stopLoading();
                        continue;
                    }
                    formatFundData(fund, followFund, fundTag);//组合数据
                    //if (fund.fundtype == 2 || fundDictMap[fund.fundtype] == fund.fundtypestr || fund.fundtypestr == fund.fundcode || fund.fundtype == fund.fundtypestr) {
                    //    if (!fundGroup[fund.fundtype]) {//货币
                    //        fundGroup[fund.fundtype] = [];
                    //    }
                    //    fund.fundtypestr = fundDictMap[fund.fundtype];
                    //    fundGroup[fund.fundtype].push(fund);
                    //} else {
                    if (!fundGroup[fund.fundtype]) {//生成其他类型标签
                        fundGroup[fund.fundtype] = [];
                        //fundDict.push({
                        //    "key": fund.fundtype,
                        //    "value": fund.fundtypestr
                        //});
                    }
                    fundGroup[fund.fundtype].push(fund);
                    //}
                }
                //initSort(fundGroup);
                var filtedFundDict = [];
                $.each($.hsf.fundsort,function(index,value){
                    if (fundGroup[value.key]) { //过滤空的fundDict
                        var fg = fundGroup[value.key];
                        filtedFundDict.push({
                            key:value.key,
                            value:value.value,
                            fundGroup:fg
                        });
                    }
                });
              /*  for (var index in fundDict) {
                    if (fundGroup[fundDict[index].key]) { //过滤空的fundDict
                        fundDict[index].fundGroup = fundGroup[fundDict[index].key];
                        filtedFundDict.push(fundDict[index]);
                    }
                }*/

                constant.moneyFundIndex = findMoneyFundIndex(filtedFundDict);
                return filtedFundDict;
            }


            function getDictMap(fundDict) {//处理基金类型字典数据
                var fundDictMap = {};

                for (var index in fundDict) {
                    /* if (fundDict[index].value.indexOf('型')<=0) {
                     if(fundDict[index].value=="QDII基金"){
                     fundDict[index].value = "QDII型";
                     }else{
                     fundDict[index].value = fundDict[index].value.substr(0,2)+"型";
                     }

                     }*/
                    fundDictMap[fundDict[index].key] = fundDict[index].value;
                }
                return fundDictMap;
            }


            function formatFundData(fund, followFund, fundTag) {
                var formatYYYY_MM_dd = function(str) {//处理日期格式
                    if (str) {
                        return str.substr(0, 4) + "-" + str.substr(4, 2) + "-" + str.substr(6, 2);
                    } else {
                        return "";
                    }
                };
                var findFundTags = function(fundcode) {//获得基金标签
                    for (var index in fundTag) {
                        if (fundcode == fundTag[index].key) {
                            return fundTag[index].value;
                        }
                    };
                };
                var findFollowFund = function(fundcode) {//判断是否关注
                    for (var index in followFund) {
                        if (fundcode == followFund[index]) {
                            return true;
                        }
                    }
                    return false;
                };

                var processInc = function(n,mult,extra,decimal) {
                    var inc = parseFloat(n);
                    if (isNaN(inc)) {
                        return "--";
                    } else {
                        extra = extra || "";
                        mult = mult || 1;
                        decimal = decimal || 2;
                        return (inc*mult).toFixed(decimal)+extra;
                    }
                };
                fund.fundnameLength = Math.ceil(fund.fundname.replace(/[^\x00-\xff]/g, '12').length / 2);
                fund.dayinc = processInc(fund.dayinc,1,"%");
                fund.weekinc = processInc(fund.weekinc,1,"%");
                fund.monthinc = processInc(fund.monthinc,1,"%");
                fund.seasonhinc = processInc(fund.seasonhinc,1,"%");
                fund.yearinc = processInc(fund.yearinc,1,"%");
                fund.thisyearinc = processInc(fund.thisyearinc,1,"%");
                fund.setupinc = processInc(fund.setupinc,1,"%");
                fund.incomeratio = processInc(fund.incomeratio,1,"%");
                fund.hfincomeratio = processInc(fund.hfincomeratio,1,"",4);
                //fund.isFollow = findFollowFund(fund.fundcode);
                //fund.fundTags = findFundTags(fund.fundcode);
                fund.navdate = formatYYYY_MM_dd(fund.navdate);
                fund.pernetvalue = fund.pernetvalue ? fund.pernetvalue : "--";
            }


            function initSort(fundGroup) {
                for (var index in fundGroup) { //排序
                    if (index == 2) { //货基
                        fundGroup[index].sort(function(a, b) {
                            return parseFloat(a.incomeratio) < parseFloat(b.incomeratio) ? 1 : -1;
                        });
                    } else {
                        fundGroup[index].sort(function(a, b) {
                            return parseFloat(a.dayinc) < parseFloat(b.dayinc) ? 1 : -1;
                        });
                    }
                }
                return fundGroup;
            }

            function findMoneyFundIndex(fundDict) {
                for (var index in fundDict) { //写头
                    if (fundDict[index].key == 2) {
                        return index;
                    }
                }
                return null;
            }

            function renderNav(fundDict) {
                $.doTemplate('navArea', fundDict);
            }
        },
        loadFavList: function (jsonResult) {
            var that=this;
            var fundPages = initFundGroup(jsonResult);

            constant.resultFav=fundPages;
            $.doTemplate('fundFavList', fundPages,"refresh");
            this.fundlist.events2();
            function initFundGroup(jsonResult) {
                var  productList = jsonResult.myFollows;
                for (var index=0;index<productList.length;index++) { //分组
                    formatFundData(productList[index]);//组合数据
                }
                return   productList;
            }
            function formatFundData(fund) {
                var formatYYYY_MM_dd = function(str) {//处理日期格式
                    if (str) {
                        return str.substr(0, 4) + "-" + str.substr(4, 2) + "-" + str.substr(6, 2);
                    } else {
                        return "";
                    }
                };
                var hsTools = $.hsf.hsTools;
                fund.fundnameLength = Math.ceil(fund.fundname.replace(/[^\x00-\xff]/g, '12').length / 2);
                fund.dayinc = hsTools.decimal2(fund.dayinc,100,"%") ;
                fund.weekinc = hsTools.decimal2(fund.weekinc,1,"%");
                fund.monthinc = hsTools.decimal2(fund.monthinc,1,"%");
                fund.seasonhinc = hsTools.decimal2(fund.seasonhinc,1,"%");
                fund.yearinc = hsTools.decimal2(fund.yearinc,1,"%");
                fund.thisyearinc = hsTools.decimal2(fund.thisyearinc,1,"%");
                fund.incomeratio = hsTools.decimal2(fund.incomeratio,1,"%");
                fund.setupinc = hsTools.decimal2(fund.setupinc,1,"%");

                fund.navdate = formatYYYY_MM_dd(fund.navdate);
                fund.pernetvalue = fund.pernetvalue ? fund.pernetvalue : "--";
            }
        },

        // 搜索按钮
        searchBtn: function() {
            var that = this;
            $("#navSearchBtn").on('tap', function() {
                $("#discoverSearchbar").addClass('on').find("input").focus();
                $(".nav-searchbar-result").addClass('on');
                constant.searchFollowChanged = false;
                return false;
            });
            $("#closeNavSearch").on('tap', function() {
                $("#discoverSearchbar").removeClass('on').find("input").val('').blur();
                $(".nav-searchbar-result").removeClass('on');
                $(".nav-searchbar-list dl").empty();
                if(constant.searchFollowChanged)
                    that.triggerFollow();
                return false;
            });
        },
        // 搜索结果
        searchResult:function(result){
            //for (var index in result) { //排序
                result.sort(function(a, b) {
                    return parseFloat(a.seasonhinc) < parseFloat(b.seasonhinc) ? 1 : -1;
                });
            //}
            var data=result;
            // 返回拼装好的html结构
            var listDom=function(fundname,fundcode,fundtype,keyword,fundtypestr){
                var fd=fundcode;
                fundname=search_do(fundname,keyword);
                fundcode=search_do(fundcode,keyword);
                var dom=['<dd m-href="fund-detail.html?fundcode='+fd+'">',
                    '<div m-role="cell" m-layout="fit" m-valign="middle" class="padding-l-10 padding-r-10">',
                    '<div m-role="cell" m-layout="fit" m-mode="y" m-padding="1 0 1 0">',
                    '<div m-role="cell" class="m-font-12">'+fundname+'</div>',
                    '<div m-role="cell" m-valign="middle">',
                    '<div class="m-font-14 m-font-light" m-margin="0 1 0 0">'+fundcode+'</div>',
                    '<div class="fund-tag fund-tag-min">'+fundtypestr.substr(0,1)+'</div>',
                    '</div>',
                    '</div>',
                    '<div m-role="cell" code='+fd+' class="fund-favor padding-10'+(constant.mapfav&&constant.mapfav[fd]=="1"?" on":" ")+'">',
                    '<div m-icon="fund-like"></div>',
                    '</div>',
                    '</div>',
                    '</dd>'];
                var domHtml=dom.join('');
                return domHtml;
            }

            // 输入事件
            $("#searchInput input").on('input',function(){
                var _self=$(this),
                    val= $.trim(_self.val());

                var searchResultHtml="";
                if(val){
                    $.each(data, function(index, v) {
                        if(v.keywords.indexOf(val)!=-1){
                            searchResultHtml+=listDom(v.fundname,v.fundcode,v.fundtype,val, v.fundtypestr);
                        }
                    });
                }

                $(".nav-searchbar-list dl").html(searchResultHtml);
                addFavor();
                return false;
            });
            $("#searchInput").on('blur','input',function(){
                if($(this).val()==""){
                    $(".nav-searchbar-list dl").empty();
                }

            });
            // 高亮关键字
            function search_do(content,keyWord){
                var keyWordArr = keyWord.replace(/[\s]+/g,' ').split(' ');
                var re;
                for(var n = 0; n < keyWordArr.length; n ++) {
                    //re = new RegExp(">[\s\S]*?"+keyWordArr[n]+"[\s\S]*?<\S","gmi");
                    re = new RegExp(""+keyWordArr[n]+"","gmi");
                    content = content.replace(re,'<span class="keyword-highlight">'+keyWordArr[n]+'</span>');
                }
                return content;
            }
        },

        resetProductlist:function () {//左上角筛选

            for(var i=0;i<constant.result.length;i++){
                if(constant.option==constant.result[i].value){
                    constant.title3txt=constant.sort;
                    this.fundlist.slide(i,constant.sort);
                    break;
                }
            }
        },
        filter: function() {//左上角筛选
            var that=this;
            $("#filterBtn").on('tap', function() {

                $("#discover").removeClass('view-active');
                $("#filterView").addClass('view-active');

            });
            $(".back2discover").on('tap', function() {

                closeFilter(this);
            });
            $(".filterDistcover").on('tap', function() {
                that.resetProductlist();
                closeFilter(this);
            });
            function closeFilter(obj) {
                $("#discover").addClass('view-active');
                $(obj).parents('.view').removeClass('view-active');
            }

            $(".sort-item").on('tap', function() {
                var _self = $(this);
                constant.sort=_self.html();
                _self.addClass('on').siblings(".optionbtn-item").removeClass('on');
            });

            $(".option-item").on('tap', function() {
                var _self = $(this);
                constant.option=_self.html();
                _self.addClass('on').siblings(".optionbtn-item").removeClass('on');
            });
        }
    });
});
