/**
 * Created by apple on 15/6/1.
 */
define(["weixinshare","flot", "../../js/global/echarts.min.js", "global", "Backbone"], function (weixinshare,flot, m) {
    //var echarts = m;
    var action = {
        constant: {
            width:null,
            fundcode: $.hsf.hsTools.getParam("fundcode"),
            fundname: null,
            fundtype: null,
            fundtypestr:null,
            datalist: [],//显示的10条
            graph: {
                time_1: null,
                time_2: null,
                time_3: null,
                time_4: null,
                time_5: null,
                time_6: null,
                time_7: null,
                time_8: null,

            },
            tagId:null,

            choice1:null,
            choice2:null,
        },
        init: function () {
            var platform = $.hsf.platform();
            if( platform== "platform/iosapi" || platform=="platform/androidapi") {
                $("#share-btn").show();   // 安卓3.0 框架不支持分享 屏蔽掉
            }
            if( platform== "platform/pcapi"){
                $("#fav-btn").hide();
            }
            $.platform.getCache("openId", function(openId) {
                action.constant.openId = openId;
                action.getFundDetail();

            });
            action.events();
            $("#share-btn").bind("tap",function () {
                    $.platform.sendShare && $.platform.sendShare(action);
            });
        },
        initWeixinShare:function () {
            if($.hsf.platform() == "platform/weixinapi"){
                var currentLink = encodeURIComponent(location.href.split('#')[0]);
                $.hsf.ajax.app("wxzt/m","functionCode=1013&pageUrl="+currentLink,"getSignInfoCallback",function(jsonResult){
                    if (jsonResult.message && jsonResult.message!="服务器连接失败") {
                        var result = JSON.parse(jsonResult.message);
                        if (result.errorCode == "success") {
                            var shareTitle = action.constant.fundname;
                            var shareOutPic = $.hsf.appDownloadUrl + "images/app_logo.jpg";
                            var shareContent = "这是我发现的收益不错基金，别说我没告诉你啊！";
                            var signinfo = JSON.parse(result.result);
                            var redirect_uri = encodeURIComponent($.hsf.appWeisvr+"app?a="+signinfo.appId+
                                "&go="+$.hsf.appBaseUrl+"integrate/wxentry?wxUsername=OPENID&pageId="+$.hsf.fundDetailPageId+"&fundcode="+
                                action.constant.fundcode);
                            //console.log(redirect_uri);
                            var shareLink = "https://open.weixin.qq.com/connect/oauth2/authorize?appid="+signinfo.appId+
                                "&redirect_uri="+redirect_uri+"&response_type=code&scope=snsapi_base#wechat_redirect";
                            weixinshare.initWeixinShare(signinfo.appId, signinfo.timestamp,signinfo.nonceStr, signinfo.signature,
                                shareTitle, shareLink, shareOutPic, shareContent,currentLink);
                        }
                    }
                });
            }
        },
        getFundDetail: function () {
            var data;
            if(action.constant.openId){
                data = "fundcode="+action.constant.fundcode+"&openId="+action.constant.openId;
            }else{
                data = "fundcode=" + action.constant.fundcode;
            }

            var trillNull = function (obj, name, formatFunc, suffix) {
                formatFunc = formatFunc || function (value) {
                        return value;
                    }
                suffix = suffix || "";
                obj[name] = (obj[name] && obj[name] != '--' ? formatFunc.call(null, obj[name]) + suffix : "--");
                return obj[name];
            }
            $.hsf.startLoading();
            $.hsf.ajax.app("product/product/productDetail", data, "productDetail", function (jsonResult) {
                if (jsonResult.successful) {
                    $("[m-role='UIBody']").show();
                    var fundinfo = jsonResult.productDetailInfo;
                    action.constant.fundname=fundinfo.fundname;
                    $("#fund-name").html(fundinfo.fundname);
                    $("#fundcode").html(fundinfo.fundcode);
                    $(".tit-tag").html(fundinfo.fundtypestr.substr(0, 1));
                    if(fundinfo.fundtypestr){
                        $(".tit-tag").show();
                    };
                    action.constant.fundtypestr=fundinfo.fundtypestr.substr(0, 1);
                    action.initWeixinShare();
                    fundinfo.pernetvalue=$.hsf.hsTools.IsValidOrDefault(fundinfo.pernetvalue);
                    fundinfo.navdate=$.hsf.hsTools.IsValidOrDefault(fundinfo.navdate);
                    fundinfo.totalnetvalue=$.hsf.hsTools.IsValidOrDefault(fundinfo.totalnetvalue);
                    fundinfo.dayinc=$.hsf.hsTools.decimal2(fundinfo.dayinc,100);
                    fundinfo.incomeratio=$.hsf.hsTools.IsValidOrDefault(fundinfo.incomeratio);
                    fundinfo.hfincomeratio=$.hsf.hsTools.IsValidOrDefault(fundinfo.hfincomeratio);
                    $.doTemplate('contentHeaderArea', fundinfo);
                    if (jsonResult.buyLimitResult && jsonResult.buyLimitResult.limits && jsonResult.buyLimitResult.limits.length > 0) {
                        $("#minValue").html("最低购买金额：" + jsonResult.buyLimitResult.limits[0].minValue + "元");//最低购买金额

                    }

                    if (fundinfo.extra) {
                        //费率
                        $("#tradeFare").html(JSON.parse(fundinfo.extra).originalTradeFee);
                        //优惠后费率
                        $("#discountTradeFare").html(JSON.parse(fundinfo.extra).discountTradeFare);//优惠后费率

                    }
                    $("#fundManager").attr("m-href", "fund-manager.html?fundcode=" + action.constant.fundcode);
                    $("#fundAwkwardnes").attr("m-href", "fund-awkwardnes.html?fundcode=" + action.constant.fundcode);
                    $("#fundFee").attr("m-href", "fund-fee.html?fundcode=" + action.constant.fundcode + "&buybusin=" + fundinfo.buybusin);

                    if(fundinfo.buybusin!="nobuy"){
                        //$(".gm-btn").show();
                       // $(".dt-btn").show();
                        $(".gm-btn").attr("m-href", "trade-buy.html?fundcode=" + action.constant.fundcode+"&buybusin="+fundinfo.buybusin+"&sharetype="+fundinfo.sharetype);
                        $(".dt-btn").attr("m-href", "trade-plan.html?fundcode=" + action.constant.fundcode);
                    }else{
                        $(".gm-btn,.dt-btn").css("background-color","#DADADA");
                    }

                    $.platform.getCache("loginInfo",function(cacheResult) {
                        if(cacheResult) {
                            if (cacheResult.custRole) {
                                if (cacheResult.custRole != "A"&&cacheResult.custRole != "DB") {
                                    action.getRiskMatchInfo(jsonResult);//xiaqj19255 invoke
                                }
                            }else{
                                action.getRiskMatchInfo(jsonResult);//xiaqj19255 invoke
                            }
                        }else{
                            action.getRiskMatchInfo(jsonResult);//xiaqj19255 invoke
                        }
                    });


                    $.doTemplate('rel_2_area', fundinfo);
                    action.constant.fundtype = fundinfo.fundtype;


                    action.constant.status = fundinfo.myFollow;
                    if (fundinfo.myFollow) {
                        $("#fav-btn").find("[m-icon='favorite']").addClass("on");
                    } else {
                        $("#fav-btn").find("[m-icon='favorite']").removeClass("on");
                    }

                    if( action.constant.fundtype=="2"){
                        	$("#title1").html("万份收益");
                        	$("#title2").html("七日年化");
                        $("#property12").html("万份收益");
                        $("#property14").html("七日年化");
                        $("#property22").html("万份收益");
                        $("#property24").html("七日年化");

                        		} else {
                        	$("#title1").html("单位净值");
                            $("#title2").html("累计单位净值");
                        $("#property12").html("单位净值");
                        $("#property14").html("累计单位净值");
                        $("#property22").html("单位净值");
                        $("#property24").html("累计单位净值");

                        	}


                    action.changeSegment("time_1");
                    //action.changeSegment("time_5");
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },
        events: function () {
            var that = this;

            $("#title1").bind("tap",function(){

                   //$("#placeholder1").css({width: action.constant.width, height: "250px"});
                    $("#chartSeg").UISegment("active", "rel_1");
                    if(action.constant.choice1){
                        action.changeSegment(action.constant.choice1);
                    }else{
                        action.changeSegment("time_1");
                    }


            });
            $("#title2").bind("tap",function(){

                //$("#placeholder2").css({width: action.constant.width, height: "250px"});
                $("#chartSeg").UISegment("active", "rel_2");
                if(action.constant.choice2){
                    action.changeSegment(action.constant.choice2);
                }else{
                    action.changeSegment("time_5");
                }
                //$("#placeholder2").css({width: $("#flotdiv2").css("width"), height: "250px"});
            });

            $("#fav-btn").bind("tap", function () {
                var status = !action.constant.status;
                var fundcode = action.constant.fundcode;

                var fav = $("#fav-btn").find(".fund-fav-item");
                if (fav.hasClass("starRotate")) {
                    return;
                } else {
                    fav.addClass("starRotate");

                    $.hsf.startLoading();
                    var data;
                    if(action.constant.openId){
                        data = "status="+status+"&fundcode="+fundcode+"&openId="+action.constant.openId;
                    }else{
                        data = "status="+status+"&fundcode="+fundcode;
                    }
                    $.hsf.ajax.app("account/myfollows/followChange", data, "addFavoriteCallback", function (jsonResult) {
                        if (jsonResult.successful) {
                            $.hsf.stopLoading();
                            //$.platform.removeCache("fundlist");
                            //$.platform.removeCache("myfollows");
                            //$.platform.changeFocusFund(fundcode, fav.hasClass("on"));
                            $.platform.changeFocusFund(fundcode, status);
                            fav.toggleClass("on");
                            if (status) {
                                $("#fav-btn").find("[m-icon='favorite']").addClass("on");
                            } else {
                                $("#fav-btn").find("[m-icon='favorite']").removeClass("on");
                            }

                            action.constant.status = status;
                            //$.platform.discoverrefresh();
                        } else if (jsonResult.code == "ETS-5BP00001") {
                            $.hsf.stopLoading();
                            $.hsf.innerLogin();
                        } else {
                            $.hsf.callFailProcess(jsonResult);
                        }
                        ;
                        fav.toggleClass("starRotate");

                    });
                }

            });



            $(window).resize(function () {
               // $("#placeholder1").css({"width": "100%", height: "250px"});
                //$("#placeholder2").css({"width": "100%", height: "250px"});
                var activeG = that.constant.graph[that.constant.activeGraph];
                if (activeG) {
                    //this.drawGraph(this.constant.graph[this.constant.activeGraph].arr,this.constant.graph[this.constant.activeGraph].arr2,this.constant.graph[this.constant.activeGraph].min);
                    var data = action.constant.tagId>=5?activeG.arr2:activeG.arr;
                    //this.drawGraph(data, this.constant.graph[id].min,action.constant.tagId);
                    that.drawGraph(data, activeG.min,action.constant.tagId);

                }
            });
            $(".tab-btn-item").on('tap', function () {
                var tabBtnItem = $(this);
                tabBtnItem.addClass('on').siblings().removeClass('on');
                that.changeSegment(tabBtnItem.attr("id"));
                return false;
            });

            $("#placeholder1").bind("plothover", function (event, pos, item) {

                that.constant.latestPosition = pos;
                //if (!that.constant.updateLegendTimeout) {
                that.constant.updateLegendTimeout = setTimeout(that.updateLegend(that), 30);
                //}
            });
            $("#placeholder2").bind("plothover", function (event, pos, item) {

                that.constant.latestPosition = pos;
                //if (!that.constant.updateLegendTimeout) {
                that.constant.updateLegendTimeout = setTimeout(that.updateLegend(that), 30);
                //}
            });
        },
        getRiskMatchInfo:function(jsonResult){
            var minriskflag = jsonResult.minriskflag;//1 表示最低风险承受能力，0或空表示非最低风险承受能力
            var fundrisklevel = jsonResult.productDetailInfo.fundrisklevel;
            if(minriskflag && fundrisklevel){
                if(minriskflag =="1" && fundrisklevel>$.hsf.theLowestRiskLevel){
                    $(".gm-btn,.dt-btn")
                        .css("background","#DADADA")
                        .attr("m-href","")
                        .on("tap",function(){
                            var $this = $(this);
                            $.UIAlert("您的风险等级过低，不允许"+$this.text().trim()+"该产品！");
                            return false;
                        });
                }
            }
        },
        changeSegment: function (id) {
            action.constant.tagId=id.substr(5,1);


            /*if($("#flotdiv1").css("width")&&$("#flotdiv1").css("width")!="0px"){
                action.constant.width=$("#flotdiv1").css("width");
            }
            $("#placeholder1").css({"width": action.constant.width, height: "250px"});
            $("#placeholder2").css({"width": action.constant.width, height: "250px"});*/
            var that = this;
            var queryuint = "";
            var recordno = 0;
            if (this.constant.graph[id]) {
                action.constant.tagId<5 ? action.constant.choice1=id:action.constant.choice2=id;
                this.constant.activeGraph = id;
                var data = action.constant.tagId>=5?this.constant.graph[id].arr2:this.constant.graph[id].arr;
                this.drawGraph(data, this.constant.graph[id].min,action.constant.tagId);

            } else {
                if (id == "time_1") {
                    queryuint = 1;
                    recordno = 30;
                    action.constant.choice1=id;
                } else if (id == "time_2") {
                    queryuint = 3;
                    recordno = 90;
                    action.constant.choice1=id;
                } else if (id == "time_3") {
                    queryuint = 6;
                    recordno = 180;
                    action.constant.choice1=id;
                } else if (id == "time_4") {
                    queryuint = 12;
                    recordno = 365;
                    action.constant.choice1=id;
                }else if (id == "time_5") {
                    queryuint = 1;
                    recordno = 30;
                    action.constant.choice2=id;
                } else if (id == "time_6") {
                    queryuint = 3;
                    recordno = 90;
                    action.constant.choice2=id;
                } else if (id == "time_7") {
                    queryuint = 6;
                    recordno = 180;
                    action.constant.choice2=id;
                } else if (id == "time_8") {
                    queryuint = 12;
                    recordno = 365;
                    action.constant.choice2=id;
                }
                //var data = "fundcode="+this.constant.fundcode+"&queryunit="+queryuint+"&pageno="+1+"&applyrecordno="+recordno+"&datasource=DC";
                var data = "fundcode=" + this.constant.fundcode + "&queryunit=" + queryuint + "&pageno=" + 1 + "&applyrecordno=" + recordno+"&datasource=DC";
                $.hsf.startLoading();
                $.hsf.ajax.app("atomicquery/fundinfo/hisMarket", data, "chartCallback" + queryuint, function (jsonResult) {
                    if (jsonResult.successful) {
                        action.constant.datalist = [];
                        if (jsonResult.returnList && jsonResult.returnList.length > 0) {
                            for (var i = 0; i < jsonResult.returnList.length; i++) {
                                //if(jsonResult.returnList[i].dayinc>0){
                                //    jsonResult.returnList[i].dayinc=(("0."+jsonResult.returnList[i].dayinc.substr(1,jsonResult.returnList[i].dayinc.length))*100).toFixed(2);
                                //}else{
                                //    jsonResult.returnList[i].dayinc=(("-0."+jsonResult.returnList[i].dayinc.substr(2,jsonResult.returnList[i].dayinc.length))*100).toFixed(2);
                                //}
                                if (jsonResult.returnList[i].dayinc > 0) {
                                    jsonResult.returnList[i].dayinc = (("0" + jsonResult.returnList[i].dayinc.substr(1, jsonResult.returnList[i].dayinc.length)) * 100).toFixed(2);
                                } else if(jsonResult.returnList[i].dayinc == 0){
                                    jsonResult.returnList[i].dayinc= "0.00";
                                }else{
                                    jsonResult.returnList[i].dayinc = (("-0" + jsonResult.returnList[i].dayinc.substr(2, jsonResult.returnList[i].dayinc.length)) * 100).toFixed(2);
                                }
                                jsonResult.returnList[i].totalnetvalue=parseFloat(jsonResult.returnList[i].totalnetvalue).toFixed(4);
                            }
                            var length = jsonResult.returnList.length>=5?5:jsonResult.returnList.length;
                            for (var i = 0; i < length; i++) {
                                action.constant.datalist[i] = jsonResult.returnList[i]
                            }
                            action.constant.datalist.fundtypestr=action.constant.fundtypestr;
                            action.constant.datalist.fundtype=jsonResult.fundtype;
                        }
                        $.doTemplate('rel_1_area', action.constant.datalist);
                        $("#detailSeg").UISegment("active", "rel_1");
                        that.constant.activeGraph = id;
                        that.draw(id, jsonResult.returnList);
                        $.hsf.stopLoading();
                    } else {
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
            }
        },
        startDate: function () {
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            if (m <= 9) {
                m = "0" + m;
            }
            if (d <= 9) {
                d = "0" + d;
            }
            return y + m + d;
        },

        draw: function (id, list) {
            var arr = new Array();
            var arr2 = new Array();

            var min = 9999999;
            var max = -9999999;
            if (null != list && list.length > 1) {
                for (var i = list.length - 1; i >= 0; i--) {
                    /*控制点的数量，加快画线速度*/
                    var obj = list[i];
                    var unit, unit2;
                    var str = obj.navdate;
                    str = str.substr(0, 4) + "/" + str.substr(5, 2) + "/" + str.substr(8, 2);
                    //str = str.replace(/-/g,"/");
                    var date = new Date(str);
                    if ("2" == this.constant.fundtype) {//货币显示万份单位收益
                        unit = [date, parseFloat(obj.hf_incomeratio)];
                        /*以数组形式存放*/
                        unit2 = [date, parseFloat(obj.incomeratio)];
                        /*以数组形式存放*/
                    } else {
                        unit = [date, parseFloat(obj.pernetvalue)];
                        unit2 = [date, parseFloat(obj.totalnetvalue)];
                    }
                    arr.push(unit);
                    arr2.push(unit2);
                    if (unit[1] < min) {
                        min = unit[1];
                    }
                    if (unit[1] > max) {
                        max = unit[1];
                    }
                }
                min -= (max - min) / 6;
                this.storeNetValue(id, arr, arr2, list, min, true);
                this.updateBrand(list[0]);
            } else {
                var data = [new Date(), 0];
                arr.push(data, data);arr2.push(data, data);
                min=0;
                this.storeNetValue(id, arr, arr2, list, min, false);
            }
            if(action.constant.tagId>=5) // 累计净值
                this.drawGraph(arr2, min,action.constant.tagId);
            else
                this.drawGraph(arr, min,action.constant.tagId);
        },
        storeNetValue: function (id, list, list2, origin, min, valid) {
            this.constant.graph[id] = {arr: list, arr2: list2, min: min, origin: origin, valid: valid};
        },
        drawGraph: function (data, min,id) {
                    if(id<5){
                        this.constant.p = $.plot("#placeholder1", [{data: data, label: "&nbsp;"}], {
                            series: {
                                lines: {
                                    show: true,
                                    fill: true,
                                    fillColor: {colors: ["rgba(255,255,255,0.5)", "rgba(188,201,228,0.5)"]},
                                    lineWidth: 1
                                },
                                points: {
                                    show: false
                                }
                            },
                            colors: ["#707fb3"],
                            crosshair: {
                                mode: "x"
                            },
                            grid: {
                                hoverable: true,
                                clickable: false,
                                borderColor: "#c8c8c8",
                                borderWidth: 1
                            },
                            legend: {
                                show: false
                            },
                            xaxis: {
                                show: true,
                                mode: "time"
                            },
                            yaxis: {
                                min: min
                            },
                            legend: {
                                container: $("#legendcontainer"),
                                labelFormatter: function (lable, series) {
                                    return '<a> ' + lable + '</a>';
                                }
                            }

                        });
                    }else{
                        this.constant.p = $.plot("#placeholder2", [{data: data, label: "&nbsp;"}], {
                            series: {
                                lines: {
                                    show: true,
                                    fill: true,
                                    fillColor: {colors: ["rgba(255,255,255,0.5)", "rgba(188,201,228,0.5)"]},
                                    lineWidth: 1
                                },
                                points: {
                                    show: false
                                }
                            },
                            colors: ["#707fb3"],
                            crosshair: {
                                mode: "x"
                            },
                            grid: {
                                hoverable: true,
                                clickable: false,
                                borderColor: "#c8c8c8",
                                borderWidth: 1
                            },
                            legend: {
                                show: false
                            },
                            xaxis: {
                                show: true,
                                mode: "time"
                            },
                            yaxis: {
                                min: min
                            },
                            legend: {
                                container: $("#legendcontainer"),
                                labelFormatter: function (lable, series) {
                                    return '<a> ' + lable + '</a>';
                                }
                            }

                        });
                    }

        },
        updateLegend: function (th) {
            var that = th;
            var netvalueOfSegment = that.constant.graph[that.constant.activeGraph];
            if (netvalueOfSegment.valid == false) {
                that.constant.updateLegendTimeout = null;
                return;
            } else {
                var legends = $("#legendcontainer .legendLabel").css({"width": "100%"});
                legends.each(function () {
                    $(this).css('width', "100%");
                });
                that.constant.updateLegendTimeout = null;
                var pos = that.constant.latestPosition;
                var axes = that.constant.p.getAxes();
                if (pos.x < axes.xaxis.min || pos.x > axes.xaxis.max ||
                    pos.y < axes.yaxis.min || pos.y > axes.yaxis.max) {
                    return;
                }
                var j, dataset = that.constant.p.getData();
                var series = dataset[0];
                for (j = 0; j < series.data.length; ++j) {
                    if (series.data[j][0] > pos.x) {
                        break;
                    }
                }
                var x, y,
                    p1 = series.data[j - 1],
                    p2 = series.data[j],
                    index;
                if (p1 == null) {
                    y = p2[1];
                    x = p2[0];
                    index = j;
                } else if (p2 == null) {
                    y = p1[1];
                    x = p1[0];
                    index = j - 1;
                } else {
                    if (Math.abs(pos.x * 1000 - p1[0] * 1000) > Math.abs(p2[0] * 1000 - pos.x * 1000)) {
                        y = p2[1];
                        x = p2[0];
                        index = j;
                    } else {
                        y = p1[1];
                        x = p1[0];
                        index = j - 1;
                    }
                }
                index = netvalueOfSegment.origin.length - index - 1;//因为是倒序
                that.updateBrand(netvalueOfSegment.origin[index]);
            }
        },
        updateBrand: function (obj) {
            var setBrand = function (value1, value2, value3) {

                if(action.constant.fundtype=="2"){

                    if(action.constant.tagId<5){
                        $("#property11").html(value1);
                        $("#property13").html(parseFloat(value2).toFixed(4));
                        $("#property15").html(parseFloat(value3).toFixed(4) + "%");
                    }else{
                        $("#property21").html(value1);
                        $("#property23").html(parseFloat(value2).toFixed(4));
                        $("#property25").html(parseFloat(value3).toFixed(4) + "%");
                    }
                }else{
                    if(action.constant.tagId<5){
                        $("#property11").html(value1);
                        $("#property13").html(parseFloat(value2).toFixed(4));
                        $("#property15").html(parseFloat(value3).toFixed(4));
                    }else{
                        $("#property21").html(value1);
                        $("#property23").html(parseFloat(value2).toFixed(4));
                        $("#property25").html(parseFloat(value3).toFixed(4));
                    }
                }


            }
            var setPernetBrand = function (value1, value2, value3) {

                if(action.constant.fundtype=="2"){

                    if(action.constant.tagId<5){
                        $("#property11").html(value1);
                        $("#property13").html(parseFloat(value2));
                        $("#property15").html(parseFloat(value3) + "%");
                    }else{
                        $("#property21").html(value1);
                        $("#property23").html(parseFloat(value2));
                        $("#property25").html(parseFloat(value3) + "%");
                    }
                }else{
                    if(action.constant.tagId<5){
                        $("#property11").html(value1);
                        $("#property13").html(parseFloat(value2));
                        $("#property15").html(parseFloat(value3));
                    }else{
                        $("#property21").html(value1);
                        $("#property23").html(parseFloat(value2));
                        $("#property25").html(parseFloat(value3));
                    }
                }


            }
            if (this.constant.fundtype == "2") {
                setBrand(obj.navdate, obj.hf_incomeratio, obj.incomeratio);
            } else {
                setPernetBrand(obj.navdate, obj.pernetvalue, obj.totalnetvalue);
            }
        }

    };
    return action;
});
