define([], function() {
	var action = {
		constant: {},
		init: function() {

			this.events();
			this.packForm();
		},
		packForm: function() {
			action.getPeroid("2");//默认获取一周
		},
		events: function() {
			this.selectPeriod();
		},
		selectPeriod: function() {
			var morePeriodList = $(".more-period-list");
			$("#morePeriod").on('tap', function() {
				morePeriodList.toggleClass('on');
				return false;
			});

			$(document).on('tap', function() {
				morePeriodList.removeClass('on');
				return false;
			});

			selectPeriodBtn();
			selectPeriod();

			function selectPeriodBtn() {
				$(".period-btn-item").off('tap').on('tap', function() {
					$(".period-btn-item").removeClass('on');
					$(this).addClass('on');
					action.getPeroid($(this).attr("m-id"));
				});
			}

			function selectPeriod() {
				$(".more-period-list > .period-btn-item").off('tap').on('tap', function() {
					var _self = $(this);

					$(".period-btn-item").removeClass('on');
					_self.addClass('on');

					var peroidList = $("#peroidList"),
						selfClone = _self.clone(),
						peroidLastBtn = $("#peroidList > .period-btn-item").last(),
						lastClone = peroidLastBtn.clone(true);

					peroidLastBtn.remove();
					peroidList.prepend(selfClone);
					$("#morePeriod .more-period-list").prepend(lastClone);
					_self.remove();
					$(".more-period-list").removeClass('on');
					selectPeriodBtn();
					selectPeriod();
					action.getPeroid(_self.attr("m-id"));
					return false;
				});
			}




		},

		 getPeroid:function(id) {
				console.log(id);

				Date.prototype.DateAdd = function(strInterval, Number) { //| 日期计算
					var dtTmp = this;
					switch (strInterval) {
						case 's':
							return new Date(Date.parse(dtTmp) - (1000 * Number));
						case 'n':
							return new Date(Date.parse(dtTmp) - (60000 * Number));
						case 'h':
							return new Date(Date.parse(dtTmp) - (3600000 * Number));
						case 'd':
							return new Date(Date.parse(dtTmp) - (86400000 * Number));
						case 'w':
							return new Date(Date.parse(dtTmp) - ((86400000 * 7) * Number));
						case 'q':
							return new Date(dtTmp.getFullYear(), (dtTmp.getMonth()) - Number * 3, dtTmp.getDate(), dtTmp.getHours(), dtTmp.getMinutes(), dtTmp.getSeconds());
						case 'm':
							return new Date(dtTmp.getFullYear(), (dtTmp.getMonth()) - Number, dtTmp.getDate(), dtTmp.getHours(), dtTmp.getMinutes(), dtTmp.getSeconds());
						case 'y':
							return new Date((dtTmp.getFullYear() - Number), dtTmp.getMonth(), dtTmp.getDate(), dtTmp.getHours(), dtTmp.getMinutes(), dtTmp.getSeconds());
					}
				}

				Date.prototype.Format = function(fmt) { //日期格式化脚本
					var o = {
						"M+": this.getMonth() + 1, //月份
						"d+": this.getDate(), //日
						"h+": this.getHours(), //小时
						"m+": this.getMinutes(), //分
						"s+": this.getSeconds(), //秒
						"q+": Math.floor((this.getMonth() + 3) / 3), //季度
						"S": this.getMilliseconds() //毫秒
					};
					if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
					for (var k in o)
						if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
					return fmt;
				}

				var enddate = new Date();
				//				var enddate = enddate.Format("yyyy-MM-dd");
				switch (id) {

/*					case "1": //最近一天
						var startdate = enddate.DateAdd("d", 1);
						console.log(startdate.Format("yyyy-MM-dd"));
						console.log(enddate.Format("yyyy-MM-dd"));
						action.searchPeroid(startdate.Format("yyyy-MM-dd"), enddate.Format("yyyy-MM-dd"),"1");

						break;*/
					case "2":
						var startdate = enddate.DateAdd("w", 1);
						console.log(startdate.Format("yyyy-MM-dd"));
						console.log(enddate.Format("yyyy-MM-dd"));
						action.searchPeroid(startdate.Format("yyyy-MM-dd"), enddate.Format("yyyy-MM-dd"),"2");
						break;
					case "3":
						var startdate = enddate.DateAdd("m", 1);
						console.log(startdate.Format("yyyy-MM-dd"));
						console.log(enddate.Format("yyyy-MM-dd"));
						action.searchPeroid(startdate.Format("yyyy-MM-dd"), enddate.Format("yyyy-MM-dd"),"3");
						break;
					case "4":
						var startdate = enddate.DateAdd("m", 3);
						console.log(startdate.Format("yyyy-MM-dd"));
						console.log(enddate.Format("yyyy-MM-dd"));
						action.searchPeroid(startdate.Format("yyyy-MM-dd"), enddate.Format("yyyy-MM-dd"),"4");
						break;
					case "5":
						var startdate = enddate.DateAdd("m", 6);
						console.log(startdate.Format("yyyy-MM-dd"));
						console.log(enddate.Format("yyyy-MM-dd"));
						action.searchPeroid(startdate.Format("yyyy-MM-dd"), enddate.Format("yyyy-MM-dd"),"5");
						break;
					case "6":
						var startdate = enddate.DateAdd("y", 1);
						console.log(startdate.Format("yyyy-MM-dd"));
						console.log(enddate.Format("yyyy-MM-dd"));
						action.searchPeroid(startdate.Format("yyyy-MM-dd"), enddate.Format("yyyy-MM-dd"),"6");
						break;
					default:
						break;
				}
		},

 		 searchPeroid:function(startdate, enddate,tag) {
				var startdate1 = startdate;
				var enddate1 = enddate;
				var data = "timeSet="+tag;
				$.hsf.startLoading();
				$.hsf.ajax.app("atomicquery/income/queryDayProfit", data, "getIncomeAnalysisCallback", function(jsonResult) {
					if (jsonResult.successful) {

						var list = jsonResult.returnList;
						if (list.length > 0) {
							list.sort(function(a, b) {
								return a.fundcode - b.fundcode
							});
									list.totalincome=0;
								for (i=0;i<list.length;i++) {
									list.totalincome=parseFloat(list[i].income)+list.totalincome;
								}
							$.doTemplate("template2", list, "refresh");

								action.setRevenuePeriod(tag);
							$.hsf.stopLoading();
						} else {
							$("#moreBtn").hide();
							$.hsf.stopLoading();
							$.UIPopup("没有记录了");
						}
					} else {
						$.hsf.callFailProcess(jsonResult);
					}

				});
			},

 		 setRevenuePeriod:function(tag){
 		 	switch (tag) {
/*					case "1":
						$(".revenuePeriod").html("最近一天收益");
						break;*/
					case "2":
						$(".revenuePeriod").html("最近一周收益");
						break;
					case "3":
						$(".revenuePeriod").html("最近一月收益");
						break;
					case "4":
						$(".revenuePeriod").html("最近三月收益");
						break;
					case "5":
						$(".revenuePeriod").html("最近半年收益");
						break;
					case "6":
						$(".revenuePeriod").html("最近一年收益");
						break;
					default:
						break;
				}
 		 }

	};
	return action;
});
