﻿define(function (require) {
    var action = {
        constant: {
            accountList : null,
            backList: [10],
            fundcode: ""
        },
        init: function () {
            var that = this;
            $.hsf.hsTools.investmentSuitability(function () {
                action.JSPuesable();
                that.event();
            });
        },
        event: function () {
            this.enchashBtn();
            this.enchashType();
            $("#bankcardacco").bind("change", function(value) {
                $("#zzc").html($("#bankcardacco option:selected").attr("money"));
                if("全部" == $(".radio-btn.on").html()){
                    $("#money input").val($("#zzc").html());
                }
            });
            $("#saleBtn").bind("tap", function () {
                action.sale();
            });
            $("#money input").bind("input", function() {
                var _self=$(this),
                    val=_self.val(),
                    exp=/^[-]?([1-9]{1}[0-9]{0,}(\.[0-9]{0,2})?|0(\.[0-9]{0,2})?|\.[0-9]{1,2})$/g;
                val = val.toString().replace(/,/g, '');
                if(!exp.test(val)) {
                    var value = val.replace(/[^0-9,\.]/g,"");
                    if(value.substr(value.indexOf(".")).length>3){
                        _self.blur();
                        $.UIPopup("请输入数字(例:0.00),最高保留两位小数");
                    }
                    var str=$.hsf.hsTools.formatMoney(value,true);
                    $("#money").UITextField("value",str );
                    return false;
                }
                return false;
                /*applysum = action.getApplySum();
                 $(".confirmsum").html(applysum+"元");
                 return false;*/
            });
            $("#money input").keyup(function(){
                $(".radio-btn").siblings().removeClass('on');
            });
        },
        JSPuesable: function () {
            $.hsf.startLoading();
            $.hsf.ajax.app("moneyfund/encash/encashForm", "antiMoneyBusinestype=024", "chargeFormCode", function (jsonResult) {
                if (jsonResult.successful) {
                    $.hsf.hsTools.checkHgxForTrade(jsonResult,function(){//检查合规性
                        var totalUseable = 0;
                        action.constant.fundcode = jsonResult.fundcode;
                        action.constant.accountList = jsonResult.bankCards;
                        var list = action.constant.accountList;
                        $.hsf.stopLoading();
                        if(list.length!=0){
                            for(var item=0;item<list.length;item++){
                                //var backlist =list[item].bankname.split("_");
                                $("#bankcardacco").append(
                                    "<option value='" + list[item].tradeacco + "' money='"+list[item].usableShare +"'>"
                                    + list[item].bankInfo+ "</option>");
                            }
                            $("#selectBankLogo").removeClass().addClass("bank-logo-min bank-"+list[0].alias);
                        }else{//没有可取现的盛钱宝
                            $.UIComfirm("没有可取现的盛钱宝,是否充值?",function (result) {
                                if (result == "yes") {
                                    $.hsf.hsOpen("jinsp-buy.html");
                                } else {
                                    $.hsf.hsBack();
                                }
                            });
                        }
                        $("#selectBank").UISelectField("change",function () {
                            var index =  $("#selectBank select")[0].selectedIndex;
                            $("#selectBankLogo").removeClass().addClass("bank-logo-min bank-"+action.constant.accountList[index].alias);
                        });
                        //for (var index in jsonResult.bankCards) {
                        //    totalUseable = Number(jsonResult.bankCards[index].usableShare) + Number(totalUseable);
                        //}
                        $("#zzc").html($("#bankcardacco option:selected").attr("money"));
                    });
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        },

        // 取现金额选择按钮
        enchashBtn: function () {
            $(".radio-btn").on('tap', function () {
                var _self = $(this);
                _self.addClass('on').siblings().removeClass('on');
                if ("全部" == $(this).html()) {
                    $("#money input").val($("#zzc").html());
                } else {
                    $("#money input").val($(this).html());
                }
                return false;
            });
        },
        // 取现方式
        enchashType: function () {
            var selectBox = $(".select-box"),
                selectValBox = $(".select-val-box"),
                selectOptBoxClo = $(".select-option-box").clone();
            selectBox.on('tap', function () {
                $("input").blur();
                $("body").append('<div class="mask-box"></div>');
                var maskBox = $(".mask-box");
                maskBox.append(selectOptBoxClo);
                maskBox.on('tap', function (e) {
                    if ($(e.target).hasClass('select-option-box') || $(e.target).parents(".select-option-box").length > 0) {
                        return false;
                    }
                    closeSelectBox();
                });
                $(".mask-box .select-option").on('tap', function () {
                    var _self = $(this);
                    $("#typeSelect .select-option:eq(" + _self.index() + ")").addClass('active').siblings().removeClass('active');
                    _self.addClass('active').siblings().removeClass('active');

                    closeSelectBox();
                    return false;
                });
                function closeSelectBox() {
                    maskBox.addClass('close');
                    setTimeout(function () {
                        maskBox.remove();
                    }, 300);
                }
                return false;
            });
        },
        sale: function () {
            var selectCard = $("#bankcardacco option:selected").val();
            var saleway = $(".active").children("[m-name='saleway-type']").attr("value");
            var tradepassword = $("#password").UITextField("value");
            var fundcode = action.constant.fundcode;
            var applySum = $("#money").UITextField("value");
            var agree = $("#agree").UICheckBox("value");
            var maxmoney = parseFloat($("#bankcardacco option:selected").attr("money"));
            if (0 === applySum.length){
                $.UIPopup("输入金额不能为空!");
                return false;
            }
            if (maxmoney < applySum){
                $.UIPopup("输入金额不能超过可用余额!");
                return false;
            }
            if (0 === tradepassword.length){
                $.UIPopup("交易密码不能为空!");
                return false;
            }
            if (false == agree){
                $.UIPopup("请勾选 同意服务协议!");
                return false;
            }
            var data = "saleway=" + saleway + "&fundcode=" + fundcode + "&tradeacco=" + selectCard + "&applysum=" + applySum + "&tradepassword=" + tradepassword + "&sharetype=A" + "&busintype=01";
            $.hsf.startLoading();
            $.hsf.ajax.app("moneyfund/encash/encash", data, "saleCallback", function (jsonResult) {
                $.hsf.stopLoading();
                if (jsonResult.successful) {
                    $.UIAlert(saleway=="3"?"快速取现成功!":"取现成功!",function () {
                        $.hsf.hsOpen("index.html#jinsp");
                    });
                } else {
                    $.hsf.callFailProcess(jsonResult);
                }
            });
        }
    };
    return action;
});
