define(["global", "Backbone","flot"], function() {
	return Backbone.View.extend({
		el : "#jinsp",
		parent : null,
		title : {
			left : {
				show : false
			},
			center : {
				text : $.hsf.XJB.name
			},
			right : {
				show :  false
			},
			border : {
				show : false
			}
		},
		Data1: null,
		constant : {
			fundcode : $.hsf.XJB.xjbcode,
			fundname : $.hsf.XJB.name,
			fundtype : $.hsf.XJB.type,
			graph : {
				time_1 : null,
				time_2 : null,
				time_3 : null,
				time_4 : null
			},
			jsonResult:{}
		},
		initialize : function(parent, platformApi) {
			$("body").removeClass('m-bg-white');
			//this.getFundDetail();
			//this.packForm();

			var that = this;
			this.parent = parent;
			this.platformApi = platformApi;
			/*$.hsf.Event.addListener("login", function() {
				that.requestManager.invoke(that.packForm);
			});*/
			this.requestManager = $.hsf.requestManager(this);
			this.requestManager.add(this.packForm, 1*1);
			//this.platformApi.initPage(this);
			this.aevents();
		},
		afterSwitchView : function() {
			$("body").removeClass('m-bg-white');
			this.requestManager.invoke(this.packForm);
		},
		aevents:function(){
			var that=this;
			$(window).resize(function() {
				//$("#placeholder").css({"width":$("#flotdiv").css("width"), height : "250px"});
				if (that.constant.graph[that.constant.activeGraph] || false) {
					//this.drawGraph(this.constant.graph[this.constant.activeGraph].arr,this.constant.graph[this.constant.activeGraph].arr2,this.constant.graph[this.constant.activeGraph].min);
					that.drawGraph(that.constant.graph[that.constant.activeGraph].arr,that.constant.graph[that.constant.activeGraph].min);

				}
			});
			 $(".tab-btn-item").on('tap',function(){
            	var tabBtnItem=$(this);
            	tabBtnItem.addClass('on').siblings().removeClass('on');
            	that.changeSegment(tabBtnItem.attr("id"));
            	return false;
            });

			$("#placeholder").bind("plothover",  function (event, pos, item) {

				that.constant.latestPosition = pos;
				//if (!that.constant.updateLegendTimeout) {
					that.constant.updateLegendTimeout = setTimeout(that.updateLegend(that), 30);
				//}
			});

			// 充值按钮
			$("#investMoney").bind("tap",function(){
				$.hsf.hsOpen("jinsp-buy.html");
				return false;
			});
			// 取现按钮
			$("#encash").bind("tap",function(){
				$.hsf.hsOpen("jinsp-sale.html");
				return false;
			});
			// 购买
			$("#buyFund").bind("tap",function(){
				$.hsf.hsOpen("trade-buy.html");
				return false;
			});
		},

		packForm: function () {
			var that =this;
		//	that.preHistory();
			$.hsf.startLoading();
			this.parent.lockNavigate();
			$.hsf.ajax.app("query/share/csMoneyFundShare", "datasource=DS", "checkLoginCode", function (jsonResult) {
				if (jsonResult.successful) {
					$.hsf.stopLoading();
					$.doTemplate("jspyxbq", jsonResult, "refresh");

					//盛钱宝展示逻辑
					/*if(jsonResult.isLogin==1){//登陆后
						that.loadXjb(jsonResult);
					}else{//未登陆
						that.loadXjbNoLogin(jsonResult);
					}*/
					$(".div-chart").show();
					that.changeSegment("time_1");
				}
				else {
					//that.requestManager.resetTime(that.initAsset);
					$.hsf.callFailProcess(jsonResult);
				}
				that.parent.unlockNavigate();
			});
		},
		/*loadXjb: function (jsonResult) {
			$("#dayincome").html(jsonResult.dayincome);
			$("#totalIncome").html(jsonResult.totalIncome);
			$("#totalMarketvalue").html(jsonResult.totalMarketvalue);
			$("#incomeratio").html(jsonResult.incomeratio+"%");
			$("#xjbLogin").show();
			$("#xjbNoLogin").hide();
		},*/
		/*loadXjbNoLogin: function (jsonResult) {
			$("#yearinc1").html(jsonResult.thisyearIncome);
			if(jsonResult.extra!=""){//近一年为用户带来收益
				$("#oneYearIncome").html(JSON.parse(jsonResult.extra).oneYearIncome);
			}
			$("#hfincomeratio").html(jsonResult.hfincomeratio);
			$("#NoLoginincomeratio").html(jsonResult.incomeratio+"%");
			$("#xjbLogin").hide();
			$("#xjbNoLogin").show();
		},*/
		//原来的
		//getFundDetail : function(){
         //   var data = "fundcode="+this.constant.fundcode+"&openId="+this.constant.openId;
         //   var trillNull = function (obj, name, formatFunc, suffix) {
	   	//		formatFunc = formatFunc || function(value) {return value;}
	   	//		suffix = suffix || "";
	   	//		obj[name] = (obj[name] && obj[name]!= '--' ? formatFunc.call(null,obj[name])+suffix : "--");
	   	//		return obj[name];
	   	//	}
         //   $.hsf.startLoading();
         //   $.hsf.ajax.app("product/product/productDetail",data,"checkLoginCode",function(jsonResult){
         //      if (jsonResult.successful){
         //      		$("#fund-name").html(jsonResult.productDetailInfo.fundname);
         //      		this.constant.fundtype = jsonResult.productDetailInfo.fundtype;
         //      		$("#history").attr("m-href","fund-detail-history-value.html?fundcode="+this.constant.fundcode+"&fundtype="+this.constant.fundtype);
	     //       	if (this.constant.fundtype == 2) {
	     //       		$("#property2").html("万份收益");
	     //       		$("#property4").html("七日年化");
	     //       	} else {
	     //       		$("#property2").html("单位净值");
	     //       		$("#property4").html("累计净值");
	     //       	}
         //      		if (jsonResult.productDetailInfo.buybusin && jsonResult.productDetailInfo.buybusin != "nobuy" && jsonResult.productDetailInfo.custRole != "A" && jsonResult.productDetailInfo.custRole != "DB") {
         //      			$("#buyBar").show();
         //      		}
         //      		if (jsonResult.productDetailInfo.buybusin == "020" ) {
		//				$("#buyButton").html("认购");
         //      			$("#dtButton").addClass("disabled");
         //      		}else{
		//				$("#buyButton").html("申购");
		//			}
         //           if(jsonResult.productDetailInfo.fundtype == 2 ){
         //               $("#history").attr("m-href","fund-detail-history-value.html?fundcode="+this.constant.fundcode+"&fundtype=2");
         //               $("#mainDataTitle").html("七日年化");
         //               trillNull(jsonResult.productDetailInfo, "incomeratio", $.hsf.hsTools.decimal4);
		//				trillNull(jsonResult.productDetailInfo, "hfincomeratio", $.hsf.hsTools.decimal4);
		//				trillNull(jsonResult.productDetailInfo, "pernetvalue");
         //           }else {
         //           	$("#bonds").show();
         //               $("#stoke").show();
         //               $("#mainDataTitle").html("净值");
		//				trillNull(jsonResult.productDetailInfo, "dayinc", $.hsf.hsTools.decimal2, "%");
		//				trillNull(jsonResult.productDetailInfo, "monthinc", $.hsf.hsTools.decimal2, "%");
		//				trillNull(jsonResult.productDetailInfo, "yearinc", $.hsf.hsTools.decimal2, "%");
		//				trillNull(jsonResult.productDetailInfo, "pernetvalue", $.hsf.hsTools.decimal4);
         //           }
         //           this.constant.status = jsonResult.productDetailInfo.myFollow;
         //           if (jsonResult.productDetailInfo.myFollow){
		//				$("#fav-btn").find("[m-icon='favorite']").addClass("on");
         //           } else {
		//				$("#fav-btn").find("[m-icon='favorite']").removeClass("on");
         //           }
         //           $.doTemplate("fund-detail-big", jsonResult.productDetailInfo);
         //           $.doTemplate("fund-detail-col", jsonResult.productDetailInfo);
		//			$.doTemplate("risk-level-chart", jsonResult.productDetailInfo.risklevel ? jsonResult.productDetailInfo.risklevel : "中风险");
		//			$.doTemplate("fund-tag", jsonResult.tagList);
		//			this.changeSegment("time_1");
         //      } else{
         //          $.hsf.callFailProcess(jsonResult);
         //      }
         //   });
        //},
		changeSegment : function(id) {
			//$("#placeholder").css({"width":$("#flotdiv").css("width"), height : "250px"});
			var that=this;
        	var queryuint = "";
            var recordno = 0;
        	if (this.constant.graph[id]) {
        		this.constant.activeGraph = id;
        		this.drawGraph(this.constant.graph[id].arr,this.constant.graph[id].min);
        	} else {
        		if(id == "time_1"){
                    queryuint = 1;
                    recordno = 30;
                }else if(id == "time_2"){
                    queryuint = 3;
                    recordno = 90;
                }else if(id == "time_3"){
                    queryuint = 6;
                    recordno = 180;
                }else if(id == "time_4"){
                    queryuint = 12;
                    recordno = 365;
                }
                //var data = "fundcode="+this.constant.fundcode+"&queryunit="+queryuint+"&pageno="+1+"&applyrecordno="+recordno+"&datasource=DC";
				var data = "fundcode="+this.constant.fundcode+"&queryunit="+queryuint+"&pageno="+1+"&applyrecordno="+recordno;
				$.hsf.startLoading();
                $.hsf.ajax.app("atomicquery/fundinfo/hisMarket",data,"chartCallback"+queryuint,function(jsonResult){
                    if (jsonResult.successful){
						that.constant.activeGraph = id;
						that.draw(id, jsonResult.returnList);
                        $.hsf.stopLoading();
                    }else{
                        $.hsf.callFailProcess(jsonResult);
                    }
                });
        	}
        },
		startDate : function(){
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth() + 1;
            var d = myDate.getDate();
            if (m <= 9){
                m = "0"+m;
            }
            if (d <= 9){
                d = "0"+d;
            }
            return y+m+d;
        },

        monthEndDate : function(){
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth();
            var d = myDate.getDate();
            if (m <= 9){
                m = "0"+m;
            }
            if (d <= 9){
                d = "0"+d;
            }
            return y+m+d;
        },

        seasonEndDate : function(){
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth()-2;
            if (m <=0){
                m = myDate.getMonth() + 9;
                y = myDate.getFullYear()-1;
            }
            var d = myDate.getDate();
            if (m <= 9){
                m = "0"+m;
            }
            if (d <= 9){
                d = "0"+d;
            }
            return y+m+d;
        },

        halfEndDate : function(){
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth()-5;
            var d = myDate.getDate();
            if (m <=0){
                m = myDate.getMonth() + 6;
                y = myDate.getFullYear()-1;
            }
            if (m <= 9){
                m = "0"+m;
            }
            if (d <= 9){
                d = "0"+d;
            }
            return y+m+d;
        },

        yearEndDate : function(){
            var myDate = new Date();
            var y = myDate.getFullYear();
            var m = myDate.getMonth()-11;
            var d = myDate.getDate();
            if (m <=0){
                m = myDate.getMonth();
                y = myDate.getFullYear()-1;
            }
            if (m <= 9){
                m = "0"+m;
            }
            if (d <= 9){
                d = "0"+d;
            }
            return y+m+d;
        },
        draw : function(id, list){
			var arr = new Array();
			var arr2 = new Array();
			var min = 9999999;
			var max = -9999999;
			if(null != list && list.length > 1) {
				for(var i=list.length-1;i>=0;i--) {
					/*控制点的数量，加快画线速度*/
					var obj = list[i];
					var unit, unit2;
					var str = obj.navdate;
					str =str.substr(0,4)+"/"+str.substr(4,2)+"/"+str.substr(6,2);
					//str = str.replace(/-/g,"/");
					var date = new Date(str);
					if("2"== this.constant.fundtype){//货币显示万份单位收益
						unit = [date,parseFloat(obj.hf_incomeratio)];/*以数组形式存放*/
						unit2 = [date,parseFloat(obj.incomeratio)];/*以数组形式存放*/
					}else{
						unit = [date,parseFloat(obj.pernetvalue)];
						unit2 = [date,parseFloat(obj.totalnetvalue)];
					}
					arr.push(unit);
					arr2.push(unit2);
					if (unit[1]<min) {
						min = unit[1];
					}
					if (unit[1]>max) {
						max = unit[1];
					}
				}
				min -= (max  - min) / 6;
				this.storeNetValue(id, arr, arr2, list,  min, true);
				this.updateBrand(list[0]);
			}else{
				arr.push([new Date(), 0],[new Date(), 0]);
				this.storeNetValue(id, arr, arr2, list,  0, false);
			}
			this.drawGraph(arr, min);
		},
        storeNetValue : function(id, list, list2, origin, min, valid) {
			this.constant.graph[id] = {arr : list, arr2: list2, min : min, origin: origin, valid : valid};
		},
		drawGraph: function(data, min) {
			this.constant.p = $.plot("#placeholder", [{ data: data, label: "&nbsp;"}], {
				series: {
					lines: {
						show: true,
	                    fill: true,
	                    fillColor: {colors: [ "rgba(255,255,255,0.5)", "rgba(188,201,228,0.5)" ]},
	                    lineWidth:1
					},
					points: {
						show: false
					}
				},
				colors : ["#707fb3"],
				crosshair: {
					mode: "x"
				},
				grid: {
					hoverable: true,
					clickable: false,
					borderColor :  "#c8c8c8",
					borderWidth : 1
				},
				legend : {
					show : false
				},
				xaxis : {
					show : true,
					mode: "time"
				},
				yaxis : {
					min : min
				},
				legend: {
	                container: $("#legendcontainer"),
	                labelFormatter: function (lable, series) {
	                    return '<a> ' + lable + '</a>';
	                }
	            }

			});
		},
		updateLegend : function (th) {
			var that = th;
			var netvalueOfSegment = that.constant.graph[that.constant.activeGraph];
			if (netvalueOfSegment.valid == false) {
				that.constant.updateLegendTimeout = null;
				return ;
			} else {
				var legends = $("#legendcontainer .legendLabel").css({"width":"100%"});
		        legends.each(function () {
		            $(this).css('width', "100%");
		        });
				that.constant.updateLegendTimeout = null;
				var pos = that.constant.latestPosition;
				var axes = that.constant.p.getAxes();
				if (pos.x < axes.xaxis.min || pos.x > axes.xaxis.max ||
					pos.y < axes.yaxis.min || pos.y > axes.yaxis.max) {
					return;
				}
				var j, dataset = that.constant.p.getData();
				var series = dataset[0];
				for (j = 0; j < series.data.length; ++j) {
					if (series.data[j][0] > pos.x) {
						break;
					}
				}
				var x,y,
					p1 = series.data[j - 1],
					p2 = series.data[j],
					index;
				if (p1 == null) {
					y = p2[1];
					x = p2[0];
					index = j;
				} else if (p2 == null) {
					y = p1[1];
					x = p1[0];
					index = j-1;
				} else {
					if (Math.abs(pos.x*1000 - p1[0] * 1000) > Math.abs(p2[0] *1000 - pos.x*1000)) {
						y = p2[1];
						x = p2[0];
						index = j;
					} else {
						y = p1[1];
						x = p1[0];
						index = j-1;
					}
				}
				index = netvalueOfSegment.origin.length - index - 1;//因为是倒序
				that.updateBrand(netvalueOfSegment.origin[index]);
			}
		},
		updateBrand : function(obj) {
			var setBrand = function(value1, value2, value3) {
				$("#property1").html(value1);
				$("#property3").html(parseFloat(value2).toFixed(4));
				$("#property5").html(parseFloat(value3/100).toFixed(4)+"%");
			}
			var setPernetBrand = function(value1, value2, value3) {
				$("#property1").html(value1);
				$("#property3").html(parseFloat(value2));
				$("#property5").html(parseFloat(value3/100)+"%");
			}
			if (this.constant.fundtype == "2") {
				setBrand(obj.navdate, obj.hf_incomeratio, obj.incomeratio);
			} else {
				// setBrand(obj.navdate, obj.pernetvalue, obj.totalnetvalue);
				setPernetBrand(obj.navdate, obj.pernetvalue, obj.totalnetvalue);
			}
		}
	});
});
