define([], function() {
	var action = {
		constant: {
			apply: {
				pageNo: 1,
				totalNum: 0,
				loadedNum: 0,
				oneTimeRecord: 10,
			},
			custRole: $.hsf.hsTools.getParam("custRole"),
			tradeIcon: {
				"020": "trade-list-icon trade-list-icon-blue",
				"022": "trade-list-icon trade-list-icon-blue",
				"098": "trade-list-icon trade-list-icon-yellow",
				"024": "trade-list-icon trade-list-icon-yellow",
				"029": "trade-list-icon trade-list-icon-blue",
				"036": "trade-list-icon trade-list-icon-purple",
				"987": "trade-list-icon trade-list-icon-pink",
				"090": "trade-list-icon trade-list-icon-pink",
				"988": "trade-list-icon trade-list-icon-pink",
				"093": "trade-list-icon trade-list-icon-pink",
				"060": "trade-list-icon trade-list-icon-pink",
				"039": "trade-list-icon trade-list-icon-pink",
				"053": "trade-list-icon trade-list-icon-yellow"
			},
			searchList: {},
			alllist: {},
		},
		init: function() {
			if($.hsf.hsTools.getParam("m-id") == "FH"&&$.hsf.hsTools.getParam("startdate")){
				$("#first").hide();
				$("#second").show();
				var searchText = $("#searchText").UITextField("value");
				var param = "&fundcode=" + searchText + "&startdate=" + $.hsf.hsTools.getParam("startdate") + "&enddate=" + $.hsf.hsTools.getParam("enddate");
				action.hisbonus(param, "query");
			}
			action.initQueryForm();
			action.events();
		},
		events: function() {
			$("#moreBtn").bind("tap", function() {
				var value = $("div[m-role='UIButton'][m-style='']").attr("value");
				if (value != "999") {
					action.applyPackForm(action.constant.paramHistory, "more");
				} else {
					action.hisbonus(action.constant.paramHistory, "more");
				}
				return false;
			});
			$(".shortcut").bind("tap", function() {
				var _self = this;
				$(".shortcut").attr("m-style", "style-2");
				$(_self).attr("m-style", "");
				return false;
			});
			$("#queryBtn").bind("tap", function() {
				var value = $("div[m-role='UIButton'][m-style='']").attr("value");
				var startDate = $("#startDate").UIDateField("value").replace(/-/g, "");
				var endDate = $("#endDate").UIDateField("value").replace(/-/g, "");
				var searchText = $("#searchText").UITextField("value");
				var param = "";
				if (value != "999") {
					var param = "&callingcode=" + value + "&fundcode=" + searchText + "&startdate=" + startDate + "&enddate=" + endDate;
				} else {
					//if(!(startDate||endDate)){
					//	startDate="20140318";
					//	endDate="20160318";
					//}
					if(!(startDate && endDate)){
						$.UIPopup("分红查询请输入起止日期");
						return false;
					}
					var param = "&fundcode=" + searchText + "&startdate=" + startDate + "&enddate=" + endDate;
				}
				if (startDate && endDate && startDate > endDate) {
					$.UIPopup("请正确设置开始时间和结束时间");
					return false;
				}
				if (typeof searchText == "string" && searchText.length > 8) {
					$.UIPopup("请输入正确的基金代码关键字");
					return false;
				}
				value == "999" ? action.hisbonus(param, "query") : action.applyPackForm(param, "query");
				return false;
			});
			$("#secondBackBtn").bind("tap", function() {
				$("#second").hide();
				$("#first").show();
				$("body").scrollTop(0);
				return false;
			});

			$("#applyList").on("tap",".listDetail", function(jsonResult) {
				var _self = $(this);
				var applyserial = _self.attr("applyserial");
				var apply = action.constant.alllist[applyserial];
				$.doTemplate("applydetail", apply,"refresh");
				$("#second").hide();
				$("#trade-history-detail").show();

			});
			$("#backBtn2").bind("tap", function() {
				$("#trade-history-detail").hide();
				$("#second").show();
				return false;
			});

		},
		hisbonus: function(param, source) {
			$.hsf.startLoading();
			if (source == "query") {
				$("#first").hide();
				$("#second").show();
				action.constant.paramHistory = param;
				action.constant.apply.pageNo = 1;
				action.constant.apply.loadedNum = 0;
				$("#applyList").find("dd").remove();
				$("#thirdTable").find("dd").remove();
				$("#moreBtn").hide();
			}
			var startDate = $("#startDate").UIDateField("value").replace(/-/g, "");
			var endDate = $("#endDate").UIDateField("value").replace(/-/g, "");
			$.hsf.ajax.app("query/hisbonus/bonusList", "applyrecordno=" + action.constant.apply.oneTimeRecord + "&pageno=" + action.constant.apply.pageNo + param, "hisbonusCallback", function(jsonResult) {
				$.hsf.stopLoading();
				if (jsonResult.successful) {
					var bonusList = jsonResult.returnList;
					if (bonusList.length > 0) {
						for(index in bonusList){
							bonusList[index].startDate=startDate;
							bonusList[index].endDate=endDate;
						}
						$.doTemplate("template2", bonusList, "repeat");
						action.constant.apply.pageNo++;
						action.constant.apply.loadedNum += bonusList.length;
						if (action.constant.apply.loadedNum >= jsonResult.totalRecord) {
							$("#moreBtn").hide();
						} else {
							$("#moreBtn").show();
						}
						$.hsf.stopLoading();
					} else {
						$("#moreBtn").hide();
						$.hsf.stopLoading();
						$.UIPopup("没有记录了");
					}
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		initQueryForm: function() {
			$.platform.getCache("loginInfo", function(result) {
				if (result) {
					//DA:直代销 DB：柜台 A:代销 DN:直销新用户(交易记录分历史DC和当天，直代销可查全部，柜台和代销只能查DC，DN只能查当天)
					//判断当角色为A和DB时不查当日
					if(result.custRole=="A"||result.custRole=="DB"){
						$("#ZXBtn").hide();
						$("#ZXBtn").removeAttr("m-checked");
						$("#DXBtn").attr("m-checked", "yes");
					}
					else if(result.custRole=="DN"){
						$("#DXBtn").hide();
						$("#ZXBtn").attr("m-checked", "yes");
						$("#DXBtn").removeAttr("m-checked");
					}
					//判断当角色为DA 查全部
					else{
						$("#ZXBtn").attr("m-checked", "yes");
						$("#DXBtn").removeAttr("m-checked");
					}
				}
			});
			$.hsf.ajax.app("query/tradeapply/applyForm", "", "applyForm", function(jsonResult) {
				if (jsonResult.successful) {
					for (var index in jsonResult.fundlist) {
						action.constant.searchList[jsonResult.fundlist[index].key] = jsonResult.fundlist[index].value;
					}
					var timer;
					var $searchText = $("#searchText");
					$searchText.UITextField("search", function(value) {
						clearTimeout(timer);
						var $this = $(this);
						var html = action.search(value);
						timer = setTimeout(function() {
							$searchText.UITextField("autoComplete", html, function() {
								$(".search_result").UITableView();
								$(".search_result dd").bind("tap", function() {
									$("#searchText").UITextField("value", this.getAttribute("key"));
									$.UIBubble("hide");
								})
							});
						}, 200)
					});
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		},
		search: function(str) {
			var result = {};
			var head = ["<div m-role=\"UITableView\" class=\"search_result\">", "<dl>"];
			var content = [];
			var tail = ["</dl>", "</div>"];
			for (var index in action.constant.searchList) {
				if (action.constant.searchList[index].indexOf(str) >= 0 || index.indexOf(str) >= 0) {
					content = content.concat(["<dd key='" + index + "'>", action.constant.searchList[index] + " " + index, "</dd>"])
				}
			}
			return head.concat(content).concat(tail).join("");
		},
		applyPackForm: function(param, source) {
			if (source == "query") {
				$("#first").hide();
				$("#second").show();
				action.constant.paramHistory = param;
				action.constant.apply.pageNo = 1;
				action.constant.apply.loadedNum = 0;
				$("#applyList").find("dd").remove();
				$("#thirdTable").find("dd").remove();
				$("#moreBtn").hide();
			}
			$.hsf.startLoading();
			var agencytype=$("[m-name='vastly-redeem']").UIRadio("value");
			if(action.constant.custRole=="DB"){
				agencytype="";
			}
			$.hsf.ajax.app("query/tradeapply/applyList", "agencytype="+agencytype+"&datasource=DC&applyrecordno=" + action.constant.apply.oneTimeRecord + "&pageno=" + action.constant.apply.pageNo + param, "checkLoginCode", function(jsonResult) {
				if (jsonResult.successful) {
					var list = jsonResult.returnList;
					if (list.length > 0) {
						for (var index in list) {
							var apply = list[index];
							action.constant.alllist[apply.applyserial] = apply;
							if (apply.callingcode == "036") {
								apply.fundname = apply.fundname + "->" + apply.targetfundname;
								apply.businflagstr = "转换";
							}
							if (apply.apply == "--") {
								apply.applyUnit = "";
							} else {
                if (apply.callingcode == "020" || apply.callingcode == "021" || apply.callingcode == "022" || apply.callingcode == "023"||apply.callingcode=="987"||apply.callingcode=="090"||apply.callingcode=="988"||apply.callingcode=="093"||apply.callingcode=="060"||apply.callingcode=="039") {
									apply.applyUnit = "元";
								} else {
									apply.applyUnit = "份";
								}
							}
							apply.businflagIconBorder = action.constant.tradeIcon[apply.callingcode] || "trade-list-icon trade-list-icon-purple";
							apply.businflagIcon = apply.businflagstr.substr(0, 1);
						}
						$.doTemplate("template1", list, "repeat");
						$("#applyList").UITableView("refresh");
						action.constant.apply.pageNo++;
						action.constant.apply.loadedNum += list.length;
						if (action.constant.apply.loadedNum >= jsonResult.totalRecord) {
							$("#moreBtn").hide();
						} else {
							$("#moreBtn").show();
						}
						$.hsf.stopLoading();
					} else {
						$("#moreBtn").hide();
						$.hsf.stopLoading();
						$.UIPopup("没有记录了");
					}
				} else {
					$.hsf.callFailProcess(jsonResult);
				}
			});
		}
	};
	return action;
});